import{S as JE,i as GE,s as XE,e as r,k as p,w as y,t as o,M as YE,c as a,d as t,m as h,a as i,x as T,h as n,b as u,G as e,g,y as w,q as $,o as A,B as F,v as ZE,L as Ie}from"../../chunks/vendor-hf-doc-builder.js";import{T as We}from"../../chunks/Tip-hf-doc-builder.js";import{D}from"../../chunks/Docstring-hf-doc-builder.js";import{C as Ne}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as Re}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as Oe}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function eM(E){let d,b,m,f,_;return f=new Ne({props:{code:`from transformers import AlbertConfig, AlbertModel

# Initializing an ALBERT-xxlarge style configuration
albert_xxlarge_configuration = AlbertConfig()

# Initializing an ALBERT-base style configuration
albert_base_configuration = AlbertConfig(
    hidden_size=768,
    num_attention_heads=12,
    intermediate_size=3072,
)

# Initializing a model (with random weights) from the ALBERT-base style configuration
model = AlbertModel(albert_xxlarge_configuration)

# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AlbertConfig, AlbertModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing an ALBERT-xxlarge style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>albert_xxlarge_configuration = AlbertConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing an ALBERT-base style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>albert_base_configuration = AlbertConfig(
<span class="hljs-meta">... </span>    hidden_size=<span class="hljs-number">768</span>,
<span class="hljs-meta">... </span>    num_attention_heads=<span class="hljs-number">12</span>,
<span class="hljs-meta">... </span>    intermediate_size=<span class="hljs-number">3072</span>,
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a model (with random weights) from the ALBERT-base style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = AlbertModel(albert_xxlarge_configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){d=r("p"),b=o("Examples:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var c=i(d);b=n(c,"Examples:"),c.forEach(t),m=h(l),T(f.$$.fragment,l)},m(l,c){g(l,d,c),e(d,b),g(l,m,c),w(f,l,c),_=!0},p:Ie,i(l){_||($(f.$$.fragment,l),_=!0)},o(l){A(f.$$.fragment,l),_=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function tM(E){let d,b,m,f,_;return f=new Ne({props:{code:`0 0 0 0 0 0 0 0 0 0 0 1 1 1 1 1 1 1 1 1
| first sequence    | second sequence |`,highlighted:`0<span class="hljs-number"> 0 </span>0<span class="hljs-number"> 0 </span>0<span class="hljs-number"> 0 </span>0<span class="hljs-number"> 0 </span>0<span class="hljs-number"> 0 </span>0<span class="hljs-number"> 1 </span>1<span class="hljs-number"> 1 </span>1<span class="hljs-number"> 1 </span>1<span class="hljs-number"> 1 </span>1 1
| first sequence    | second sequence |`}}),{c(){d=r("p"),b=o("sequence pair mask has the following format:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var c=i(d);b=n(c,"sequence pair mask has the following format:"),c.forEach(t),m=h(l),T(f.$$.fragment,l)},m(l,c){g(l,d,c),e(d,b),g(l,m,c),w(f,l,c),_=!0},p:Ie,i(l){_||($(f.$$.fragment,l),_=!0)},o(l){A(f.$$.fragment,l),_=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function oM(E){let d,b,m,f,_;return f=new Ne({props:{code:`0 0 0 0 0 0 0 0 0 0 0 1 1 1 1 1 1 1 1 1
| first sequence    | second sequence |`,highlighted:`0<span class="hljs-number"> 0 </span>0<span class="hljs-number"> 0 </span>0<span class="hljs-number"> 0 </span>0<span class="hljs-number"> 0 </span>0<span class="hljs-number"> 0 </span>0<span class="hljs-number"> 1 </span>1<span class="hljs-number"> 1 </span>1<span class="hljs-number"> 1 </span>1<span class="hljs-number"> 1 </span>1 1
| first sequence    | second sequence |`}}),{c(){d=r("p"),b=o("sequence pair mask has the following format:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var c=i(d);b=n(c,"sequence pair mask has the following format:"),c.forEach(t),m=h(l),T(f.$$.fragment,l)},m(l,c){g(l,d,c),e(d,b),g(l,m,c),w(f,l,c),_=!0},p:Ie,i(l){_||($(f.$$.fragment,l),_=!0)},o(l){A(f.$$.fragment,l),_=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function nM(E){let d,b,m,f,_;return{c(){d=r("p"),b=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=r("code"),f=o("Module"),_=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var c=i(d);b=n(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(c,"CODE",{});var M=i(m);f=n(M,"Module"),M.forEach(t),_=n(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(l,c){g(l,d,c),e(d,b),e(d,m),e(m,f),e(d,_)},d(l){l&&t(d)}}}function sM(E){let d,b,m,f,_;return f=new Ne({props:{code:`from transformers import AutoTokenizer, AlbertModel
import torch

tokenizer = AutoTokenizer.from_pretrained("albert-base-v2")
model = AlbertModel.from_pretrained("albert-base-v2")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")
outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, AlbertModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = AlbertModel.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){d=r("p"),b=o("Example:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var c=i(d);b=n(c,"Example:"),c.forEach(t),m=h(l),T(f.$$.fragment,l)},m(l,c){g(l,d,c),e(d,b),g(l,m,c),w(f,l,c),_=!0},p:Ie,i(l){_||($(f.$$.fragment,l),_=!0)},o(l){A(f.$$.fragment,l),_=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function rM(E){let d,b,m,f,_;return{c(){d=r("p"),b=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=r("code"),f=o("Module"),_=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var c=i(d);b=n(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(c,"CODE",{});var M=i(m);f=n(M,"Module"),M.forEach(t),_=n(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(l,c){g(l,d,c),e(d,b),e(d,m),e(m,f),e(d,_)},d(l){l&&t(d)}}}function aM(E){let d,b,m,f,_;return f=new Ne({props:{code:`from transformers import AutoTokenizer, AlbertForPreTraining
import torch

tokenizer = AutoTokenizer.from_pretrained("albert-base-v2")
model = AlbertForPreTraining.from_pretrained("albert-base-v2")

input_ids = torch.tensor(tokenizer.encode("Hello, my dog is cute", add_special_tokens=True)).unsqueeze(0)
# Batch size 1
outputs = model(input_ids)

prediction_logits = outputs.prediction_logits
sop_logits = outputs.sop_logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, AlbertForPreTraining
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = AlbertForPreTraining.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>input_ids = torch.tensor(tokenizer.encode(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, add_special_tokens=<span class="hljs-literal">True</span>)).unsqueeze(<span class="hljs-number">0</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Batch size 1</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(input_ids)

<span class="hljs-meta">&gt;&gt;&gt; </span>prediction_logits = outputs.prediction_logits
<span class="hljs-meta">&gt;&gt;&gt; </span>sop_logits = outputs.sop_logits`}}),{c(){d=r("p"),b=o("Example:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var c=i(d);b=n(c,"Example:"),c.forEach(t),m=h(l),T(f.$$.fragment,l)},m(l,c){g(l,d,c),e(d,b),g(l,m,c),w(f,l,c),_=!0},p:Ie,i(l){_||($(f.$$.fragment,l),_=!0)},o(l){A(f.$$.fragment,l),_=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function iM(E){let d,b,m,f,_;return{c(){d=r("p"),b=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=r("code"),f=o("Module"),_=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var c=i(d);b=n(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(c,"CODE",{});var M=i(m);f=n(M,"Module"),M.forEach(t),_=n(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(l,c){g(l,d,c),e(d,b),e(d,m),e(m,f),e(d,_)},d(l){l&&t(d)}}}function lM(E){let d,b,m,f,_;return f=new Ne({props:{code:`import torch
from transformers import AutoTokenizer, AlbertForMaskedLM

tokenizer = AutoTokenizer.from_pretrained("albert-base-v2")
model = AlbertForMaskedLM.from_pretrained("albert-base-v2")

# add mask_token
inputs = tokenizer("The capital of [MASK] is Paris.", return_tensors="pt")
with torch.no_grad():
    logits = model(**inputs).logits

# retrieve index of [MASK]
mask_token_index = (inputs.input_ids == tokenizer.mask_token_id)[0].nonzero(as_tuple=True)[0]
predicted_token_id = logits[0, mask_token_index].argmax(axis=-1)
tokenizer.decode(predicted_token_id)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, AlbertForMaskedLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = AlbertForMaskedLM.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># add mask_token</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;The capital of [MASK] is Paris.&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># retrieve index of [MASK]</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>mask_token_index = (inputs.input_ids == tokenizer.mask_token_id)[<span class="hljs-number">0</span>].nonzero(as_tuple=<span class="hljs-literal">True</span>)[<span class="hljs-number">0</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_token_id = logits[<span class="hljs-number">0</span>, mask_token_index].argmax(axis=-<span class="hljs-number">1</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.decode(predicted_token_id)
<span class="hljs-string">&#x27;france&#x27;</span>`}}),{c(){d=r("p"),b=o("Example:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var c=i(d);b=n(c,"Example:"),c.forEach(t),m=h(l),T(f.$$.fragment,l)},m(l,c){g(l,d,c),e(d,b),g(l,m,c),w(f,l,c),_=!0},p:Ie,i(l){_||($(f.$$.fragment,l),_=!0)},o(l){A(f.$$.fragment,l),_=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function dM(E){let d,b;return d=new Ne({props:{code:`labels = tokenizer("The capital of France is Paris.", return_tensors="pt")["input_ids"]
labels = torch.where(inputs.input_ids == tokenizer.mask_token_id, labels, -100)
outputs = model(**inputs, labels=labels)
round(outputs.loss.item(), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span>labels = tokenizer(<span class="hljs-string">&quot;The capital of France is Paris.&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)[<span class="hljs-string">&quot;input_ids&quot;</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>labels = torch.where(inputs.input_ids == tokenizer.mask_token_id, labels, -<span class="hljs-number">100</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, labels=labels)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(outputs.loss.item(), <span class="hljs-number">2</span>)
<span class="hljs-number">0.81</span>`}}),{c(){y(d.$$.fragment)},l(m){T(d.$$.fragment,m)},m(m,f){w(d,m,f),b=!0},p:Ie,i(m){b||($(d.$$.fragment,m),b=!0)},o(m){A(d.$$.fragment,m),b=!1},d(m){F(d,m)}}}function cM(E){let d,b,m,f,_;return{c(){d=r("p"),b=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=r("code"),f=o("Module"),_=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var c=i(d);b=n(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(c,"CODE",{});var M=i(m);f=n(M,"Module"),M.forEach(t),_=n(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(l,c){g(l,d,c),e(d,b),e(d,m),e(m,f),e(d,_)},d(l){l&&t(d)}}}function pM(E){let d,b,m,f,_;return f=new Ne({props:{code:`import torch
from transformers import AutoTokenizer, AlbertForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("textattack/albert-base-v2-imdb")
model = AlbertForSequenceClassification.from_pretrained("textattack/albert-base-v2-imdb")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

predicted_class_id = logits.argmax().item()
model.config.id2label[predicted_class_id]

# To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`
num_labels = len(model.config.id2label)
model = AlbertForSequenceClassification.from_pretrained("textattack/albert-base-v2-imdb", num_labels=num_labels)

labels = torch.tensor([1])
loss = model(**inputs, labels=labels).loss
round(loss.item(), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, AlbertForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;textattack/albert-base-v2-imdb&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = AlbertForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;textattack/albert-base-v2-imdb&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_id = logits.argmax().item()
<span class="hljs-meta">&gt;&gt;&gt; </span>model.config.id2label[predicted_class_id]
<span class="hljs-string">&#x27;LABEL_1&#x27;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>num_labels = <span class="hljs-built_in">len</span>(model.config.id2label)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = AlbertForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;textattack/albert-base-v2-imdb&quot;</span>, num_labels=num_labels)

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = torch.tensor([<span class="hljs-number">1</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs, labels=labels).loss
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(loss.item(), <span class="hljs-number">2</span>)
<span class="hljs-number">0.12</span>`}}),{c(){d=r("p"),b=o("Example of single-label classification:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var c=i(d);b=n(c,"Example of single-label classification:"),c.forEach(t),m=h(l),T(f.$$.fragment,l)},m(l,c){g(l,d,c),e(d,b),g(l,m,c),w(f,l,c),_=!0},p:Ie,i(l){_||($(f.$$.fragment,l),_=!0)},o(l){A(f.$$.fragment,l),_=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function hM(E){let d,b,m,f,_;return f=new Ne({props:{code:`import torch
from transformers import AutoTokenizer, AlbertForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("textattack/albert-base-v2-imdb")
model = AlbertForSequenceClassification.from_pretrained("textattack/albert-base-v2-imdb", problem_type="multi_label_classification")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

predicted_class_ids = torch.arange(0, logits.shape[-1])[torch.sigmoid(logits).squeeze(dim=0) > 0.5]

# To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`
num_labels = len(model.config.id2label)
model = AlbertForSequenceClassification.from_pretrained(
    "textattack/albert-base-v2-imdb", num_labels=num_labels, problem_type="multi_label_classification"
)

labels = torch.sum(
    torch.nn.functional.one_hot(predicted_class_ids[None, :].clone(), num_classes=num_labels), dim=1
).to(torch.float)
loss = model(**inputs, labels=labels).loss`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, AlbertForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;textattack/albert-base-v2-imdb&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = AlbertForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;textattack/albert-base-v2-imdb&quot;</span>, problem_type=<span class="hljs-string">&quot;multi_label_classification&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_ids = torch.arange(<span class="hljs-number">0</span>, logits.shape[-<span class="hljs-number">1</span>])[torch.sigmoid(logits).squeeze(dim=<span class="hljs-number">0</span>) &gt; <span class="hljs-number">0.5</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>num_labels = <span class="hljs-built_in">len</span>(model.config.id2label)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = AlbertForSequenceClassification.from_pretrained(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;textattack/albert-base-v2-imdb&quot;</span>, num_labels=num_labels, problem_type=<span class="hljs-string">&quot;multi_label_classification&quot;</span>
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = torch.<span class="hljs-built_in">sum</span>(
<span class="hljs-meta">... </span>    torch.nn.functional.one_hot(predicted_class_ids[<span class="hljs-literal">None</span>, :].clone(), num_classes=num_labels), dim=<span class="hljs-number">1</span>
<span class="hljs-meta">... </span>).to(torch.<span class="hljs-built_in">float</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs, labels=labels).loss`}}),{c(){d=r("p"),b=o("Example of multi-label classification:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var c=i(d);b=n(c,"Example of multi-label classification:"),c.forEach(t),m=h(l),T(f.$$.fragment,l)},m(l,c){g(l,d,c),e(d,b),g(l,m,c),w(f,l,c),_=!0},p:Ie,i(l){_||($(f.$$.fragment,l),_=!0)},o(l){A(f.$$.fragment,l),_=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function mM(E){let d,b,m,f,_;return{c(){d=r("p"),b=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=r("code"),f=o("Module"),_=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var c=i(d);b=n(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(c,"CODE",{});var M=i(m);f=n(M,"Module"),M.forEach(t),_=n(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(l,c){g(l,d,c),e(d,b),e(d,m),e(m,f),e(d,_)},d(l){l&&t(d)}}}function uM(E){let d,b,m,f,_;return f=new Ne({props:{code:`from transformers import AutoTokenizer, AlbertForMultipleChoice
import torch

tokenizer = AutoTokenizer.from_pretrained("albert-base-v2")
model = AlbertForMultipleChoice.from_pretrained("albert-base-v2")

prompt = "In Italy, pizza served in formal settings, such as at a restaurant, is presented unsliced."
choice0 = "It is eaten with a fork and a knife."
choice1 = "It is eaten while held in the hand."
labels = torch.tensor(0).unsqueeze(0)  # choice0 is correct (according to Wikipedia ;)), batch size 1

encoding = tokenizer([prompt, prompt], [choice0, choice1], return_tensors="pt", padding=True)
outputs = model(**{k: v.unsqueeze(0) for k, v in encoding.items()}, labels=labels)  # batch size is 1

# the linear classifier still needs to be trained
loss = outputs.loss
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, AlbertForMultipleChoice
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = AlbertForMultipleChoice.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>prompt = <span class="hljs-string">&quot;In Italy, pizza served in formal settings, such as at a restaurant, is presented unsliced.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>choice0 = <span class="hljs-string">&quot;It is eaten with a fork and a knife.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>choice1 = <span class="hljs-string">&quot;It is eaten while held in the hand.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>labels = torch.tensor(<span class="hljs-number">0</span>).unsqueeze(<span class="hljs-number">0</span>)  <span class="hljs-comment"># choice0 is correct (according to Wikipedia ;)), batch size 1</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>encoding = tokenizer([prompt, prompt], [choice0, choice1], return_tensors=<span class="hljs-string">&quot;pt&quot;</span>, padding=<span class="hljs-literal">True</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**{k: v.unsqueeze(<span class="hljs-number">0</span>) <span class="hljs-keyword">for</span> k, v <span class="hljs-keyword">in</span> encoding.items()}, labels=labels)  <span class="hljs-comment"># batch size is 1</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># the linear classifier still needs to be trained</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = outputs.loss
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){d=r("p"),b=o("Example:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var c=i(d);b=n(c,"Example:"),c.forEach(t),m=h(l),T(f.$$.fragment,l)},m(l,c){g(l,d,c),e(d,b),g(l,m,c),w(f,l,c),_=!0},p:Ie,i(l){_||($(f.$$.fragment,l),_=!0)},o(l){A(f.$$.fragment,l),_=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function fM(E){let d,b,m,f,_;return{c(){d=r("p"),b=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=r("code"),f=o("Module"),_=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var c=i(d);b=n(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(c,"CODE",{});var M=i(m);f=n(M,"Module"),M.forEach(t),_=n(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(l,c){g(l,d,c),e(d,b),e(d,m),e(m,f),e(d,_)},d(l){l&&t(d)}}}function gM(E){let d,b,m,f,_;return f=new Ne({props:{code:`from transformers import AutoTokenizer, AlbertForTokenClassification
import torch

tokenizer = AutoTokenizer.from_pretrained("albert-base-v2")
model = AlbertForTokenClassification.from_pretrained("albert-base-v2")

inputs = tokenizer(
    "HuggingFace is a company based in Paris and New York", add_special_tokens=False, return_tensors="pt"
)

with torch.no_grad():
    logits = model(**inputs).logits

predicted_token_class_ids = logits.argmax(-1)

# Note that tokens are classified rather then input words which means that
# there might be more predicted token classes than words.
# Multiple token classes might account for the same word
predicted_tokens_classes = [model.config.id2label[t.item()] for t in predicted_token_class_ids[0]]

labels = predicted_token_class_ids
loss = model(**inputs, labels=labels).loss`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, AlbertForTokenClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = AlbertForTokenClassification.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;HuggingFace is a company based in Paris and New York&quot;</span>, add_special_tokens=<span class="hljs-literal">False</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_token_class_ids = logits.argmax(-<span class="hljs-number">1</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Note that tokens are classified rather then input words which means that</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># there might be more predicted token classes than words.</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Multiple token classes might account for the same word</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_tokens_classes = [model.config.id2label[t.item()] <span class="hljs-keyword">for</span> t <span class="hljs-keyword">in</span> predicted_token_class_ids[<span class="hljs-number">0</span>]]

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = predicted_token_class_ids
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs, labels=labels).loss`}}),{c(){d=r("p"),b=o("Example:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var c=i(d);b=n(c,"Example:"),c.forEach(t),m=h(l),T(f.$$.fragment,l)},m(l,c){g(l,d,c),e(d,b),g(l,m,c),w(f,l,c),_=!0},p:Ie,i(l){_||($(f.$$.fragment,l),_=!0)},o(l){A(f.$$.fragment,l),_=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function _M(E){let d,b,m,f,_;return{c(){d=r("p"),b=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=r("code"),f=o("Module"),_=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var c=i(d);b=n(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(c,"CODE",{});var M=i(m);f=n(M,"Module"),M.forEach(t),_=n(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(l,c){g(l,d,c),e(d,b),e(d,m),e(m,f),e(d,_)},d(l){l&&t(d)}}}function bM(E){let d,b,m,f,_;return f=new Ne({props:{code:`from transformers import AutoTokenizer, AlbertForQuestionAnswering
import torch

tokenizer = AutoTokenizer.from_pretrained("twmkn9/albert-base-v2-squad2")
model = AlbertForQuestionAnswering.from_pretrained("twmkn9/albert-base-v2-squad2")

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"

inputs = tokenizer(question, text, return_tensors="pt")
with torch.no_grad():
    outputs = model(**inputs)

answer_start_index = outputs.start_logits.argmax()
answer_end_index = outputs.end_logits.argmax()

predict_answer_tokens = inputs.input_ids[0, answer_start_index : answer_end_index + 1]
tokenizer.decode(predict_answer_tokens, skip_special_tokens=True)

# target is "nice puppet"
target_start_index = torch.tensor([12])
target_end_index = torch.tensor([13])

outputs = model(**inputs, start_positions=target_start_index, end_positions=target_end_index)
loss = outputs.loss
round(loss.item(), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, AlbertForQuestionAnswering
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;twmkn9/albert-base-v2-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = AlbertForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;twmkn9/albert-base-v2-squad2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(question, text, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>answer_start_index = outputs.start_logits.argmax()
<span class="hljs-meta">&gt;&gt;&gt; </span>answer_end_index = outputs.end_logits.argmax()

<span class="hljs-meta">&gt;&gt;&gt; </span>predict_answer_tokens = inputs.input_ids[<span class="hljs-number">0</span>, answer_start_index : answer_end_index + <span class="hljs-number">1</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.decode(predict_answer_tokens, skip_special_tokens=<span class="hljs-literal">True</span>)
<span class="hljs-string">&#x27;a nice puppet&#x27;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># target is &quot;nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>target_start_index = torch.tensor([<span class="hljs-number">12</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>target_end_index = torch.tensor([<span class="hljs-number">13</span>])

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, start_positions=target_start_index, end_positions=target_end_index)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = outputs.loss
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(loss.item(), <span class="hljs-number">2</span>)
<span class="hljs-number">7.36</span>`}}),{c(){d=r("p"),b=o("Example:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var c=i(d);b=n(c,"Example:"),c.forEach(t),m=h(l),T(f.$$.fragment,l)},m(l,c){g(l,d,c),e(d,b),g(l,m,c),w(f,l,c),_=!0},p:Ie,i(l){_||($(f.$$.fragment,l),_=!0)},o(l){A(f.$$.fragment,l),_=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function kM(E){let d,b,m,f,_,l,c,M,be,me,W,se,te,x,ke,Q,ve,ue,U,ye,ae,G,Te,fe,B,ce,we,X,pe,$e,oe,q,L,ge,H,he,Ae,J,le,Fe,C,re,K,xe,Ee,V,Me,_e,O,ze,R,je,ne,P,qe,I,ie,Pe;return{c(){d=r("p"),b=o("TensorFlow models and layers in "),m=r("code"),f=o("transformers"),_=o(" accept two formats as input:"),l=p(),c=r("ul"),M=r("li"),be=o("having all inputs as keyword arguments (like PyTorch models), or"),me=p(),W=r("li"),se=o("having all inputs as a list, tuple or dict in the first positional argument."),te=p(),x=r("p"),ke=o(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),Q=r("code"),ve=o("model.fit()"),ue=o(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),U=r("code"),ye=o("model.fit()"),ae=o(` supports! If, however, you want to use the second
format outside of Keras methods like `),G=r("code"),Te=o("fit()"),fe=o(" and "),B=r("code"),ce=o("predict()"),we=o(`, such as when creating your own layers or models with
the Keras `),X=r("code"),pe=o("Functional"),$e=o(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),oe=p(),q=r("ul"),L=r("li"),ge=o("a single Tensor with "),H=r("code"),he=o("input_ids"),Ae=o(" only and nothing else: "),J=r("code"),le=o("model(input_ids)"),Fe=p(),C=r("li"),re=o(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),K=r("code"),xe=o("model([input_ids, attention_mask])"),Ee=o(" or "),V=r("code"),Me=o("model([input_ids, attention_mask, token_type_ids])"),_e=p(),O=r("li"),ze=o(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),R=r("code"),je=o('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),ne=p(),P=r("p"),qe=o(`Note that when creating models and layers with
`),I=r("a"),ie=o("subclassing"),Pe=o(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(v){d=a(v,"P",{});var z=i(d);b=n(z,"TensorFlow models and layers in "),m=a(z,"CODE",{});var Le=i(m);f=n(Le,"transformers"),Le.forEach(t),_=n(z," accept two formats as input:"),z.forEach(t),l=h(v),c=a(v,"UL",{});var Z=i(c);M=a(Z,"LI",{});var He=i(M);be=n(He,"having all inputs as keyword arguments (like PyTorch models), or"),He.forEach(t),me=h(Z),W=a(Z,"LI",{});var De=i(W);se=n(De,"having all inputs as a list, tuple or dict in the first positional argument."),De.forEach(t),Z.forEach(t),te=h(v),x=a(v,"P",{});var j=i(x);ke=n(j,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),Q=a(j,"CODE",{});var Qe=i(Q);ve=n(Qe,"model.fit()"),Qe.forEach(t),ue=n(j,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),U=a(j,"CODE",{});var Ve=i(U);ye=n(Ve,"model.fit()"),Ve.forEach(t),ae=n(j,` supports! If, however, you want to use the second
format outside of Keras methods like `),G=a(j,"CODE",{});var Ke=i(G);Te=n(Ke,"fit()"),Ke.forEach(t),fe=n(j," and "),B=a(j,"CODE",{});var de=i(B);ce=n(de,"predict()"),de.forEach(t),we=n(j,`, such as when creating your own layers or models with
the Keras `),X=a(j,"CODE",{});var Se=i(X);pe=n(Se,"Functional"),Se.forEach(t),$e=n(j,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),j.forEach(t),oe=h(v),q=a(v,"UL",{});var S=i(q);L=a(S,"LI",{});var N=i(L);ge=n(N,"a single Tensor with "),H=a(N,"CODE",{});var Je=i(H);he=n(Je,"input_ids"),Je.forEach(t),Ae=n(N," only and nothing else: "),J=a(N,"CODE",{});var Ue=i(J);le=n(Ue,"model(input_ids)"),Ue.forEach(t),N.forEach(t),Fe=h(S),C=a(S,"LI",{});var Y=i(C);re=n(Y,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),K=a(Y,"CODE",{});var Ge=i(K);xe=n(Ge,"model([input_ids, attention_mask])"),Ge.forEach(t),Ee=n(Y," or "),V=a(Y,"CODE",{});var Be=i(V);Me=n(Be,"model([input_ids, attention_mask, token_type_ids])"),Be.forEach(t),Y.forEach(t),_e=h(S),O=a(S,"LI",{});var Ce=i(O);ze=n(Ce,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),R=a(Ce,"CODE",{});var Xe=i(R);je=n(Xe,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Xe.forEach(t),Ce.forEach(t),S.forEach(t),ne=h(v),P=a(v,"P",{});var ee=i(P);qe=n(ee,`Note that when creating models and layers with
`),I=a(ee,"A",{href:!0,rel:!0});var Ye=i(I);ie=n(Ye,"subclassing"),Ye.forEach(t),Pe=n(ee,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),ee.forEach(t),this.h()},h(){u(I,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),u(I,"rel","nofollow")},m(v,z){g(v,d,z),e(d,b),e(d,m),e(m,f),e(d,_),g(v,l,z),g(v,c,z),e(c,M),e(M,be),e(c,me),e(c,W),e(W,se),g(v,te,z),g(v,x,z),e(x,ke),e(x,Q),e(Q,ve),e(x,ue),e(x,U),e(U,ye),e(x,ae),e(x,G),e(G,Te),e(x,fe),e(x,B),e(B,ce),e(x,we),e(x,X),e(X,pe),e(x,$e),g(v,oe,z),g(v,q,z),e(q,L),e(L,ge),e(L,H),e(H,he),e(L,Ae),e(L,J),e(J,le),e(q,Fe),e(q,C),e(C,re),e(C,K),e(K,xe),e(C,Ee),e(C,V),e(V,Me),e(q,_e),e(q,O),e(O,ze),e(O,R),e(R,je),g(v,ne,z),g(v,P,z),e(P,qe),e(P,I),e(I,ie),e(P,Pe)},d(v){v&&t(d),v&&t(l),v&&t(c),v&&t(te),v&&t(x),v&&t(oe),v&&t(q),v&&t(ne),v&&t(P)}}}function vM(E){let d,b,m,f,_;return{c(){d=r("p"),b=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=r("code"),f=o("Module"),_=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var c=i(d);b=n(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(c,"CODE",{});var M=i(m);f=n(M,"Module"),M.forEach(t),_=n(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(l,c){g(l,d,c),e(d,b),e(d,m),e(m,f),e(d,_)},d(l){l&&t(d)}}}function yM(E){let d,b,m,f,_;return f=new Ne({props:{code:`from transformers import AutoTokenizer, TFAlbertModel
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("albert-base-v2")
model = TFAlbertModel.from_pretrained("albert-base-v2")

inputs = tokenizer("Hello, my dog is cute", return_tensors="tf")
outputs = model(inputs)

last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFAlbertModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFAlbertModel.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){d=r("p"),b=o("Example:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var c=i(d);b=n(c,"Example:"),c.forEach(t),m=h(l),T(f.$$.fragment,l)},m(l,c){g(l,d,c),e(d,b),g(l,m,c),w(f,l,c),_=!0},p:Ie,i(l){_||($(f.$$.fragment,l),_=!0)},o(l){A(f.$$.fragment,l),_=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function TM(E){let d,b,m,f,_,l,c,M,be,me,W,se,te,x,ke,Q,ve,ue,U,ye,ae,G,Te,fe,B,ce,we,X,pe,$e,oe,q,L,ge,H,he,Ae,J,le,Fe,C,re,K,xe,Ee,V,Me,_e,O,ze,R,je,ne,P,qe,I,ie,Pe;return{c(){d=r("p"),b=o("TensorFlow models and layers in "),m=r("code"),f=o("transformers"),_=o(" accept two formats as input:"),l=p(),c=r("ul"),M=r("li"),be=o("having all inputs as keyword arguments (like PyTorch models), or"),me=p(),W=r("li"),se=o("having all inputs as a list, tuple or dict in the first positional argument."),te=p(),x=r("p"),ke=o(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),Q=r("code"),ve=o("model.fit()"),ue=o(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),U=r("code"),ye=o("model.fit()"),ae=o(` supports! If, however, you want to use the second
format outside of Keras methods like `),G=r("code"),Te=o("fit()"),fe=o(" and "),B=r("code"),ce=o("predict()"),we=o(`, such as when creating your own layers or models with
the Keras `),X=r("code"),pe=o("Functional"),$e=o(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),oe=p(),q=r("ul"),L=r("li"),ge=o("a single Tensor with "),H=r("code"),he=o("input_ids"),Ae=o(" only and nothing else: "),J=r("code"),le=o("model(input_ids)"),Fe=p(),C=r("li"),re=o(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),K=r("code"),xe=o("model([input_ids, attention_mask])"),Ee=o(" or "),V=r("code"),Me=o("model([input_ids, attention_mask, token_type_ids])"),_e=p(),O=r("li"),ze=o(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),R=r("code"),je=o('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),ne=p(),P=r("p"),qe=o(`Note that when creating models and layers with
`),I=r("a"),ie=o("subclassing"),Pe=o(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(v){d=a(v,"P",{});var z=i(d);b=n(z,"TensorFlow models and layers in "),m=a(z,"CODE",{});var Le=i(m);f=n(Le,"transformers"),Le.forEach(t),_=n(z," accept two formats as input:"),z.forEach(t),l=h(v),c=a(v,"UL",{});var Z=i(c);M=a(Z,"LI",{});var He=i(M);be=n(He,"having all inputs as keyword arguments (like PyTorch models), or"),He.forEach(t),me=h(Z),W=a(Z,"LI",{});var De=i(W);se=n(De,"having all inputs as a list, tuple or dict in the first positional argument."),De.forEach(t),Z.forEach(t),te=h(v),x=a(v,"P",{});var j=i(x);ke=n(j,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),Q=a(j,"CODE",{});var Qe=i(Q);ve=n(Qe,"model.fit()"),Qe.forEach(t),ue=n(j,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),U=a(j,"CODE",{});var Ve=i(U);ye=n(Ve,"model.fit()"),Ve.forEach(t),ae=n(j,` supports! If, however, you want to use the second
format outside of Keras methods like `),G=a(j,"CODE",{});var Ke=i(G);Te=n(Ke,"fit()"),Ke.forEach(t),fe=n(j," and "),B=a(j,"CODE",{});var de=i(B);ce=n(de,"predict()"),de.forEach(t),we=n(j,`, such as when creating your own layers or models with
the Keras `),X=a(j,"CODE",{});var Se=i(X);pe=n(Se,"Functional"),Se.forEach(t),$e=n(j,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),j.forEach(t),oe=h(v),q=a(v,"UL",{});var S=i(q);L=a(S,"LI",{});var N=i(L);ge=n(N,"a single Tensor with "),H=a(N,"CODE",{});var Je=i(H);he=n(Je,"input_ids"),Je.forEach(t),Ae=n(N," only and nothing else: "),J=a(N,"CODE",{});var Ue=i(J);le=n(Ue,"model(input_ids)"),Ue.forEach(t),N.forEach(t),Fe=h(S),C=a(S,"LI",{});var Y=i(C);re=n(Y,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),K=a(Y,"CODE",{});var Ge=i(K);xe=n(Ge,"model([input_ids, attention_mask])"),Ge.forEach(t),Ee=n(Y," or "),V=a(Y,"CODE",{});var Be=i(V);Me=n(Be,"model([input_ids, attention_mask, token_type_ids])"),Be.forEach(t),Y.forEach(t),_e=h(S),O=a(S,"LI",{});var Ce=i(O);ze=n(Ce,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),R=a(Ce,"CODE",{});var Xe=i(R);je=n(Xe,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Xe.forEach(t),Ce.forEach(t),S.forEach(t),ne=h(v),P=a(v,"P",{});var ee=i(P);qe=n(ee,`Note that when creating models and layers with
`),I=a(ee,"A",{href:!0,rel:!0});var Ye=i(I);ie=n(Ye,"subclassing"),Ye.forEach(t),Pe=n(ee,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),ee.forEach(t),this.h()},h(){u(I,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),u(I,"rel","nofollow")},m(v,z){g(v,d,z),e(d,b),e(d,m),e(m,f),e(d,_),g(v,l,z),g(v,c,z),e(c,M),e(M,be),e(c,me),e(c,W),e(W,se),g(v,te,z),g(v,x,z),e(x,ke),e(x,Q),e(Q,ve),e(x,ue),e(x,U),e(U,ye),e(x,ae),e(x,G),e(G,Te),e(x,fe),e(x,B),e(B,ce),e(x,we),e(x,X),e(X,pe),e(x,$e),g(v,oe,z),g(v,q,z),e(q,L),e(L,ge),e(L,H),e(H,he),e(L,Ae),e(L,J),e(J,le),e(q,Fe),e(q,C),e(C,re),e(C,K),e(K,xe),e(C,Ee),e(C,V),e(V,Me),e(q,_e),e(q,O),e(O,ze),e(O,R),e(R,je),g(v,ne,z),g(v,P,z),e(P,qe),e(P,I),e(I,ie),e(P,Pe)},d(v){v&&t(d),v&&t(l),v&&t(c),v&&t(te),v&&t(x),v&&t(oe),v&&t(q),v&&t(ne),v&&t(P)}}}function wM(E){let d,b,m,f,_;return{c(){d=r("p"),b=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=r("code"),f=o("Module"),_=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var c=i(d);b=n(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(c,"CODE",{});var M=i(m);f=n(M,"Module"),M.forEach(t),_=n(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(l,c){g(l,d,c),e(d,b),e(d,m),e(m,f),e(d,_)},d(l){l&&t(d)}}}function $M(E){let d,b,m,f,_;return f=new Ne({props:{code:`import tensorflow as tf
from transformers import AutoTokenizer, TFAlbertForPreTraining

tokenizer = AutoTokenizer.from_pretrained("albert-base-v2")
model = TFAlbertForPreTraining.from_pretrained("albert-base-v2")

input_ids = tf.constant(tokenizer.encode("Hello, my dog is cute", add_special_tokens=True))[None, :]
# Batch size 1
outputs = model(input_ids)

prediction_logits = outputs.prediction_logits
sop_logits = outputs.sop_logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFAlbertForPreTraining

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFAlbertForPreTraining.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>input_ids = tf.constant(tokenizer.encode(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, add_special_tokens=<span class="hljs-literal">True</span>))[<span class="hljs-literal">None</span>, :]
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Batch size 1</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(input_ids)

<span class="hljs-meta">&gt;&gt;&gt; </span>prediction_logits = outputs.prediction_logits
<span class="hljs-meta">&gt;&gt;&gt; </span>sop_logits = outputs.sop_logits`}}),{c(){d=r("p"),b=o("Example:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var c=i(d);b=n(c,"Example:"),c.forEach(t),m=h(l),T(f.$$.fragment,l)},m(l,c){g(l,d,c),e(d,b),g(l,m,c),w(f,l,c),_=!0},p:Ie,i(l){_||($(f.$$.fragment,l),_=!0)},o(l){A(f.$$.fragment,l),_=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function AM(E){let d,b,m,f,_,l,c,M,be,me,W,se,te,x,ke,Q,ve,ue,U,ye,ae,G,Te,fe,B,ce,we,X,pe,$e,oe,q,L,ge,H,he,Ae,J,le,Fe,C,re,K,xe,Ee,V,Me,_e,O,ze,R,je,ne,P,qe,I,ie,Pe;return{c(){d=r("p"),b=o("TensorFlow models and layers in "),m=r("code"),f=o("transformers"),_=o(" accept two formats as input:"),l=p(),c=r("ul"),M=r("li"),be=o("having all inputs as keyword arguments (like PyTorch models), or"),me=p(),W=r("li"),se=o("having all inputs as a list, tuple or dict in the first positional argument."),te=p(),x=r("p"),ke=o(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),Q=r("code"),ve=o("model.fit()"),ue=o(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),U=r("code"),ye=o("model.fit()"),ae=o(` supports! If, however, you want to use the second
format outside of Keras methods like `),G=r("code"),Te=o("fit()"),fe=o(" and "),B=r("code"),ce=o("predict()"),we=o(`, such as when creating your own layers or models with
the Keras `),X=r("code"),pe=o("Functional"),$e=o(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),oe=p(),q=r("ul"),L=r("li"),ge=o("a single Tensor with "),H=r("code"),he=o("input_ids"),Ae=o(" only and nothing else: "),J=r("code"),le=o("model(input_ids)"),Fe=p(),C=r("li"),re=o(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),K=r("code"),xe=o("model([input_ids, attention_mask])"),Ee=o(" or "),V=r("code"),Me=o("model([input_ids, attention_mask, token_type_ids])"),_e=p(),O=r("li"),ze=o(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),R=r("code"),je=o('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),ne=p(),P=r("p"),qe=o(`Note that when creating models and layers with
`),I=r("a"),ie=o("subclassing"),Pe=o(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(v){d=a(v,"P",{});var z=i(d);b=n(z,"TensorFlow models and layers in "),m=a(z,"CODE",{});var Le=i(m);f=n(Le,"transformers"),Le.forEach(t),_=n(z," accept two formats as input:"),z.forEach(t),l=h(v),c=a(v,"UL",{});var Z=i(c);M=a(Z,"LI",{});var He=i(M);be=n(He,"having all inputs as keyword arguments (like PyTorch models), or"),He.forEach(t),me=h(Z),W=a(Z,"LI",{});var De=i(W);se=n(De,"having all inputs as a list, tuple or dict in the first positional argument."),De.forEach(t),Z.forEach(t),te=h(v),x=a(v,"P",{});var j=i(x);ke=n(j,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),Q=a(j,"CODE",{});var Qe=i(Q);ve=n(Qe,"model.fit()"),Qe.forEach(t),ue=n(j,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),U=a(j,"CODE",{});var Ve=i(U);ye=n(Ve,"model.fit()"),Ve.forEach(t),ae=n(j,` supports! If, however, you want to use the second
format outside of Keras methods like `),G=a(j,"CODE",{});var Ke=i(G);Te=n(Ke,"fit()"),Ke.forEach(t),fe=n(j," and "),B=a(j,"CODE",{});var de=i(B);ce=n(de,"predict()"),de.forEach(t),we=n(j,`, such as when creating your own layers or models with
the Keras `),X=a(j,"CODE",{});var Se=i(X);pe=n(Se,"Functional"),Se.forEach(t),$e=n(j,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),j.forEach(t),oe=h(v),q=a(v,"UL",{});var S=i(q);L=a(S,"LI",{});var N=i(L);ge=n(N,"a single Tensor with "),H=a(N,"CODE",{});var Je=i(H);he=n(Je,"input_ids"),Je.forEach(t),Ae=n(N," only and nothing else: "),J=a(N,"CODE",{});var Ue=i(J);le=n(Ue,"model(input_ids)"),Ue.forEach(t),N.forEach(t),Fe=h(S),C=a(S,"LI",{});var Y=i(C);re=n(Y,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),K=a(Y,"CODE",{});var Ge=i(K);xe=n(Ge,"model([input_ids, attention_mask])"),Ge.forEach(t),Ee=n(Y," or "),V=a(Y,"CODE",{});var Be=i(V);Me=n(Be,"model([input_ids, attention_mask, token_type_ids])"),Be.forEach(t),Y.forEach(t),_e=h(S),O=a(S,"LI",{});var Ce=i(O);ze=n(Ce,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),R=a(Ce,"CODE",{});var Xe=i(R);je=n(Xe,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Xe.forEach(t),Ce.forEach(t),S.forEach(t),ne=h(v),P=a(v,"P",{});var ee=i(P);qe=n(ee,`Note that when creating models and layers with
`),I=a(ee,"A",{href:!0,rel:!0});var Ye=i(I);ie=n(Ye,"subclassing"),Ye.forEach(t),Pe=n(ee,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),ee.forEach(t),this.h()},h(){u(I,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),u(I,"rel","nofollow")},m(v,z){g(v,d,z),e(d,b),e(d,m),e(m,f),e(d,_),g(v,l,z),g(v,c,z),e(c,M),e(M,be),e(c,me),e(c,W),e(W,se),g(v,te,z),g(v,x,z),e(x,ke),e(x,Q),e(Q,ve),e(x,ue),e(x,U),e(U,ye),e(x,ae),e(x,G),e(G,Te),e(x,fe),e(x,B),e(B,ce),e(x,we),e(x,X),e(X,pe),e(x,$e),g(v,oe,z),g(v,q,z),e(q,L),e(L,ge),e(L,H),e(H,he),e(L,Ae),e(L,J),e(J,le),e(q,Fe),e(q,C),e(C,re),e(C,K),e(K,xe),e(C,Ee),e(C,V),e(V,Me),e(q,_e),e(q,O),e(O,ze),e(O,R),e(R,je),g(v,ne,z),g(v,P,z),e(P,qe),e(P,I),e(I,ie),e(P,Pe)},d(v){v&&t(d),v&&t(l),v&&t(c),v&&t(te),v&&t(x),v&&t(oe),v&&t(q),v&&t(ne),v&&t(P)}}}function FM(E){let d,b,m,f,_;return{c(){d=r("p"),b=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=r("code"),f=o("Module"),_=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var c=i(d);b=n(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(c,"CODE",{});var M=i(m);f=n(M,"Module"),M.forEach(t),_=n(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(l,c){g(l,d,c),e(d,b),e(d,m),e(m,f),e(d,_)},d(l){l&&t(d)}}}function xM(E){let d,b,m,f,_;return f=new Ne({props:{code:`import tensorflow as tf
from transformers import AutoTokenizer, TFAlbertForMaskedLM

tokenizer = AutoTokenizer.from_pretrained("albert-base-v2")
model = TFAlbertForMaskedLM.from_pretrained("albert-base-v2")

# add mask_token
inputs = tokenizer(f"The capital of [MASK] is Paris.", return_tensors="tf")
logits = model(**inputs).logits

# retrieve index of [MASK]
mask_token_index = tf.where(inputs.input_ids == tokenizer.mask_token_id)[0][1]
predicted_token_id = tf.math.argmax(logits[0, mask_token_index], axis=-1)
tokenizer.decode(predicted_token_id)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFAlbertForMaskedLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFAlbertForMaskedLM.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># add mask_token</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">f&quot;The capital of [MASK] is Paris.&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># retrieve index of [MASK]</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>mask_token_index = tf.where(inputs.input_ids == tokenizer.mask_token_id)[<span class="hljs-number">0</span>][<span class="hljs-number">1</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_token_id = tf.math.argmax(logits[<span class="hljs-number">0</span>, mask_token_index], axis=-<span class="hljs-number">1</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.decode(predicted_token_id)
<span class="hljs-string">&#x27;france&#x27;</span>`}}),{c(){d=r("p"),b=o("Example:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var c=i(d);b=n(c,"Example:"),c.forEach(t),m=h(l),T(f.$$.fragment,l)},m(l,c){g(l,d,c),e(d,b),g(l,m,c),w(f,l,c),_=!0},p:Ie,i(l){_||($(f.$$.fragment,l),_=!0)},o(l){A(f.$$.fragment,l),_=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function EM(E){let d,b;return d=new Ne({props:{code:`labels = tokenizer("The capital of France is Paris.", return_tensors="tf")["input_ids"]
labels = tf.where(inputs.input_ids == tokenizer.mask_token_id, labels, -100)
outputs = model(**inputs, labels=labels)
round(float(outputs.loss), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span>labels = tokenizer(<span class="hljs-string">&quot;The capital of France is Paris.&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)[<span class="hljs-string">&quot;input_ids&quot;</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>labels = tf.where(inputs.input_ids == tokenizer.mask_token_id, labels, -<span class="hljs-number">100</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, labels=labels)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(<span class="hljs-built_in">float</span>(outputs.loss), <span class="hljs-number">2</span>)
<span class="hljs-number">0.81</span>`}}),{c(){y(d.$$.fragment)},l(m){T(d.$$.fragment,m)},m(m,f){w(d,m,f),b=!0},p:Ie,i(m){b||($(d.$$.fragment,m),b=!0)},o(m){A(d.$$.fragment,m),b=!1},d(m){F(d,m)}}}function MM(E){let d,b,m,f,_,l,c,M,be,me,W,se,te,x,ke,Q,ve,ue,U,ye,ae,G,Te,fe,B,ce,we,X,pe,$e,oe,q,L,ge,H,he,Ae,J,le,Fe,C,re,K,xe,Ee,V,Me,_e,O,ze,R,je,ne,P,qe,I,ie,Pe;return{c(){d=r("p"),b=o("TensorFlow models and layers in "),m=r("code"),f=o("transformers"),_=o(" accept two formats as input:"),l=p(),c=r("ul"),M=r("li"),be=o("having all inputs as keyword arguments (like PyTorch models), or"),me=p(),W=r("li"),se=o("having all inputs as a list, tuple or dict in the first positional argument."),te=p(),x=r("p"),ke=o(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),Q=r("code"),ve=o("model.fit()"),ue=o(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),U=r("code"),ye=o("model.fit()"),ae=o(` supports! If, however, you want to use the second
format outside of Keras methods like `),G=r("code"),Te=o("fit()"),fe=o(" and "),B=r("code"),ce=o("predict()"),we=o(`, such as when creating your own layers or models with
the Keras `),X=r("code"),pe=o("Functional"),$e=o(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),oe=p(),q=r("ul"),L=r("li"),ge=o("a single Tensor with "),H=r("code"),he=o("input_ids"),Ae=o(" only and nothing else: "),J=r("code"),le=o("model(input_ids)"),Fe=p(),C=r("li"),re=o(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),K=r("code"),xe=o("model([input_ids, attention_mask])"),Ee=o(" or "),V=r("code"),Me=o("model([input_ids, attention_mask, token_type_ids])"),_e=p(),O=r("li"),ze=o(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),R=r("code"),je=o('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),ne=p(),P=r("p"),qe=o(`Note that when creating models and layers with
`),I=r("a"),ie=o("subclassing"),Pe=o(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(v){d=a(v,"P",{});var z=i(d);b=n(z,"TensorFlow models and layers in "),m=a(z,"CODE",{});var Le=i(m);f=n(Le,"transformers"),Le.forEach(t),_=n(z," accept two formats as input:"),z.forEach(t),l=h(v),c=a(v,"UL",{});var Z=i(c);M=a(Z,"LI",{});var He=i(M);be=n(He,"having all inputs as keyword arguments (like PyTorch models), or"),He.forEach(t),me=h(Z),W=a(Z,"LI",{});var De=i(W);se=n(De,"having all inputs as a list, tuple or dict in the first positional argument."),De.forEach(t),Z.forEach(t),te=h(v),x=a(v,"P",{});var j=i(x);ke=n(j,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),Q=a(j,"CODE",{});var Qe=i(Q);ve=n(Qe,"model.fit()"),Qe.forEach(t),ue=n(j,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),U=a(j,"CODE",{});var Ve=i(U);ye=n(Ve,"model.fit()"),Ve.forEach(t),ae=n(j,` supports! If, however, you want to use the second
format outside of Keras methods like `),G=a(j,"CODE",{});var Ke=i(G);Te=n(Ke,"fit()"),Ke.forEach(t),fe=n(j," and "),B=a(j,"CODE",{});var de=i(B);ce=n(de,"predict()"),de.forEach(t),we=n(j,`, such as when creating your own layers or models with
the Keras `),X=a(j,"CODE",{});var Se=i(X);pe=n(Se,"Functional"),Se.forEach(t),$e=n(j,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),j.forEach(t),oe=h(v),q=a(v,"UL",{});var S=i(q);L=a(S,"LI",{});var N=i(L);ge=n(N,"a single Tensor with "),H=a(N,"CODE",{});var Je=i(H);he=n(Je,"input_ids"),Je.forEach(t),Ae=n(N," only and nothing else: "),J=a(N,"CODE",{});var Ue=i(J);le=n(Ue,"model(input_ids)"),Ue.forEach(t),N.forEach(t),Fe=h(S),C=a(S,"LI",{});var Y=i(C);re=n(Y,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),K=a(Y,"CODE",{});var Ge=i(K);xe=n(Ge,"model([input_ids, attention_mask])"),Ge.forEach(t),Ee=n(Y," or "),V=a(Y,"CODE",{});var Be=i(V);Me=n(Be,"model([input_ids, attention_mask, token_type_ids])"),Be.forEach(t),Y.forEach(t),_e=h(S),O=a(S,"LI",{});var Ce=i(O);ze=n(Ce,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),R=a(Ce,"CODE",{});var Xe=i(R);je=n(Xe,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Xe.forEach(t),Ce.forEach(t),S.forEach(t),ne=h(v),P=a(v,"P",{});var ee=i(P);qe=n(ee,`Note that when creating models and layers with
`),I=a(ee,"A",{href:!0,rel:!0});var Ye=i(I);ie=n(Ye,"subclassing"),Ye.forEach(t),Pe=n(ee,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),ee.forEach(t),this.h()},h(){u(I,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),u(I,"rel","nofollow")},m(v,z){g(v,d,z),e(d,b),e(d,m),e(m,f),e(d,_),g(v,l,z),g(v,c,z),e(c,M),e(M,be),e(c,me),e(c,W),e(W,se),g(v,te,z),g(v,x,z),e(x,ke),e(x,Q),e(Q,ve),e(x,ue),e(x,U),e(U,ye),e(x,ae),e(x,G),e(G,Te),e(x,fe),e(x,B),e(B,ce),e(x,we),e(x,X),e(X,pe),e(x,$e),g(v,oe,z),g(v,q,z),e(q,L),e(L,ge),e(L,H),e(H,he),e(L,Ae),e(L,J),e(J,le),e(q,Fe),e(q,C),e(C,re),e(C,K),e(K,xe),e(C,Ee),e(C,V),e(V,Me),e(q,_e),e(q,O),e(O,ze),e(O,R),e(R,je),g(v,ne,z),g(v,P,z),e(P,qe),e(P,I),e(I,ie),e(P,Pe)},d(v){v&&t(d),v&&t(l),v&&t(c),v&&t(te),v&&t(x),v&&t(oe),v&&t(q),v&&t(ne),v&&t(P)}}}function zM(E){let d,b,m,f,_;return{c(){d=r("p"),b=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=r("code"),f=o("Module"),_=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var c=i(d);b=n(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(c,"CODE",{});var M=i(m);f=n(M,"Module"),M.forEach(t),_=n(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(l,c){g(l,d,c),e(d,b),e(d,m),e(m,f),e(d,_)},d(l){l&&t(d)}}}function jM(E){let d,b,m,f,_;return f=new Ne({props:{code:`from transformers import AutoTokenizer, TFAlbertForSequenceClassification
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("vumichien/albert-base-v2-imdb")
model = TFAlbertForSequenceClassification.from_pretrained("vumichien/albert-base-v2-imdb")

inputs = tokenizer("Hello, my dog is cute", return_tensors="tf")

logits = model(**inputs).logits

predicted_class_id = int(tf.math.argmax(logits, axis=-1)[0])
model.config.id2label[predicted_class_id]`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFAlbertForSequenceClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;vumichien/albert-base-v2-imdb&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFAlbertForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;vumichien/albert-base-v2-imdb&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_id = <span class="hljs-built_in">int</span>(tf.math.argmax(logits, axis=-<span class="hljs-number">1</span>)[<span class="hljs-number">0</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>model.config.id2label[predicted_class_id]
<span class="hljs-string">&#x27;LABEL_1&#x27;</span>`}}),{c(){d=r("p"),b=o("Example:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var c=i(d);b=n(c,"Example:"),c.forEach(t),m=h(l),T(f.$$.fragment,l)},m(l,c){g(l,d,c),e(d,b),g(l,m,c),w(f,l,c),_=!0},p:Ie,i(l){_||($(f.$$.fragment,l),_=!0)},o(l){A(f.$$.fragment,l),_=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function qM(E){let d,b;return d=new Ne({props:{code:'# To train a model on `num_labels` classes, you can pass `num_labels=num_labels` to `.from_pretrained(...)`\nnum_labels = len(model.config.id2label)\nmodel = TFAlbertForSequenceClassification.from_pretrained("vumichien/albert-base-v2-imdb", num_labels=num_labels)\n\nlabels = tf.constant(1)\nloss = model(**inputs, labels=labels).loss\nround(float(loss), 2)',highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>num_labels = <span class="hljs-built_in">len</span>(model.config.id2label)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFAlbertForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;vumichien/albert-base-v2-imdb&quot;</span>, num_labels=num_labels)

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = tf.constant(<span class="hljs-number">1</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs, labels=labels).loss
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(<span class="hljs-built_in">float</span>(loss), <span class="hljs-number">2</span>)
<span class="hljs-number">0.12</span>`}}),{c(){y(d.$$.fragment)},l(m){T(d.$$.fragment,m)},m(m,f){w(d,m,f),b=!0},p:Ie,i(m){b||($(d.$$.fragment,m),b=!0)},o(m){A(d.$$.fragment,m),b=!1},d(m){F(d,m)}}}function PM(E){let d,b,m,f,_,l,c,M,be,me,W,se,te,x,ke,Q,ve,ue,U,ye,ae,G,Te,fe,B,ce,we,X,pe,$e,oe,q,L,ge,H,he,Ae,J,le,Fe,C,re,K,xe,Ee,V,Me,_e,O,ze,R,je,ne,P,qe,I,ie,Pe;return{c(){d=r("p"),b=o("TensorFlow models and layers in "),m=r("code"),f=o("transformers"),_=o(" accept two formats as input:"),l=p(),c=r("ul"),M=r("li"),be=o("having all inputs as keyword arguments (like PyTorch models), or"),me=p(),W=r("li"),se=o("having all inputs as a list, tuple or dict in the first positional argument."),te=p(),x=r("p"),ke=o(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),Q=r("code"),ve=o("model.fit()"),ue=o(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),U=r("code"),ye=o("model.fit()"),ae=o(` supports! If, however, you want to use the second
format outside of Keras methods like `),G=r("code"),Te=o("fit()"),fe=o(" and "),B=r("code"),ce=o("predict()"),we=o(`, such as when creating your own layers or models with
the Keras `),X=r("code"),pe=o("Functional"),$e=o(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),oe=p(),q=r("ul"),L=r("li"),ge=o("a single Tensor with "),H=r("code"),he=o("input_ids"),Ae=o(" only and nothing else: "),J=r("code"),le=o("model(input_ids)"),Fe=p(),C=r("li"),re=o(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),K=r("code"),xe=o("model([input_ids, attention_mask])"),Ee=o(" or "),V=r("code"),Me=o("model([input_ids, attention_mask, token_type_ids])"),_e=p(),O=r("li"),ze=o(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),R=r("code"),je=o('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),ne=p(),P=r("p"),qe=o(`Note that when creating models and layers with
`),I=r("a"),ie=o("subclassing"),Pe=o(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(v){d=a(v,"P",{});var z=i(d);b=n(z,"TensorFlow models and layers in "),m=a(z,"CODE",{});var Le=i(m);f=n(Le,"transformers"),Le.forEach(t),_=n(z," accept two formats as input:"),z.forEach(t),l=h(v),c=a(v,"UL",{});var Z=i(c);M=a(Z,"LI",{});var He=i(M);be=n(He,"having all inputs as keyword arguments (like PyTorch models), or"),He.forEach(t),me=h(Z),W=a(Z,"LI",{});var De=i(W);se=n(De,"having all inputs as a list, tuple or dict in the first positional argument."),De.forEach(t),Z.forEach(t),te=h(v),x=a(v,"P",{});var j=i(x);ke=n(j,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),Q=a(j,"CODE",{});var Qe=i(Q);ve=n(Qe,"model.fit()"),Qe.forEach(t),ue=n(j,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),U=a(j,"CODE",{});var Ve=i(U);ye=n(Ve,"model.fit()"),Ve.forEach(t),ae=n(j,` supports! If, however, you want to use the second
format outside of Keras methods like `),G=a(j,"CODE",{});var Ke=i(G);Te=n(Ke,"fit()"),Ke.forEach(t),fe=n(j," and "),B=a(j,"CODE",{});var de=i(B);ce=n(de,"predict()"),de.forEach(t),we=n(j,`, such as when creating your own layers or models with
the Keras `),X=a(j,"CODE",{});var Se=i(X);pe=n(Se,"Functional"),Se.forEach(t),$e=n(j,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),j.forEach(t),oe=h(v),q=a(v,"UL",{});var S=i(q);L=a(S,"LI",{});var N=i(L);ge=n(N,"a single Tensor with "),H=a(N,"CODE",{});var Je=i(H);he=n(Je,"input_ids"),Je.forEach(t),Ae=n(N," only and nothing else: "),J=a(N,"CODE",{});var Ue=i(J);le=n(Ue,"model(input_ids)"),Ue.forEach(t),N.forEach(t),Fe=h(S),C=a(S,"LI",{});var Y=i(C);re=n(Y,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),K=a(Y,"CODE",{});var Ge=i(K);xe=n(Ge,"model([input_ids, attention_mask])"),Ge.forEach(t),Ee=n(Y," or "),V=a(Y,"CODE",{});var Be=i(V);Me=n(Be,"model([input_ids, attention_mask, token_type_ids])"),Be.forEach(t),Y.forEach(t),_e=h(S),O=a(S,"LI",{});var Ce=i(O);ze=n(Ce,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),R=a(Ce,"CODE",{});var Xe=i(R);je=n(Xe,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Xe.forEach(t),Ce.forEach(t),S.forEach(t),ne=h(v),P=a(v,"P",{});var ee=i(P);qe=n(ee,`Note that when creating models and layers with
`),I=a(ee,"A",{href:!0,rel:!0});var Ye=i(I);ie=n(Ye,"subclassing"),Ye.forEach(t),Pe=n(ee,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),ee.forEach(t),this.h()},h(){u(I,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),u(I,"rel","nofollow")},m(v,z){g(v,d,z),e(d,b),e(d,m),e(m,f),e(d,_),g(v,l,z),g(v,c,z),e(c,M),e(M,be),e(c,me),e(c,W),e(W,se),g(v,te,z),g(v,x,z),e(x,ke),e(x,Q),e(Q,ve),e(x,ue),e(x,U),e(U,ye),e(x,ae),e(x,G),e(G,Te),e(x,fe),e(x,B),e(B,ce),e(x,we),e(x,X),e(X,pe),e(x,$e),g(v,oe,z),g(v,q,z),e(q,L),e(L,ge),e(L,H),e(H,he),e(L,Ae),e(L,J),e(J,le),e(q,Fe),e(q,C),e(C,re),e(C,K),e(K,xe),e(C,Ee),e(C,V),e(V,Me),e(q,_e),e(q,O),e(O,ze),e(O,R),e(R,je),g(v,ne,z),g(v,P,z),e(P,qe),e(P,I),e(I,ie),e(P,Pe)},d(v){v&&t(d),v&&t(l),v&&t(c),v&&t(te),v&&t(x),v&&t(oe),v&&t(q),v&&t(ne),v&&t(P)}}}function CM(E){let d,b,m,f,_;return{c(){d=r("p"),b=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=r("code"),f=o("Module"),_=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var c=i(d);b=n(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(c,"CODE",{});var M=i(m);f=n(M,"Module"),M.forEach(t),_=n(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(l,c){g(l,d,c),e(d,b),e(d,m),e(m,f),e(d,_)},d(l){l&&t(d)}}}function LM(E){let d,b,m,f,_;return f=new Ne({props:{code:`from transformers import AutoTokenizer, TFAlbertForMultipleChoice
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("albert-base-v2")
model = TFAlbertForMultipleChoice.from_pretrained("albert-base-v2")

prompt = "In Italy, pizza served in formal settings, such as at a restaurant, is presented unsliced."
choice0 = "It is eaten with a fork and a knife."
choice1 = "It is eaten while held in the hand."

encoding = tokenizer([prompt, prompt], [choice0, choice1], return_tensors="tf", padding=True)
inputs = {k: tf.expand_dims(v, 0) for k, v in encoding.items()}
outputs = model(inputs)  # batch size is 1

# the linear classifier still needs to be trained
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFAlbertForMultipleChoice
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFAlbertForMultipleChoice.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>prompt = <span class="hljs-string">&quot;In Italy, pizza served in formal settings, such as at a restaurant, is presented unsliced.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>choice0 = <span class="hljs-string">&quot;It is eaten with a fork and a knife.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>choice1 = <span class="hljs-string">&quot;It is eaten while held in the hand.&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>encoding = tokenizer([prompt, prompt], [choice0, choice1], return_tensors=<span class="hljs-string">&quot;tf&quot;</span>, padding=<span class="hljs-literal">True</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = {k: tf.expand_dims(v, <span class="hljs-number">0</span>) <span class="hljs-keyword">for</span> k, v <span class="hljs-keyword">in</span> encoding.items()}
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(inputs)  <span class="hljs-comment"># batch size is 1</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># the linear classifier still needs to be trained</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){d=r("p"),b=o("Example:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var c=i(d);b=n(c,"Example:"),c.forEach(t),m=h(l),T(f.$$.fragment,l)},m(l,c){g(l,d,c),e(d,b),g(l,m,c),w(f,l,c),_=!0},p:Ie,i(l){_||($(f.$$.fragment,l),_=!0)},o(l){A(f.$$.fragment,l),_=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function OM(E){let d,b,m,f,_,l,c,M,be,me,W,se,te,x,ke,Q,ve,ue,U,ye,ae,G,Te,fe,B,ce,we,X,pe,$e,oe,q,L,ge,H,he,Ae,J,le,Fe,C,re,K,xe,Ee,V,Me,_e,O,ze,R,je,ne,P,qe,I,ie,Pe;return{c(){d=r("p"),b=o("TensorFlow models and layers in "),m=r("code"),f=o("transformers"),_=o(" accept two formats as input:"),l=p(),c=r("ul"),M=r("li"),be=o("having all inputs as keyword arguments (like PyTorch models), or"),me=p(),W=r("li"),se=o("having all inputs as a list, tuple or dict in the first positional argument."),te=p(),x=r("p"),ke=o(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),Q=r("code"),ve=o("model.fit()"),ue=o(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),U=r("code"),ye=o("model.fit()"),ae=o(` supports! If, however, you want to use the second
format outside of Keras methods like `),G=r("code"),Te=o("fit()"),fe=o(" and "),B=r("code"),ce=o("predict()"),we=o(`, such as when creating your own layers or models with
the Keras `),X=r("code"),pe=o("Functional"),$e=o(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),oe=p(),q=r("ul"),L=r("li"),ge=o("a single Tensor with "),H=r("code"),he=o("input_ids"),Ae=o(" only and nothing else: "),J=r("code"),le=o("model(input_ids)"),Fe=p(),C=r("li"),re=o(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),K=r("code"),xe=o("model([input_ids, attention_mask])"),Ee=o(" or "),V=r("code"),Me=o("model([input_ids, attention_mask, token_type_ids])"),_e=p(),O=r("li"),ze=o(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),R=r("code"),je=o('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),ne=p(),P=r("p"),qe=o(`Note that when creating models and layers with
`),I=r("a"),ie=o("subclassing"),Pe=o(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(v){d=a(v,"P",{});var z=i(d);b=n(z,"TensorFlow models and layers in "),m=a(z,"CODE",{});var Le=i(m);f=n(Le,"transformers"),Le.forEach(t),_=n(z," accept two formats as input:"),z.forEach(t),l=h(v),c=a(v,"UL",{});var Z=i(c);M=a(Z,"LI",{});var He=i(M);be=n(He,"having all inputs as keyword arguments (like PyTorch models), or"),He.forEach(t),me=h(Z),W=a(Z,"LI",{});var De=i(W);se=n(De,"having all inputs as a list, tuple or dict in the first positional argument."),De.forEach(t),Z.forEach(t),te=h(v),x=a(v,"P",{});var j=i(x);ke=n(j,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),Q=a(j,"CODE",{});var Qe=i(Q);ve=n(Qe,"model.fit()"),Qe.forEach(t),ue=n(j,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),U=a(j,"CODE",{});var Ve=i(U);ye=n(Ve,"model.fit()"),Ve.forEach(t),ae=n(j,` supports! If, however, you want to use the second
format outside of Keras methods like `),G=a(j,"CODE",{});var Ke=i(G);Te=n(Ke,"fit()"),Ke.forEach(t),fe=n(j," and "),B=a(j,"CODE",{});var de=i(B);ce=n(de,"predict()"),de.forEach(t),we=n(j,`, such as when creating your own layers or models with
the Keras `),X=a(j,"CODE",{});var Se=i(X);pe=n(Se,"Functional"),Se.forEach(t),$e=n(j,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),j.forEach(t),oe=h(v),q=a(v,"UL",{});var S=i(q);L=a(S,"LI",{});var N=i(L);ge=n(N,"a single Tensor with "),H=a(N,"CODE",{});var Je=i(H);he=n(Je,"input_ids"),Je.forEach(t),Ae=n(N," only and nothing else: "),J=a(N,"CODE",{});var Ue=i(J);le=n(Ue,"model(input_ids)"),Ue.forEach(t),N.forEach(t),Fe=h(S),C=a(S,"LI",{});var Y=i(C);re=n(Y,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),K=a(Y,"CODE",{});var Ge=i(K);xe=n(Ge,"model([input_ids, attention_mask])"),Ge.forEach(t),Ee=n(Y," or "),V=a(Y,"CODE",{});var Be=i(V);Me=n(Be,"model([input_ids, attention_mask, token_type_ids])"),Be.forEach(t),Y.forEach(t),_e=h(S),O=a(S,"LI",{});var Ce=i(O);ze=n(Ce,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),R=a(Ce,"CODE",{});var Xe=i(R);je=n(Xe,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Xe.forEach(t),Ce.forEach(t),S.forEach(t),ne=h(v),P=a(v,"P",{});var ee=i(P);qe=n(ee,`Note that when creating models and layers with
`),I=a(ee,"A",{href:!0,rel:!0});var Ye=i(I);ie=n(Ye,"subclassing"),Ye.forEach(t),Pe=n(ee,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),ee.forEach(t),this.h()},h(){u(I,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),u(I,"rel","nofollow")},m(v,z){g(v,d,z),e(d,b),e(d,m),e(m,f),e(d,_),g(v,l,z),g(v,c,z),e(c,M),e(M,be),e(c,me),e(c,W),e(W,se),g(v,te,z),g(v,x,z),e(x,ke),e(x,Q),e(Q,ve),e(x,ue),e(x,U),e(U,ye),e(x,ae),e(x,G),e(G,Te),e(x,fe),e(x,B),e(B,ce),e(x,we),e(x,X),e(X,pe),e(x,$e),g(v,oe,z),g(v,q,z),e(q,L),e(L,ge),e(L,H),e(H,he),e(L,Ae),e(L,J),e(J,le),e(q,Fe),e(q,C),e(C,re),e(C,K),e(K,xe),e(C,Ee),e(C,V),e(V,Me),e(q,_e),e(q,O),e(O,ze),e(O,R),e(R,je),g(v,ne,z),g(v,P,z),e(P,qe),e(P,I),e(I,ie),e(P,Pe)},d(v){v&&t(d),v&&t(l),v&&t(c),v&&t(te),v&&t(x),v&&t(oe),v&&t(q),v&&t(ne),v&&t(P)}}}function IM(E){let d,b,m,f,_;return{c(){d=r("p"),b=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=r("code"),f=o("Module"),_=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var c=i(d);b=n(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(c,"CODE",{});var M=i(m);f=n(M,"Module"),M.forEach(t),_=n(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(l,c){g(l,d,c),e(d,b),e(d,m),e(m,f),e(d,_)},d(l){l&&t(d)}}}function NM(E){let d,b,m,f,_;return f=new Ne({props:{code:`from transformers import AutoTokenizer, TFAlbertForTokenClassification
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("albert-base-v2")
model = TFAlbertForTokenClassification.from_pretrained("albert-base-v2")

inputs = tokenizer(
    "HuggingFace is a company based in Paris and New York", add_special_tokens=False, return_tensors="tf"
)

logits = model(**inputs).logits
predicted_token_class_ids = tf.math.argmax(logits, axis=-1)

# Note that tokens are classified rather then input words which means that
# there might be more predicted token classes than words.
# Multiple token classes might account for the same word
predicted_tokens_classes = [model.config.id2label[t] for t in predicted_token_class_ids[0].numpy().tolist()]`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFAlbertForTokenClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFAlbertForTokenClassification.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;HuggingFace is a company based in Paris and New York&quot;</span>, add_special_tokens=<span class="hljs-literal">False</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>logits = model(**inputs).logits
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_token_class_ids = tf.math.argmax(logits, axis=-<span class="hljs-number">1</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Note that tokens are classified rather then input words which means that</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># there might be more predicted token classes than words.</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Multiple token classes might account for the same word</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_tokens_classes = [model.config.id2label[t] <span class="hljs-keyword">for</span> t <span class="hljs-keyword">in</span> predicted_token_class_ids[<span class="hljs-number">0</span>].numpy().tolist()]`}}),{c(){d=r("p"),b=o("Example:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var c=i(d);b=n(c,"Example:"),c.forEach(t),m=h(l),T(f.$$.fragment,l)},m(l,c){g(l,d,c),e(d,b),g(l,m,c),w(f,l,c),_=!0},p:Ie,i(l){_||($(f.$$.fragment,l),_=!0)},o(l){A(f.$$.fragment,l),_=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function DM(E){let d,b;return d=new Ne({props:{code:`labels = predicted_token_class_ids
loss = tf.math.reduce_mean(model(**inputs, labels=labels).loss)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span>labels = predicted_token_class_ids
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = tf.math.reduce_mean(model(**inputs, labels=labels).loss)`}}),{c(){y(d.$$.fragment)},l(m){T(d.$$.fragment,m)},m(m,f){w(d,m,f),b=!0},p:Ie,i(m){b||($(d.$$.fragment,m),b=!0)},o(m){A(d.$$.fragment,m),b=!1},d(m){F(d,m)}}}function SM(E){let d,b,m,f,_,l,c,M,be,me,W,se,te,x,ke,Q,ve,ue,U,ye,ae,G,Te,fe,B,ce,we,X,pe,$e,oe,q,L,ge,H,he,Ae,J,le,Fe,C,re,K,xe,Ee,V,Me,_e,O,ze,R,je,ne,P,qe,I,ie,Pe;return{c(){d=r("p"),b=o("TensorFlow models and layers in "),m=r("code"),f=o("transformers"),_=o(" accept two formats as input:"),l=p(),c=r("ul"),M=r("li"),be=o("having all inputs as keyword arguments (like PyTorch models), or"),me=p(),W=r("li"),se=o("having all inputs as a list, tuple or dict in the first positional argument."),te=p(),x=r("p"),ke=o(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),Q=r("code"),ve=o("model.fit()"),ue=o(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),U=r("code"),ye=o("model.fit()"),ae=o(` supports! If, however, you want to use the second
format outside of Keras methods like `),G=r("code"),Te=o("fit()"),fe=o(" and "),B=r("code"),ce=o("predict()"),we=o(`, such as when creating your own layers or models with
the Keras `),X=r("code"),pe=o("Functional"),$e=o(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),oe=p(),q=r("ul"),L=r("li"),ge=o("a single Tensor with "),H=r("code"),he=o("input_ids"),Ae=o(" only and nothing else: "),J=r("code"),le=o("model(input_ids)"),Fe=p(),C=r("li"),re=o(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),K=r("code"),xe=o("model([input_ids, attention_mask])"),Ee=o(" or "),V=r("code"),Me=o("model([input_ids, attention_mask, token_type_ids])"),_e=p(),O=r("li"),ze=o(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),R=r("code"),je=o('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),ne=p(),P=r("p"),qe=o(`Note that when creating models and layers with
`),I=r("a"),ie=o("subclassing"),Pe=o(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(v){d=a(v,"P",{});var z=i(d);b=n(z,"TensorFlow models and layers in "),m=a(z,"CODE",{});var Le=i(m);f=n(Le,"transformers"),Le.forEach(t),_=n(z," accept two formats as input:"),z.forEach(t),l=h(v),c=a(v,"UL",{});var Z=i(c);M=a(Z,"LI",{});var He=i(M);be=n(He,"having all inputs as keyword arguments (like PyTorch models), or"),He.forEach(t),me=h(Z),W=a(Z,"LI",{});var De=i(W);se=n(De,"having all inputs as a list, tuple or dict in the first positional argument."),De.forEach(t),Z.forEach(t),te=h(v),x=a(v,"P",{});var j=i(x);ke=n(j,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),Q=a(j,"CODE",{});var Qe=i(Q);ve=n(Qe,"model.fit()"),Qe.forEach(t),ue=n(j,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),U=a(j,"CODE",{});var Ve=i(U);ye=n(Ve,"model.fit()"),Ve.forEach(t),ae=n(j,` supports! If, however, you want to use the second
format outside of Keras methods like `),G=a(j,"CODE",{});var Ke=i(G);Te=n(Ke,"fit()"),Ke.forEach(t),fe=n(j," and "),B=a(j,"CODE",{});var de=i(B);ce=n(de,"predict()"),de.forEach(t),we=n(j,`, such as when creating your own layers or models with
the Keras `),X=a(j,"CODE",{});var Se=i(X);pe=n(Se,"Functional"),Se.forEach(t),$e=n(j,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),j.forEach(t),oe=h(v),q=a(v,"UL",{});var S=i(q);L=a(S,"LI",{});var N=i(L);ge=n(N,"a single Tensor with "),H=a(N,"CODE",{});var Je=i(H);he=n(Je,"input_ids"),Je.forEach(t),Ae=n(N," only and nothing else: "),J=a(N,"CODE",{});var Ue=i(J);le=n(Ue,"model(input_ids)"),Ue.forEach(t),N.forEach(t),Fe=h(S),C=a(S,"LI",{});var Y=i(C);re=n(Y,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),K=a(Y,"CODE",{});var Ge=i(K);xe=n(Ge,"model([input_ids, attention_mask])"),Ge.forEach(t),Ee=n(Y," or "),V=a(Y,"CODE",{});var Be=i(V);Me=n(Be,"model([input_ids, attention_mask, token_type_ids])"),Be.forEach(t),Y.forEach(t),_e=h(S),O=a(S,"LI",{});var Ce=i(O);ze=n(Ce,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),R=a(Ce,"CODE",{});var Xe=i(R);je=n(Xe,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Xe.forEach(t),Ce.forEach(t),S.forEach(t),ne=h(v),P=a(v,"P",{});var ee=i(P);qe=n(ee,`Note that when creating models and layers with
`),I=a(ee,"A",{href:!0,rel:!0});var Ye=i(I);ie=n(Ye,"subclassing"),Ye.forEach(t),Pe=n(ee,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),ee.forEach(t),this.h()},h(){u(I,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),u(I,"rel","nofollow")},m(v,z){g(v,d,z),e(d,b),e(d,m),e(m,f),e(d,_),g(v,l,z),g(v,c,z),e(c,M),e(M,be),e(c,me),e(c,W),e(W,se),g(v,te,z),g(v,x,z),e(x,ke),e(x,Q),e(Q,ve),e(x,ue),e(x,U),e(U,ye),e(x,ae),e(x,G),e(G,Te),e(x,fe),e(x,B),e(B,ce),e(x,we),e(x,X),e(X,pe),e(x,$e),g(v,oe,z),g(v,q,z),e(q,L),e(L,ge),e(L,H),e(H,he),e(L,Ae),e(L,J),e(J,le),e(q,Fe),e(q,C),e(C,re),e(C,K),e(K,xe),e(C,Ee),e(C,V),e(V,Me),e(q,_e),e(q,O),e(O,ze),e(O,R),e(R,je),g(v,ne,z),g(v,P,z),e(P,qe),e(P,I),e(I,ie),e(P,Pe)},d(v){v&&t(d),v&&t(l),v&&t(c),v&&t(te),v&&t(x),v&&t(oe),v&&t(q),v&&t(ne),v&&t(P)}}}function WM(E){let d,b,m,f,_;return{c(){d=r("p"),b=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=r("code"),f=o("Module"),_=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var c=i(d);b=n(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(c,"CODE",{});var M=i(m);f=n(M,"Module"),M.forEach(t),_=n(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(l,c){g(l,d,c),e(d,b),e(d,m),e(m,f),e(d,_)},d(l){l&&t(d)}}}function UM(E){let d,b,m,f,_;return f=new Ne({props:{code:`from transformers import AutoTokenizer, TFAlbertForQuestionAnswering
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("vumichien/albert-base-v2-squad2")
model = TFAlbertForQuestionAnswering.from_pretrained("vumichien/albert-base-v2-squad2")

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"

inputs = tokenizer(question, text, return_tensors="tf")
outputs = model(**inputs)

answer_start_index = int(tf.math.argmax(outputs.start_logits, axis=-1)[0])
answer_end_index = int(tf.math.argmax(outputs.end_logits, axis=-1)[0])

predict_answer_tokens = inputs.input_ids[0, answer_start_index : answer_end_index + 1]
tokenizer.decode(predict_answer_tokens)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFAlbertForQuestionAnswering
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;vumichien/albert-base-v2-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFAlbertForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;vumichien/albert-base-v2-squad2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(question, text, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>answer_start_index = <span class="hljs-built_in">int</span>(tf.math.argmax(outputs.start_logits, axis=-<span class="hljs-number">1</span>)[<span class="hljs-number">0</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>answer_end_index = <span class="hljs-built_in">int</span>(tf.math.argmax(outputs.end_logits, axis=-<span class="hljs-number">1</span>)[<span class="hljs-number">0</span>])

<span class="hljs-meta">&gt;&gt;&gt; </span>predict_answer_tokens = inputs.input_ids[<span class="hljs-number">0</span>, answer_start_index : answer_end_index + <span class="hljs-number">1</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.decode(predict_answer_tokens)
<span class="hljs-string">&#x27;a nice puppet&#x27;</span>`}}),{c(){d=r("p"),b=o("Example:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var c=i(d);b=n(c,"Example:"),c.forEach(t),m=h(l),T(f.$$.fragment,l)},m(l,c){g(l,d,c),e(d,b),g(l,m,c),w(f,l,c),_=!0},p:Ie,i(l){_||($(f.$$.fragment,l),_=!0)},o(l){A(f.$$.fragment,l),_=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function BM(E){let d,b;return d=new Ne({props:{code:`# target is "nice puppet"
target_start_index = tf.constant([12])
target_end_index = tf.constant([13])

outputs = model(**inputs, start_positions=target_start_index, end_positions=target_end_index)
loss = tf.math.reduce_mean(outputs.loss)
round(float(loss), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># target is &quot;nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>target_start_index = tf.constant([<span class="hljs-number">12</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>target_end_index = tf.constant([<span class="hljs-number">13</span>])

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, start_positions=target_start_index, end_positions=target_end_index)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = tf.math.reduce_mean(outputs.loss)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(<span class="hljs-built_in">float</span>(loss), <span class="hljs-number">2</span>)
<span class="hljs-number">7.36</span>`}}),{c(){y(d.$$.fragment)},l(m){T(d.$$.fragment,m)},m(m,f){w(d,m,f),b=!0},p:Ie,i(m){b||($(d.$$.fragment,m),b=!0)},o(m){A(d.$$.fragment,m),b=!1},d(m){F(d,m)}}}function RM(E){let d,b,m,f,_;return{c(){d=r("p"),b=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=r("code"),f=o("Module"),_=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var c=i(d);b=n(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(c,"CODE",{});var M=i(m);f=n(M,"Module"),M.forEach(t),_=n(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(l,c){g(l,d,c),e(d,b),e(d,m),e(m,f),e(d,_)},d(l){l&&t(d)}}}function HM(E){let d,b,m,f,_;return f=new Ne({props:{code:`from transformers import AutoTokenizer, FlaxAlbertModel

tokenizer = AutoTokenizer.from_pretrained("albert-base-v2")
model = FlaxAlbertModel.from_pretrained("albert-base-v2")

inputs = tokenizer("Hello, my dog is cute", return_tensors="jax")
outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxAlbertModel

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxAlbertModel.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){d=r("p"),b=o("Example:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var c=i(d);b=n(c,"Example:"),c.forEach(t),m=h(l),T(f.$$.fragment,l)},m(l,c){g(l,d,c),e(d,b),g(l,m,c),w(f,l,c),_=!0},p:Ie,i(l){_||($(f.$$.fragment,l),_=!0)},o(l){A(f.$$.fragment,l),_=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function QM(E){let d,b,m,f,_;return{c(){d=r("p"),b=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=r("code"),f=o("Module"),_=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var c=i(d);b=n(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(c,"CODE",{});var M=i(m);f=n(M,"Module"),M.forEach(t),_=n(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(l,c){g(l,d,c),e(d,b),e(d,m),e(m,f),e(d,_)},d(l){l&&t(d)}}}function KM(E){let d,b,m,f,_;return f=new Ne({props:{code:`from transformers import AutoTokenizer, FlaxAlbertForPreTraining

tokenizer = AutoTokenizer.from_pretrained("albert-base-v2")
model = FlaxAlbertForPreTraining.from_pretrained("albert-base-v2")

inputs = tokenizer("Hello, my dog is cute", return_tensors="np")
outputs = model(**inputs)

prediction_logits = outputs.prediction_logits
seq_relationship_logits = outputs.sop_logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxAlbertForPreTraining

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxAlbertForPreTraining.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>prediction_logits = outputs.prediction_logits
<span class="hljs-meta">&gt;&gt;&gt; </span>seq_relationship_logits = outputs.sop_logits`}}),{c(){d=r("p"),b=o("Example:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var c=i(d);b=n(c,"Example:"),c.forEach(t),m=h(l),T(f.$$.fragment,l)},m(l,c){g(l,d,c),e(d,b),g(l,m,c),w(f,l,c),_=!0},p:Ie,i(l){_||($(f.$$.fragment,l),_=!0)},o(l){A(f.$$.fragment,l),_=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function VM(E){let d,b,m,f,_;return{c(){d=r("p"),b=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=r("code"),f=o("Module"),_=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var c=i(d);b=n(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(c,"CODE",{});var M=i(m);f=n(M,"Module"),M.forEach(t),_=n(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(l,c){g(l,d,c),e(d,b),e(d,m),e(m,f),e(d,_)},d(l){l&&t(d)}}}function JM(E){let d,b,m,f,_;return f=new Ne({props:{code:`from transformers import AutoTokenizer, FlaxAlbertForMaskedLM

tokenizer = AutoTokenizer.from_pretrained("albert-base-v2")
model = FlaxAlbertForMaskedLM.from_pretrained("albert-base-v2")

inputs = tokenizer("The capital of France is [MASK].", return_tensors="jax")

outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxAlbertForMaskedLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxAlbertForMaskedLM.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;The capital of France is [MASK].&quot;</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){d=r("p"),b=o("Example:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var c=i(d);b=n(c,"Example:"),c.forEach(t),m=h(l),T(f.$$.fragment,l)},m(l,c){g(l,d,c),e(d,b),g(l,m,c),w(f,l,c),_=!0},p:Ie,i(l){_||($(f.$$.fragment,l),_=!0)},o(l){A(f.$$.fragment,l),_=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function GM(E){let d,b,m,f,_;return{c(){d=r("p"),b=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=r("code"),f=o("Module"),_=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var c=i(d);b=n(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(c,"CODE",{});var M=i(m);f=n(M,"Module"),M.forEach(t),_=n(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(l,c){g(l,d,c),e(d,b),e(d,m),e(m,f),e(d,_)},d(l){l&&t(d)}}}function XM(E){let d,b,m,f,_;return f=new Ne({props:{code:`from transformers import AutoTokenizer, FlaxAlbertForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("albert-base-v2")
model = FlaxAlbertForSequenceClassification.from_pretrained("albert-base-v2")

inputs = tokenizer("Hello, my dog is cute", return_tensors="jax")

outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxAlbertForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxAlbertForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){d=r("p"),b=o("Example:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var c=i(d);b=n(c,"Example:"),c.forEach(t),m=h(l),T(f.$$.fragment,l)},m(l,c){g(l,d,c),e(d,b),g(l,m,c),w(f,l,c),_=!0},p:Ie,i(l){_||($(f.$$.fragment,l),_=!0)},o(l){A(f.$$.fragment,l),_=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function YM(E){let d,b,m,f,_;return{c(){d=r("p"),b=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=r("code"),f=o("Module"),_=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var c=i(d);b=n(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(c,"CODE",{});var M=i(m);f=n(M,"Module"),M.forEach(t),_=n(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(l,c){g(l,d,c),e(d,b),e(d,m),e(m,f),e(d,_)},d(l){l&&t(d)}}}function ZM(E){let d,b,m,f,_;return f=new Ne({props:{code:`from transformers import AutoTokenizer, FlaxAlbertForMultipleChoice

tokenizer = AutoTokenizer.from_pretrained("albert-base-v2")
model = FlaxAlbertForMultipleChoice.from_pretrained("albert-base-v2")

prompt = "In Italy, pizza served in formal settings, such as at a restaurant, is presented unsliced."
choice0 = "It is eaten with a fork and a knife."
choice1 = "It is eaten while held in the hand."

encoding = tokenizer([prompt, prompt], [choice0, choice1], return_tensors="jax", padding=True)
outputs = model(**{k: v[None, :] for k, v in encoding.items()})

logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxAlbertForMultipleChoice

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxAlbertForMultipleChoice.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>prompt = <span class="hljs-string">&quot;In Italy, pizza served in formal settings, such as at a restaurant, is presented unsliced.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>choice0 = <span class="hljs-string">&quot;It is eaten with a fork and a knife.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>choice1 = <span class="hljs-string">&quot;It is eaten while held in the hand.&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>encoding = tokenizer([prompt, prompt], [choice0, choice1], return_tensors=<span class="hljs-string">&quot;jax&quot;</span>, padding=<span class="hljs-literal">True</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**{k: v[<span class="hljs-literal">None</span>, :] <span class="hljs-keyword">for</span> k, v <span class="hljs-keyword">in</span> encoding.items()})

<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){d=r("p"),b=o("Example:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var c=i(d);b=n(c,"Example:"),c.forEach(t),m=h(l),T(f.$$.fragment,l)},m(l,c){g(l,d,c),e(d,b),g(l,m,c),w(f,l,c),_=!0},p:Ie,i(l){_||($(f.$$.fragment,l),_=!0)},o(l){A(f.$$.fragment,l),_=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function ez(E){let d,b,m,f,_;return{c(){d=r("p"),b=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=r("code"),f=o("Module"),_=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var c=i(d);b=n(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(c,"CODE",{});var M=i(m);f=n(M,"Module"),M.forEach(t),_=n(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(l,c){g(l,d,c),e(d,b),e(d,m),e(m,f),e(d,_)},d(l){l&&t(d)}}}function tz(E){let d,b,m,f,_;return f=new Ne({props:{code:`from transformers import AutoTokenizer, FlaxAlbertForTokenClassification

tokenizer = AutoTokenizer.from_pretrained("albert-base-v2")
model = FlaxAlbertForTokenClassification.from_pretrained("albert-base-v2")

inputs = tokenizer("Hello, my dog is cute", return_tensors="jax")

outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxAlbertForTokenClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxAlbertForTokenClassification.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){d=r("p"),b=o("Example:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var c=i(d);b=n(c,"Example:"),c.forEach(t),m=h(l),T(f.$$.fragment,l)},m(l,c){g(l,d,c),e(d,b),g(l,m,c),w(f,l,c),_=!0},p:Ie,i(l){_||($(f.$$.fragment,l),_=!0)},o(l){A(f.$$.fragment,l),_=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function oz(E){let d,b,m,f,_;return{c(){d=r("p"),b=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),m=r("code"),f=o("Module"),_=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=a(l,"P",{});var c=i(d);b=n(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),m=a(c,"CODE",{});var M=i(m);f=n(M,"Module"),M.forEach(t),_=n(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(l,c){g(l,d,c),e(d,b),e(d,m),e(m,f),e(d,_)},d(l){l&&t(d)}}}function nz(E){let d,b,m,f,_;return f=new Ne({props:{code:`from transformers import AutoTokenizer, FlaxAlbertForQuestionAnswering

tokenizer = AutoTokenizer.from_pretrained("albert-base-v2")
model = FlaxAlbertForQuestionAnswering.from_pretrained("albert-base-v2")

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"
inputs = tokenizer(question, text, return_tensors="jax")

outputs = model(**inputs)
start_scores = outputs.start_logits
end_scores = outputs.end_logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxAlbertForQuestionAnswering

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxAlbertForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;albert-base-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(question, text, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>start_scores = outputs.start_logits
<span class="hljs-meta">&gt;&gt;&gt; </span>end_scores = outputs.end_logits`}}),{c(){d=r("p"),b=o("Example:"),m=p(),y(f.$$.fragment)},l(l){d=a(l,"P",{});var c=i(d);b=n(c,"Example:"),c.forEach(t),m=h(l),T(f.$$.fragment,l)},m(l,c){g(l,d,c),e(d,b),g(l,m,c),w(f,l,c),_=!0},p:Ie,i(l){_||($(f.$$.fragment,l),_=!0)},o(l){A(f.$$.fragment,l),_=!1},d(l){l&&t(d),l&&t(m),F(f,l)}}}function sz(E){let d,b,m,f,_,l,c,M,be,me,W,se,te,x,ke,Q,ve,ue,U,ye,ae,G,Te,fe,B,ce,we,X,pe,$e,oe,q,L,ge,H,he,Ae,J,le,Fe,C,re,K,xe,Ee,V,Me,_e,O,ze,R,je,ne,P,qe,I,ie,Pe,v,z,Le,Z,He,De,j,Qe,Ve,Ke,de,Se,S,N,Je,Ue,Y,Ge,Be,Ce,Xe,ee,Ye,wg,$g,Co,Ag,ud,Fg,xg,fd,Eg,Mg,zg,Dn,iu,Lo,Sn,Oc,Dr,jg,Ic,qg,lu,Ze,Sr,Pg,Wr,Cg,Ur,Lg,Og,Ig,Br,Ng,gd,Dg,Sg,Wg,ko,Rr,Ug,Nc,Bg,Rg,Hr,_d,Hg,Dc,Qg,Kg,bd,Vg,Sc,Jg,Gg,Wn,Qr,Xg,Kr,Yg,Wc,Zg,e_,t_,Ot,Vr,o_,Uc,n_,s_,Un,r_,Oo,a_,Bc,i_,l_,Rc,d_,c_,p_,kd,Jr,du,Io,Bn,Hc,Gr,h_,Qc,m_,cu,Lt,Xr,u_,ao,f_,Kc,g_,__,Yr,b_,k_,vd,v_,y_,T_,vo,Zr,w_,Vc,$_,A_,ea,yd,F_,Jc,x_,E_,Td,M_,Gc,z_,j_,It,ta,q_,Xc,P_,C_,Rn,L_,Yc,O_,pu,No,Hn,Zc,oa,I_,ep,N_,hu,Do,na,D_,sa,S_,wd,W_,U_,mu,So,ra,B_,aa,R_,$d,H_,Q_,uu,Wo,Qn,tp,ia,K_,op,V_,fu,ft,la,J_,np,G_,X_,da,Y_,Ad,Z_,eb,tb,ca,ob,pa,nb,sb,rb,Nt,ha,ab,Uo,ib,Fd,lb,db,sp,cb,pb,hb,Kn,mb,Vn,gu,Bo,Jn,rp,ma,ub,ap,fb,_u,gt,ua,gb,Ro,_b,ip,bb,kb,lp,vb,yb,Tb,fa,wb,xd,$b,Ab,Fb,ga,xb,_a,Eb,Mb,zb,Dt,ba,jb,Ho,qb,Ed,Pb,Cb,dp,Lb,Ob,Ib,Gn,Nb,Xn,bu,Qo,Yn,cp,ka,Db,pp,Sb,ku,_t,va,Wb,ya,Ub,hp,Bb,Rb,Hb,Ta,Qb,Md,Kb,Vb,Jb,wa,Gb,$a,Xb,Yb,Zb,Tt,Aa,ek,Ko,tk,zd,ok,nk,mp,sk,rk,ak,Zn,ik,es,lk,ts,vu,Vo,os,up,Fa,dk,fp,ck,yu,bt,xa,pk,gp,hk,mk,Ea,uk,jd,fk,gk,_k,Ma,bk,za,kk,vk,yk,wt,ja,Tk,Jo,wk,qd,$k,Ak,_p,Fk,xk,Ek,ns,Mk,ss,zk,rs,Tu,Go,as,bp,qa,jk,kp,qk,wu,kt,Pa,Pk,vp,Ck,Lk,Ca,Ok,Pd,Ik,Nk,Dk,La,Sk,Oa,Wk,Uk,Bk,St,Ia,Rk,Xo,Hk,Cd,Qk,Kk,yp,Vk,Jk,Gk,is,Xk,ls,$u,Yo,ds,Tp,Na,Yk,wp,Zk,Au,vt,Da,ev,$p,tv,ov,Sa,nv,Ld,sv,rv,av,Wa,iv,Ua,lv,dv,cv,Wt,Ba,pv,Zo,hv,Od,mv,uv,Ap,fv,gv,_v,cs,bv,ps,Fu,en,hs,Fp,Ra,kv,xp,vv,xu,yt,Ha,yv,tn,Tv,Ep,wv,$v,Mp,Av,Fv,xv,Qa,Ev,Id,Mv,zv,jv,Ka,qv,Va,Pv,Cv,Lv,Ut,Ja,Ov,on,Iv,Nd,Nv,Dv,zp,Sv,Wv,Uv,ms,Bv,us,Eu,nn,fs,jp,Ga,Rv,qp,Hv,Mu,it,Xa,Qv,Pp,Kv,Vv,Ya,Jv,Dd,Gv,Xv,Yv,Za,Zv,ei,ey,ty,oy,gs,ny,Bt,ti,sy,sn,ry,Sd,ay,iy,Cp,ly,dy,cy,_s,py,bs,zu,rn,ks,Lp,oi,hy,Op,my,ju,lt,ni,uy,an,fy,Ip,gy,_y,Np,by,ky,vy,si,yy,Wd,Ty,wy,$y,ri,Ay,ai,Fy,xy,Ey,vs,My,Rt,ii,zy,ln,jy,Ud,qy,Py,Dp,Cy,Ly,Oy,ys,Iy,Ts,qu,dn,ws,Sp,li,Ny,Wp,Dy,Pu,dt,di,Sy,ci,Wy,Up,Uy,By,Ry,pi,Hy,Bd,Qy,Ky,Vy,hi,Jy,mi,Gy,Xy,Yy,$s,Zy,$t,ui,eT,cn,tT,Rd,oT,nT,Bp,sT,rT,aT,As,iT,Fs,lT,xs,Cu,pn,Es,Rp,fi,dT,Hp,cT,Lu,ct,gi,pT,Qp,hT,mT,_i,uT,Hd,fT,gT,_T,bi,bT,ki,kT,vT,yT,Ms,TT,At,vi,wT,hn,$T,Qd,AT,FT,Kp,xT,ET,MT,zs,zT,js,jT,qs,Ou,mn,Ps,Vp,yi,qT,Jp,PT,Iu,pt,Ti,CT,Gp,LT,OT,wi,IT,Kd,NT,DT,ST,$i,WT,Ai,UT,BT,RT,Cs,HT,Ht,Fi,QT,un,KT,Vd,VT,JT,Xp,GT,XT,YT,Ls,ZT,Os,Nu,fn,Is,Yp,xi,ew,Zp,tw,Du,ht,Ei,ow,eh,nw,sw,Mi,rw,Jd,aw,iw,lw,zi,dw,ji,cw,pw,hw,Ns,mw,Ft,qi,uw,gn,fw,Gd,gw,_w,th,bw,kw,vw,Ds,yw,Ss,Tw,Ws,Su,_n,Us,oh,Pi,ww,nh,$w,Wu,mt,Ci,Aw,bn,Fw,sh,xw,Ew,rh,Mw,zw,jw,Li,qw,Xd,Pw,Cw,Lw,Oi,Ow,Ii,Iw,Nw,Dw,Bs,Sw,xt,Ni,Ww,kn,Uw,Yd,Bw,Rw,ah,Hw,Qw,Kw,Rs,Vw,Hs,Jw,Qs,Uu,vn,Ks,ih,Di,Gw,lh,Xw,Bu,et,Si,Yw,dh,Zw,e2,Wi,t2,Zd,o2,n2,s2,Ui,r2,Bi,a2,i2,l2,ch,d2,c2,io,ph,Ri,p2,h2,hh,Hi,m2,u2,mh,Qi,f2,g2,uh,Ki,_2,b2,Qt,Vi,k2,yn,v2,fh,y2,T2,gh,w2,$2,A2,Vs,F2,Js,Ru,Tn,Gs,_h,Ji,x2,bh,E2,Hu,tt,Gi,M2,wn,z2,kh,j2,q2,vh,P2,C2,L2,Xi,O2,ec,I2,N2,D2,Yi,S2,Zi,W2,U2,B2,yh,R2,H2,lo,Th,el,Q2,K2,wh,tl,V2,J2,$h,ol,G2,X2,Ah,nl,Y2,Z2,Kt,sl,e$,$n,t$,Fh,o$,n$,xh,s$,r$,a$,Xs,i$,Ys,Qu,An,Zs,Eh,rl,l$,Mh,d$,Ku,ot,al,c$,il,p$,zh,h$,m$,u$,ll,f$,tc,g$,_$,b$,dl,k$,cl,v$,y$,T$,jh,w$,$$,co,qh,pl,A$,F$,Ph,hl,x$,E$,Ch,ml,M$,z$,Lh,ul,j$,q$,Vt,fl,P$,Fn,C$,Oh,L$,O$,Ih,I$,N$,D$,er,S$,tr,Vu,xn,or,Nh,gl,W$,Dh,U$,Ju,nt,_l,B$,Sh,R$,H$,bl,Q$,oc,K$,V$,J$,kl,G$,vl,X$,Y$,Z$,Wh,e1,t1,po,Uh,yl,o1,n1,Bh,Tl,s1,r1,Rh,wl,a1,i1,Hh,$l,l1,d1,Jt,Al,c1,En,p1,Qh,h1,m1,Kh,u1,f1,g1,nr,_1,sr,Gu,Mn,rr,Vh,Fl,b1,Jh,k1,Xu,st,xl,v1,Gh,y1,T1,El,w1,nc,$1,A1,F1,Ml,x1,zl,E1,M1,z1,Xh,j1,q1,ho,Yh,jl,P1,C1,Zh,ql,L1,O1,em,Pl,I1,N1,tm,Cl,D1,S1,Gt,Ll,W1,zn,U1,om,B1,R1,nm,H1,Q1,K1,ar,V1,ir,Yu,jn,lr,sm,Ol,J1,rm,G1,Zu,rt,Il,X1,am,Y1,Z1,Nl,e0,sc,t0,o0,n0,Dl,s0,Sl,r0,a0,i0,im,l0,d0,mo,lm,Wl,c0,p0,dm,Ul,h0,m0,cm,Bl,u0,f0,pm,Rl,g0,_0,Xt,Hl,b0,qn,k0,hm,v0,y0,mm,T0,w0,$0,dr,A0,cr,ef,Pn,pr,um,Ql,F0,fm,x0,tf,at,Kl,E0,Cn,M0,gm,z0,j0,_m,q0,P0,C0,Vl,L0,rc,O0,I0,N0,Jl,D0,Gl,S0,W0,U0,bm,B0,R0,uo,km,Xl,H0,Q0,vm,Yl,K0,V0,ym,Zl,J0,G0,Tm,ed,X0,Y0,Yt,td,Z0,Ln,eA,wm,tA,oA,$m,nA,sA,rA,hr,aA,mr,of;return l=new Re({}),x=new Re({}),De=new Re({}),Se=new D({props:{name:"class transformers.AlbertConfig",anchor:"transformers.AlbertConfig",parameters:[{name:"vocab_size",val:" = 30000"},{name:"embedding_size",val:" = 128"},{name:"hidden_size",val:" = 4096"},{name:"num_hidden_layers",val:" = 12"},{name:"num_hidden_groups",val:" = 1"},{name:"num_attention_heads",val:" = 64"},{name:"intermediate_size",val:" = 16384"},{name:"inner_group_num",val:" = 1"},{name:"hidden_act",val:" = 'gelu_new'"},{name:"hidden_dropout_prob",val:" = 0"},{name:"attention_probs_dropout_prob",val:" = 0"},{name:"max_position_embeddings",val:" = 512"},{name:"type_vocab_size",val:" = 2"},{name:"initializer_range",val:" = 0.02"},{name:"layer_norm_eps",val:" = 1e-12"},{name:"classifier_dropout_prob",val:" = 0.1"},{name:"position_embedding_type",val:" = 'absolute'"},{name:"pad_token_id",val:" = 0"},{name:"bos_token_id",val:" = 2"},{name:"eos_token_id",val:" = 3"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.AlbertConfig.vocab_size",description:`<strong>vocab_size</strong> (<code>int</code>, <em>optional</em>, defaults to 30000) &#x2014;
Vocabulary size of the ALBERT model. Defines the number of different tokens that can be represented by the
<code>inputs_ids</code> passed when calling <a href="/docs/transformers/v4.26.0/en/model_doc/albert#transformers.AlbertModel">AlbertModel</a> or <a href="/docs/transformers/v4.26.0/en/model_doc/albert#transformers.TFAlbertModel">TFAlbertModel</a>.`,name:"vocab_size"},{anchor:"transformers.AlbertConfig.embedding_size",description:`<strong>embedding_size</strong> (<code>int</code>, <em>optional</em>, defaults to 128) &#x2014;
Dimensionality of vocabulary embeddings.`,name:"embedding_size"},{anchor:"transformers.AlbertConfig.hidden_size",description:`<strong>hidden_size</strong> (<code>int</code>, <em>optional</em>, defaults to 4096) &#x2014;
Dimensionality of the encoder layers and the pooler layer.`,name:"hidden_size"},{anchor:"transformers.AlbertConfig.num_hidden_layers",description:`<strong>num_hidden_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of hidden layers in the Transformer encoder.`,name:"num_hidden_layers"},{anchor:"transformers.AlbertConfig.num_hidden_groups",description:`<strong>num_hidden_groups</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
Number of groups for the hidden layers, parameters in the same group are shared.`,name:"num_hidden_groups"},{anchor:"transformers.AlbertConfig.num_attention_heads",description:`<strong>num_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 64) &#x2014;
Number of attention heads for each attention layer in the Transformer encoder.`,name:"num_attention_heads"},{anchor:"transformers.AlbertConfig.intermediate_size",description:`<strong>intermediate_size</strong> (<code>int</code>, <em>optional</em>, defaults to 16384) &#x2014;
The dimensionality of the &#x201C;intermediate&#x201D; (often named feed-forward) layer in the Transformer encoder.`,name:"intermediate_size"},{anchor:"transformers.AlbertConfig.inner_group_num",description:`<strong>inner_group_num</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014;
The number of inner repetition of attention and ffn.`,name:"inner_group_num"},{anchor:"transformers.AlbertConfig.hidden_act",description:`<strong>hidden_act</strong> (<code>str</code> or <code>Callable</code>, <em>optional</em>, defaults to <code>&quot;gelu_new&quot;</code>) &#x2014;
The non-linear activation function (function or string) in the encoder and pooler. If string, <code>&quot;gelu&quot;</code>,
<code>&quot;relu&quot;</code>, <code>&quot;silu&quot;</code> and <code>&quot;gelu_new&quot;</code> are supported.`,name:"hidden_act"},{anchor:"transformers.AlbertConfig.hidden_dropout_prob",description:`<strong>hidden_dropout_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0) &#x2014;
The dropout probability for all fully connected layers in the embeddings, encoder, and pooler.`,name:"hidden_dropout_prob"},{anchor:"transformers.AlbertConfig.attention_probs_dropout_prob",description:`<strong>attention_probs_dropout_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0) &#x2014;
The dropout ratio for the attention probabilities.`,name:"attention_probs_dropout_prob"},{anchor:"transformers.AlbertConfig.max_position_embeddings",description:`<strong>max_position_embeddings</strong> (<code>int</code>, <em>optional</em>, defaults to 512) &#x2014;
The maximum sequence length that this model might ever be used with. Typically set this to something large
(e.g., 512 or 1024 or 2048).`,name:"max_position_embeddings"},{anchor:"transformers.AlbertConfig.type_vocab_size",description:`<strong>type_vocab_size</strong> (<code>int</code>, <em>optional</em>, defaults to 2) &#x2014;
The vocabulary size of the <code>token_type_ids</code> passed when calling <a href="/docs/transformers/v4.26.0/en/model_doc/albert#transformers.AlbertModel">AlbertModel</a> or <a href="/docs/transformers/v4.26.0/en/model_doc/albert#transformers.TFAlbertModel">TFAlbertModel</a>.`,name:"type_vocab_size"},{anchor:"transformers.AlbertConfig.initializer_range",description:`<strong>initializer_range</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"initializer_range"},{anchor:"transformers.AlbertConfig.layer_norm_eps",description:`<strong>layer_norm_eps</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-12) &#x2014;
The epsilon used by the layer normalization layers.`,name:"layer_norm_eps"},{anchor:"transformers.AlbertConfig.classifier_dropout_prob",description:`<strong>classifier_dropout_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout ratio for attached classifiers.`,name:"classifier_dropout_prob"},{anchor:"transformers.AlbertConfig.position_embedding_type",description:`<strong>position_embedding_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;absolute&quot;</code>) &#x2014;
Type of position embedding. Choose one of <code>&quot;absolute&quot;</code>, <code>&quot;relative_key&quot;</code>, <code>&quot;relative_key_query&quot;</code>. For
positional embeddings use <code>&quot;absolute&quot;</code>. For more information on <code>&quot;relative_key&quot;</code>, please refer to
<a href="https://arxiv.org/abs/1803.02155" rel="nofollow">Self-Attention with Relative Position Representations (Shaw et al.)</a>.
For more information on <code>&quot;relative_key_query&quot;</code>, please refer to <em>Method 4</em> in <a href="https://arxiv.org/abs/2009.13658" rel="nofollow">Improve Transformer Models
with Better Relative Position Embeddings (Huang et al.)</a>.`,name:"position_embedding_type"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/albert/configuration_albert.py#L36"}}),Dn=new Oe({props:{anchor:"transformers.AlbertConfig.example",$$slots:{default:[eM]},$$scope:{ctx:E}}}),Dr=new Re({}),Sr=new D({props:{name:"class transformers.AlbertTokenizer",anchor:"transformers.AlbertTokenizer",parameters:[{name:"vocab_file",val:""},{name:"do_lower_case",val:" = True"},{name:"remove_space",val:" = True"},{name:"keep_accents",val:" = False"},{name:"bos_token",val:" = '[CLS]'"},{name:"eos_token",val:" = '[SEP]'"},{name:"unk_token",val:" = '<unk>'"},{name:"sep_token",val:" = '[SEP]'"},{name:"pad_token",val:" = '<pad>'"},{name:"cls_token",val:" = '[CLS]'"},{name:"mask_token",val:" = '[MASK]'"},{name:"sp_model_kwargs",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.AlbertTokenizer.vocab_file",description:`<strong>vocab_file</strong> (<code>str</code>) &#x2014;
<a href="https://github.com/google/sentencepiece" rel="nofollow">SentencePiece</a> file (generally has a <em>.spm</em> extension) that
contains the vocabulary necessary to instantiate a tokenizer.`,name:"vocab_file"},{anchor:"transformers.AlbertTokenizer.do_lower_case",description:`<strong>do_lower_case</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to lowercase the input when tokenizing.`,name:"do_lower_case"},{anchor:"transformers.AlbertTokenizer.remove_space",description:`<strong>remove_space</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to strip the text when tokenizing (removing excess spaces before and after the string).`,name:"remove_space"},{anchor:"transformers.AlbertTokenizer.keep_accents",description:`<strong>keep_accents</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to keep accents when tokenizing.`,name:"keep_accents"},{anchor:"transformers.AlbertTokenizer.bos_token",description:`<strong>bos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;[CLS]&quot;</code>) &#x2014;
The beginning of sequence token that was used during pretraining. Can be used a sequence classifier token.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>When building a sequence using special tokens, this is not the token that is used for the beginning of
sequence. The token used is the <code>cls_token</code>.</p>

					</div>`,name:"bos_token"},{anchor:"transformers.AlbertTokenizer.eos_token",description:`<strong>eos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;[SEP]&quot;</code>) &#x2014;
The end of sequence token.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>When building a sequence using special tokens, this is not the token that is used for the end of sequence.
The token used is the <code>sep_token</code>.</p>

					</div>`,name:"eos_token"},{anchor:"transformers.AlbertTokenizer.unk_token",description:`<strong>unk_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;unk&gt;&quot;</code>) &#x2014;
The unknown token. A token that is not in the vocabulary cannot be converted to an ID and is set to be this
token instead.`,name:"unk_token"},{anchor:"transformers.AlbertTokenizer.sep_token",description:`<strong>sep_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;[SEP]&quot;</code>) &#x2014;
The separator token, which is used when building a sequence from multiple sequences, e.g. two sequences for
sequence classification or for a text and a question for question answering. It is also used as the last
token of a sequence built with special tokens.`,name:"sep_token"},{anchor:"transformers.AlbertTokenizer.pad_token",description:`<strong>pad_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;pad&gt;&quot;</code>) &#x2014;
The token used for padding, for example when batching sequences of different lengths.`,name:"pad_token"},{anchor:"transformers.AlbertTokenizer.cls_token",description:`<strong>cls_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;[CLS]&quot;</code>) &#x2014;
The classifier token which is used when doing sequence classification (classification of the whole sequence
instead of per-token classification). It is the first token of the sequence when built with special tokens.`,name:"cls_token"},{anchor:"transformers.AlbertTokenizer.mask_token",description:`<strong>mask_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;[MASK]&quot;</code>) &#x2014;
The token used for masking values. This is the token used when training this model with masked language
modeling. This is the token which the model will try to predict.`,name:"mask_token"},{anchor:"transformers.AlbertTokenizer.sp_model_kwargs",description:`<strong>sp_model_kwargs</strong> (<code>dict</code>, <em>optional</em>) &#x2014;
Will be passed to the <code>SentencePieceProcessor.__init__()</code> method. The <a href="https://github.com/google/sentencepiece/tree/master/python" rel="nofollow">Python wrapper for
SentencePiece</a> can be used, among other things,
to set:</p>
<ul>
<li>
<p><code>enable_sampling</code>: Enable subword regularization.</p>
</li>
<li>
<p><code>nbest_size</code>: Sampling parameters for unigram. Invalid for BPE-Dropout.</p>
<ul>
<li><code>nbest_size = {0,1}</code>: No sampling is performed.</li>
<li><code>nbest_size &gt; 1</code>: samples from the nbest_size results.</li>
<li><code>nbest_size &lt; 0</code>: assuming that nbest_size is infinite and samples from the all hypothesis (lattice)
using forward-filtering-and-backward-sampling algorithm.</li>
</ul>
</li>
<li>
<p><code>alpha</code>: Smoothing parameter for unigram sampling, and dropout probability of merge operations for
BPE-dropout.</p>
</li>
</ul>`,name:"sp_model_kwargs"},{anchor:"transformers.AlbertTokenizer.sp_model",description:`<strong>sp_model</strong> (<code>SentencePieceProcessor</code>) &#x2014;
The <em>SentencePiece</em> processor that is used for every conversion (string, tokens and IDs).`,name:"sp_model"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/albert/tokenization_albert.py#L59"}}),Rr=new D({props:{name:"build_inputs_with_special_tokens",anchor:"transformers.AlbertTokenizer.build_inputs_with_special_tokens",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.AlbertTokenizer.build_inputs_with_special_tokens.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs to which the special tokens will be added.`,name:"token_ids_0"},{anchor:"transformers.AlbertTokenizer.build_inputs_with_special_tokens.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/albert/tokenization_albert.py#L271",returnDescription:`
<p>List of <a href="../glossary#input-ids">input IDs</a> with the appropriate special tokens.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),Qr=new D({props:{name:"get_special_tokens_mask",anchor:"transformers.AlbertTokenizer.get_special_tokens_mask",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"},{name:"already_has_special_tokens",val:": bool = False"}],parametersDescription:[{anchor:"transformers.AlbertTokenizer.get_special_tokens_mask.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs.`,name:"token_ids_0"},{anchor:"transformers.AlbertTokenizer.get_special_tokens_mask.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"},{anchor:"transformers.AlbertTokenizer.get_special_tokens_mask.already_has_special_tokens",description:`<strong>already_has_special_tokens</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not the token list is already formatted with special tokens for the model.`,name:"already_has_special_tokens"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/albert/tokenization_albert.py#L296",returnDescription:`
<p>A list of integers in the range [0, 1]: 1 for a special token, 0 for a sequence token.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),Vr=new D({props:{name:"create_token_type_ids_from_sequences",anchor:"transformers.AlbertTokenizer.create_token_type_ids_from_sequences",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.AlbertTokenizer.create_token_type_ids_from_sequences.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs.`,name:"token_ids_0"},{anchor:"transformers.AlbertTokenizer.create_token_type_ids_from_sequences.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/albert/tokenization_albert.py#L324",returnDescription:`
<p>List of <a href="../glossary#token-type-ids">token type IDs</a> according to the given sequence(s).</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),Un=new Oe({props:{anchor:"transformers.AlbertTokenizer.create_token_type_ids_from_sequences.example",$$slots:{default:[tM]},$$scope:{ctx:E}}}),Jr=new D({props:{name:"save_vocabulary",anchor:"transformers.AlbertTokenizer.save_vocabulary",parameters:[{name:"save_directory",val:": str"},{name:"filename_prefix",val:": typing.Optional[str] = None"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/albert/tokenization_albert.py#L354"}}),Gr=new Re({}),Xr=new D({props:{name:"class transformers.AlbertTokenizerFast",anchor:"transformers.AlbertTokenizerFast",parameters:[{name:"vocab_file",val:" = None"},{name:"tokenizer_file",val:" = None"},{name:"do_lower_case",val:" = True"},{name:"remove_space",val:" = True"},{name:"keep_accents",val:" = False"},{name:"bos_token",val:" = '[CLS]'"},{name:"eos_token",val:" = '[SEP]'"},{name:"unk_token",val:" = '<unk>'"},{name:"sep_token",val:" = '[SEP]'"},{name:"pad_token",val:" = '<pad>'"},{name:"cls_token",val:" = '[CLS]'"},{name:"mask_token",val:" = '[MASK]'"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.AlbertTokenizerFast.vocab_file",description:`<strong>vocab_file</strong> (<code>str</code>) &#x2014;
<a href="https://github.com/google/sentencepiece" rel="nofollow">SentencePiece</a> file (generally has a <em>.spm</em> extension) that
contains the vocabulary necessary to instantiate a tokenizer.`,name:"vocab_file"},{anchor:"transformers.AlbertTokenizerFast.do_lower_case",description:`<strong>do_lower_case</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to lowercase the input when tokenizing.`,name:"do_lower_case"},{anchor:"transformers.AlbertTokenizerFast.remove_space",description:`<strong>remove_space</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to strip the text when tokenizing (removing excess spaces before and after the string).`,name:"remove_space"},{anchor:"transformers.AlbertTokenizerFast.keep_accents",description:`<strong>keep_accents</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to keep accents when tokenizing.`,name:"keep_accents"},{anchor:"transformers.AlbertTokenizerFast.bos_token",description:`<strong>bos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;[CLS]&quot;</code>) &#x2014;
The beginning of sequence token that was used during pretraining. Can be used a sequence classifier token.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>When building a sequence using special tokens, this is not the token that is used for the beginning of
sequence. The token used is the <code>cls_token</code>.</p>

					</div>`,name:"bos_token"},{anchor:"transformers.AlbertTokenizerFast.eos_token",description:`<strong>eos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;[SEP]&quot;</code>) &#x2014;
The end of sequence token. .. note:: When building a sequence using special tokens, this is not the token
that is used for the end of sequence. The token used is the <code>sep_token</code>.`,name:"eos_token"},{anchor:"transformers.AlbertTokenizerFast.unk_token",description:`<strong>unk_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;unk&gt;&quot;</code>) &#x2014;
The unknown token. A token that is not in the vocabulary cannot be converted to an ID and is set to be this
token instead.`,name:"unk_token"},{anchor:"transformers.AlbertTokenizerFast.sep_token",description:`<strong>sep_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;[SEP]&quot;</code>) &#x2014;
The separator token, which is used when building a sequence from multiple sequences, e.g. two sequences for
sequence classification or for a text and a question for question answering. It is also used as the last
token of a sequence built with special tokens.`,name:"sep_token"},{anchor:"transformers.AlbertTokenizerFast.pad_token",description:`<strong>pad_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;pad&gt;&quot;</code>) &#x2014;
The token used for padding, for example when batching sequences of different lengths.`,name:"pad_token"},{anchor:"transformers.AlbertTokenizerFast.cls_token",description:`<strong>cls_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;[CLS]&quot;</code>) &#x2014;
The classifier token which is used when doing sequence classification (classification of the whole sequence
instead of per-token classification). It is the first token of the sequence when built with special tokens.`,name:"cls_token"},{anchor:"transformers.AlbertTokenizerFast.mask_token",description:`<strong>mask_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;[MASK]&quot;</code>) &#x2014;
The token used for masking values. This is the token used when training this model with masked language
modeling. This is the token which the model will try to predict.`,name:"mask_token"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/albert/tokenization_albert_fast.py#L72"}}),Zr=new D({props:{name:"build_inputs_with_special_tokens",anchor:"transformers.AlbertTokenizerFast.build_inputs_with_special_tokens",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.AlbertTokenizerFast.build_inputs_with_special_tokens.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs to which the special tokens will be added`,name:"token_ids_0"},{anchor:"transformers.AlbertTokenizerFast.build_inputs_with_special_tokens.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/albert/tokenization_albert_fast.py#L170",returnDescription:`
<p>list of <a href="../glossary#input-ids">input IDs</a> with the appropriate special tokens.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),ta=new D({props:{name:"create_token_type_ids_from_sequences",anchor:"transformers.AlbertTokenizerFast.create_token_type_ids_from_sequences",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.AlbertTokenizerFast.create_token_type_ids_from_sequences.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of ids.`,name:"token_ids_0"},{anchor:"transformers.AlbertTokenizerFast.create_token_type_ids_from_sequences.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/albert/tokenization_albert_fast.py#L195",returnDescription:`
<p>List of <a href="../glossary#token-type-ids">token type IDs</a> according to the given sequence(s).</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),Rn=new Oe({props:{anchor:"transformers.AlbertTokenizerFast.create_token_type_ids_from_sequences.example",$$slots:{default:[oM]},$$scope:{ctx:E}}}),oa=new Re({}),na=new D({props:{name:"class transformers.models.albert.modeling_albert.AlbertForPreTrainingOutput",anchor:"transformers.models.albert.modeling_albert.AlbertForPreTrainingOutput",parameters:[{name:"loss",val:": typing.Optional[torch.FloatTensor] = None"},{name:"prediction_logits",val:": FloatTensor = None"},{name:"sop_logits",val:": FloatTensor = None"},{name:"hidden_states",val:": typing.Optional[typing.Tuple[torch.FloatTensor]] = None"},{name:"attentions",val:": typing.Optional[typing.Tuple[torch.FloatTensor]] = None"}],parametersDescription:[{anchor:"transformers.models.albert.modeling_albert.AlbertForPreTrainingOutput.loss",description:`<strong>loss</strong> (<em>optional</em>, returned when <code>labels</code> is provided, <code>torch.FloatTensor</code> of shape <code>(1,)</code>) &#x2014;
Total loss as the sum of the masked language modeling loss and the next sequence prediction
(classification) loss.`,name:"loss"},{anchor:"transformers.models.albert.modeling_albert.AlbertForPreTrainingOutput.prediction_logits",description:`<strong>prediction_logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) &#x2014;
Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).`,name:"prediction_logits"},{anchor:"transformers.models.albert.modeling_albert.AlbertForPreTrainingOutput.sop_logits",description:`<strong>sop_logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, 2)</code>) &#x2014;
Prediction scores of the next sequence prediction (classification) head (scores of True/False continuation
before SoftMax).`,name:"sop_logits"},{anchor:"transformers.models.albert.modeling_albert.AlbertForPreTrainingOutput.hidden_states",description:`<strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) &#x2014;
Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings + one for the output of each layer) of
shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.`,name:"hidden_states"},{anchor:"transformers.models.albert.modeling_albert.AlbertForPreTrainingOutput.attentions",description:`<strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) &#x2014;
Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.`,name:"attentions"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/albert/modeling_albert.py#L530"}}),ra=new D({props:{name:"class transformers.models.albert.modeling_tf_albert.TFAlbertForPreTrainingOutput",anchor:"transformers.models.albert.modeling_tf_albert.TFAlbertForPreTrainingOutput",parameters:[{name:"loss",val:": Tensor = None"},{name:"prediction_logits",val:": Tensor = None"},{name:"sop_logits",val:": Tensor = None"},{name:"hidden_states",val:": typing.Optional[typing.Tuple[tensorflow.python.framework.ops.Tensor]] = None"},{name:"attentions",val:": typing.Optional[typing.Tuple[tensorflow.python.framework.ops.Tensor]] = None"}],parametersDescription:[{anchor:"transformers.models.albert.modeling_tf_albert.TFAlbertForPreTrainingOutput.prediction_logits",description:`<strong>prediction_logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) &#x2014;
Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).`,name:"prediction_logits"},{anchor:"transformers.models.albert.modeling_tf_albert.TFAlbertForPreTrainingOutput.sop_logits",description:`<strong>sop_logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, 2)</code>) &#x2014;
Prediction scores of the next sequence prediction (classification) head (scores of True/False continuation
before SoftMax).`,name:"sop_logits"},{anchor:"transformers.models.albert.modeling_tf_albert.TFAlbertForPreTrainingOutput.hidden_states",description:`<strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) &#x2014;
Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.`,name:"hidden_states"},{anchor:"transformers.models.albert.modeling_tf_albert.TFAlbertForPreTrainingOutput.attentions",description:`<strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) &#x2014;
Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.`,name:"attentions"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/albert/modeling_tf_albert.py#L663"}}),ia=new Re({}),la=new D({props:{name:"class transformers.AlbertModel",anchor:"transformers.AlbertModel",parameters:[{name:"config",val:": AlbertConfig"},{name:"add_pooling_layer",val:": bool = True"}],parametersDescription:[{anchor:"transformers.AlbertModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/albert#transformers.AlbertConfig">AlbertConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/albert/modeling_albert.py#L633"}}),ha=new D({props:{name:"forward",anchor:"transformers.AlbertModel.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"output_attentions",val:": NoneType = None"},{name:"output_hidden_states",val:": NoneType = None"},{name:"return_dict",val:": NoneType = None"}],parametersDescription:[{anchor:"transformers.AlbertModel.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.AlbertModel.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.AlbertModel.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.AlbertModel.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.AlbertModel.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.AlbertModel.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.AlbertModel.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.AlbertModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.AlbertModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/albert/modeling_albert.py#L677",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.BaseModelOutputWithPooling"
>transformers.modeling_outputs.BaseModelOutputWithPooling</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/albert#transformers.AlbertConfig"
>AlbertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state of the first token of the sequence (classification token) after further processing
through the layers used for the auxiliary pretraining task. E.g. for BERT-family of models, this returns
the classification token after processing through a linear layer and a tanh activation function. The linear
layer weights are trained from the next sentence prediction (classification) objective during pretraining.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.BaseModelOutputWithPooling"
>transformers.modeling_outputs.BaseModelOutputWithPooling</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Kn=new We({props:{$$slots:{default:[nM]},$$scope:{ctx:E}}}),Vn=new Oe({props:{anchor:"transformers.AlbertModel.forward.example",$$slots:{default:[sM]},$$scope:{ctx:E}}}),ma=new Re({}),ua=new D({props:{name:"class transformers.AlbertForPreTraining",anchor:"transformers.AlbertForPreTraining",parameters:[{name:"config",val:": AlbertConfig"}],parametersDescription:[{anchor:"transformers.AlbertForPreTraining.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/albert#transformers.AlbertConfig">AlbertConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/albert/modeling_albert.py#L762"}}),ba=new D({props:{name:"forward",anchor:"transformers.AlbertForPreTraining.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"sentence_order_label",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.AlbertForPreTraining.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.AlbertForPreTraining.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.AlbertForPreTraining.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.AlbertForPreTraining.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.AlbertForPreTraining.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.AlbertForPreTraining.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.AlbertForPreTraining.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.AlbertForPreTraining.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.AlbertForPreTraining.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.AlbertForPreTraining.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the masked language modeling loss. Indices should be in <code>[-100, 0, ..., config.vocab_size]</code> (see <code>input_ids</code> docstring) Tokens with indices set to <code>-100</code> are ignored (masked), the
loss is only computed for the tokens with labels in <code>[0, ..., config.vocab_size]</code>`,name:"labels"},{anchor:"transformers.AlbertForPreTraining.forward.sentence_order_label",description:`<strong>sentence_order_label</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the next sequence prediction (classification) loss. Input should be a sequence pair
(see <code>input_ids</code> docstring) Indices should be in <code>[0, 1]</code>. <code>0</code> indicates original order (sequence A, then
sequence B), <code>1</code> indicates switched order (sequence B, then sequence A).`,name:"sentence_order_label"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/albert/modeling_albert.py#L788",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/model_doc/albert#transformers.models.albert.modeling_albert.AlbertForPreTrainingOutput"
>transformers.models.albert.modeling_albert.AlbertForPreTrainingOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/albert#transformers.AlbertConfig"
>AlbertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<em>optional</em>, returned when <code>labels</code> is provided, <code>torch.FloatTensor</code> of shape <code>(1,)</code>) \u2014 Total loss as the sum of the masked language modeling loss and the next sequence prediction
(classification) loss.</p>
</li>
<li>
<p><strong>prediction_logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>sop_logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, 2)</code>) \u2014 Prediction scores of the next sequence prediction (classification) head (scores of True/False continuation
before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings + one for the output of each layer) of
shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/model_doc/albert#transformers.models.albert.modeling_albert.AlbertForPreTrainingOutput"
>transformers.models.albert.modeling_albert.AlbertForPreTrainingOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Gn=new We({props:{$$slots:{default:[rM]},$$scope:{ctx:E}}}),Xn=new Oe({props:{anchor:"transformers.AlbertForPreTraining.forward.example",$$slots:{default:[aM]},$$scope:{ctx:E}}}),ka=new Re({}),va=new D({props:{name:"class transformers.AlbertForMaskedLM",anchor:"transformers.AlbertForMaskedLM",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.AlbertForMaskedLM.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/albert#transformers.AlbertConfig">AlbertConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/albert/modeling_albert.py#L914"}}),Aa=new D({props:{name:"forward",anchor:"transformers.AlbertForMaskedLM.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.AlbertForMaskedLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.AlbertForMaskedLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.AlbertForMaskedLM.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.AlbertForMaskedLM.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.AlbertForMaskedLM.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.AlbertForMaskedLM.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.AlbertForMaskedLM.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.AlbertForMaskedLM.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.AlbertForMaskedLM.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.AlbertForMaskedLM.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the masked language modeling loss. Indices should be in <code>[-100, 0, ..., config.vocab_size]</code> (see <code>input_ids</code> docstring) Tokens with indices set to <code>-100</code> are ignored (masked), the
loss is only computed for the tokens with labels in <code>[0, ..., config.vocab_size]</code>`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/albert/modeling_albert.py#L941",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.MaskedLMOutput"
>transformers.modeling_outputs.MaskedLMOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/albert#transformers.AlbertConfig"
>AlbertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Masked language modeling (MLM) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.MaskedLMOutput"
>transformers.modeling_outputs.MaskedLMOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Zn=new We({props:{$$slots:{default:[iM]},$$scope:{ctx:E}}}),es=new Oe({props:{anchor:"transformers.AlbertForMaskedLM.forward.example",$$slots:{default:[lM]},$$scope:{ctx:E}}}),ts=new Oe({props:{anchor:"transformers.AlbertForMaskedLM.forward.example-2",$$slots:{default:[dM]},$$scope:{ctx:E}}}),Fa=new Re({}),xa=new D({props:{name:"class transformers.AlbertForSequenceClassification",anchor:"transformers.AlbertForSequenceClassification",parameters:[{name:"config",val:": AlbertConfig"}],parametersDescription:[{anchor:"transformers.AlbertForSequenceClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/albert#transformers.AlbertConfig">AlbertConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/albert/modeling_albert.py#L1034"}}),ja=new D({props:{name:"forward",anchor:"transformers.AlbertForSequenceClassification.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.AlbertForSequenceClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.AlbertForSequenceClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.AlbertForSequenceClassification.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.AlbertForSequenceClassification.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.AlbertForSequenceClassification.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.AlbertForSequenceClassification.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.AlbertForSequenceClassification.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.AlbertForSequenceClassification.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.AlbertForSequenceClassification.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.AlbertForSequenceClassification.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the sequence classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels == 1</code> a regression loss is computed (Mean-Square loss), If
<code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/albert/modeling_albert.py#L1047",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.SequenceClassifierOutput"
>transformers.modeling_outputs.SequenceClassifierOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/albert#transformers.AlbertConfig"
>AlbertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.SequenceClassifierOutput"
>transformers.modeling_outputs.SequenceClassifierOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),ns=new We({props:{$$slots:{default:[cM]},$$scope:{ctx:E}}}),ss=new Oe({props:{anchor:"transformers.AlbertForSequenceClassification.forward.example",$$slots:{default:[pM]},$$scope:{ctx:E}}}),rs=new Oe({props:{anchor:"transformers.AlbertForSequenceClassification.forward.example-2",$$slots:{default:[hM]},$$scope:{ctx:E}}}),qa=new Re({}),Pa=new D({props:{name:"class transformers.AlbertForMultipleChoice",anchor:"transformers.AlbertForMultipleChoice",parameters:[{name:"config",val:": AlbertConfig"}],parametersDescription:[{anchor:"transformers.AlbertForMultipleChoice.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/albert#transformers.AlbertConfig">AlbertConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/albert/modeling_albert.py#L1327"}}),Ia=new D({props:{name:"forward",anchor:"transformers.AlbertForMultipleChoice.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.AlbertForMultipleChoice.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.AlbertForMultipleChoice.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.AlbertForMultipleChoice.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.AlbertForMultipleChoice.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.AlbertForMultipleChoice.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.AlbertForMultipleChoice.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_choices, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.AlbertForMultipleChoice.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.AlbertForMultipleChoice.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.AlbertForMultipleChoice.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.AlbertForMultipleChoice.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the multiple choice classification loss. Indices should be in <code>[0, ..., num_choices-1]</code> where <em>num_choices</em> is the size of the second dimension of the input tensors. (see
<em>input_ids</em> above)`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/albert/modeling_albert.py#L1338",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.MultipleChoiceModelOutput"
>transformers.modeling_outputs.MultipleChoiceModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/albert#transformers.AlbertConfig"
>AlbertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <em>(1,)</em>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_choices)</code>) \u2014 <em>num_choices</em> is the second dimension of the input tensors. (see <em>input_ids</em> above).</p>
<p>Classification scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.MultipleChoiceModelOutput"
>transformers.modeling_outputs.MultipleChoiceModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),is=new We({props:{$$slots:{default:[mM]},$$scope:{ctx:E}}}),ls=new Oe({props:{anchor:"transformers.AlbertForMultipleChoice.forward.example",$$slots:{default:[uM]},$$scope:{ctx:E}}}),Na=new Re({}),Da=new D({props:{name:"class transformers.AlbertForTokenClassification",anchor:"transformers.AlbertForTokenClassification",parameters:[{name:"config",val:": AlbertConfig"}],parametersDescription:[{anchor:"transformers.AlbertForTokenClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/albert#transformers.AlbertConfig">AlbertConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/albert/modeling_albert.py#L1135"}}),Ba=new D({props:{name:"forward",anchor:"transformers.AlbertForTokenClassification.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.AlbertForTokenClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.AlbertForTokenClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.AlbertForTokenClassification.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.AlbertForTokenClassification.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.AlbertForTokenClassification.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.AlbertForTokenClassification.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.AlbertForTokenClassification.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.AlbertForTokenClassification.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.AlbertForTokenClassification.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.AlbertForTokenClassification.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the token classification loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>.`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/albert/modeling_albert.py#L1155",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.TokenClassifierOutput"
>transformers.modeling_outputs.TokenClassifierOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/albert#transformers.AlbertConfig"
>AlbertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided)  \u2014 Classification loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.num_labels)</code>) \u2014 Classification scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.TokenClassifierOutput"
>transformers.modeling_outputs.TokenClassifierOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),cs=new We({props:{$$slots:{default:[fM]},$$scope:{ctx:E}}}),ps=new Oe({props:{anchor:"transformers.AlbertForTokenClassification.forward.example",$$slots:{default:[gM]},$$scope:{ctx:E}}}),Ra=new Re({}),Ha=new D({props:{name:"class transformers.AlbertForQuestionAnswering",anchor:"transformers.AlbertForQuestionAnswering",parameters:[{name:"config",val:": AlbertConfig"}],parametersDescription:[{anchor:"transformers.AlbertForQuestionAnswering.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/albert#transformers.AlbertConfig">AlbertConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/albert/modeling_albert.py#L1221"}}),Ja=new D({props:{name:"forward",anchor:"transformers.AlbertForQuestionAnswering.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"start_positions",val:": typing.Optional[torch.LongTensor] = None"},{name:"end_positions",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.AlbertForQuestionAnswering.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.AlbertForQuestionAnswering.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.AlbertForQuestionAnswering.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.AlbertForQuestionAnswering.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.AlbertForQuestionAnswering.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.AlbertForQuestionAnswering.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.AlbertForQuestionAnswering.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.AlbertForQuestionAnswering.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.AlbertForQuestionAnswering.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.AlbertForQuestionAnswering.forward.start_positions",description:`<strong>start_positions</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for position (index) of the start of the labelled span for computing the token classification loss.
Positions are clamped to the length of the sequence (<code>sequence_length</code>). Position outside of the sequence
are not taken into account for computing the loss.`,name:"start_positions"},{anchor:"transformers.AlbertForQuestionAnswering.forward.end_positions",description:`<strong>end_positions</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for position (index) of the end of the labelled span for computing the token classification loss.
Positions are clamped to the length of the sequence (<code>sequence_length</code>). Position outside of the sequence
are not taken into account for computing the loss.`,name:"end_positions"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/albert/modeling_albert.py#L1235",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.QuestionAnsweringModelOutput"
>transformers.modeling_outputs.QuestionAnsweringModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/albert#transformers.AlbertConfig"
>AlbertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Total span extraction loss is the sum of a Cross-Entropy for the start and end positions.</p>
</li>
<li>
<p><strong>start_logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-start scores (before SoftMax).</p>
</li>
<li>
<p><strong>end_logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-end scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.QuestionAnsweringModelOutput"
>transformers.modeling_outputs.QuestionAnsweringModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),ms=new We({props:{$$slots:{default:[_M]},$$scope:{ctx:E}}}),us=new Oe({props:{anchor:"transformers.AlbertForQuestionAnswering.forward.example",$$slots:{default:[bM]},$$scope:{ctx:E}}}),Ga=new Re({}),Xa=new D({props:{name:"class transformers.TFAlbertModel",anchor:"transformers.TFAlbertModel",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFAlbertModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/albert#transformers.AlbertConfig">AlbertConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/albert/modeling_tf_albert.py#L795"}}),gs=new We({props:{$$slots:{default:[kM]},$$scope:{ctx:E}}}),ti=new D({props:{name:"call",anchor:"transformers.TFAlbertModel.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFAlbertModel.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFAlbertModel.call.attention_mask",description:`<strong>attention_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFAlbertModel.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.TFAlbertModel.call.position_ids",description:`<strong>position_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFAlbertModel.call.head_mask",description:`<strong>head_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFAlbertModel.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFAlbertModel.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFAlbertModel.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFAlbertModel.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFAlbertModel.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/albert/modeling_tf_albert.py#L801",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_tf_outputs.TFBaseModelOutputWithPooling"
>transformers.modeling_tf_outputs.TFBaseModelOutputWithPooling</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/albert#transformers.AlbertConfig"
>AlbertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state of the first token of the sequence (classification token) further processed by a
Linear layer and a Tanh activation function. The Linear layer weights are trained from the next sentence
prediction (classification) objective during pretraining.</p>
<p>This output is usually <em>not</em> a good summary of the semantic content of the input, you\u2019re often better with
averaging or pooling the sequence of hidden-states for the whole input sequence.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_tf_outputs.TFBaseModelOutputWithPooling"
>transformers.modeling_tf_outputs.TFBaseModelOutputWithPooling</a> or <code>tuple(tf.Tensor)</code></p>
`}}),_s=new We({props:{$$slots:{default:[vM]},$$scope:{ctx:E}}}),bs=new Oe({props:{anchor:"transformers.TFAlbertModel.call.example",$$slots:{default:[yM]},$$scope:{ctx:E}}}),oi=new Re({}),ni=new D({props:{name:"class transformers.TFAlbertForPreTraining",anchor:"transformers.TFAlbertForPreTraining",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFAlbertForPreTraining.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/albert#transformers.AlbertConfig">AlbertConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/albert/modeling_tf_albert.py#L855"}}),vs=new We({props:{$$slots:{default:[TM]},$$scope:{ctx:E}}}),ii=new D({props:{name:"call",anchor:"transformers.TFAlbertForPreTraining.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"sentence_order_label",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFAlbertForPreTraining.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFAlbertForPreTraining.call.attention_mask",description:`<strong>attention_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFAlbertForPreTraining.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.TFAlbertForPreTraining.call.position_ids",description:`<strong>position_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFAlbertForPreTraining.call.head_mask",description:`<strong>head_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFAlbertForPreTraining.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFAlbertForPreTraining.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFAlbertForPreTraining.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFAlbertForPreTraining.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFAlbertForPreTraining.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/albert/modeling_tf_albert.py#L871",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/model_doc/albert#transformers.models.albert.modeling_tf_albert.TFAlbertForPreTrainingOutput"
>transformers.models.albert.modeling_tf_albert.TFAlbertForPreTrainingOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/albert#transformers.AlbertConfig"
>AlbertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>prediction_logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>sop_logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, 2)</code>) \u2014 Prediction scores of the next sequence prediction (classification) head (scores of True/False continuation
before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/model_doc/albert#transformers.models.albert.modeling_tf_albert.TFAlbertForPreTrainingOutput"
>transformers.models.albert.modeling_tf_albert.TFAlbertForPreTrainingOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),ys=new We({props:{$$slots:{default:[wM]},$$scope:{ctx:E}}}),Ts=new Oe({props:{anchor:"transformers.TFAlbertForPreTraining.call.example",$$slots:{default:[$M]},$$scope:{ctx:E}}}),li=new Re({}),di=new D({props:{name:"class transformers.TFAlbertForMaskedLM",anchor:"transformers.TFAlbertForMaskedLM",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFAlbertForMaskedLM.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/albert#transformers.AlbertConfig">AlbertConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/albert/modeling_tf_albert.py#L974"}}),$s=new We({props:{$$slots:{default:[AM]},$$scope:{ctx:E}}}),ui=new D({props:{name:"call",anchor:"transformers.TFAlbertForMaskedLM.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFAlbertForMaskedLM.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFAlbertForMaskedLM.call.attention_mask",description:`<strong>attention_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFAlbertForMaskedLM.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.TFAlbertForMaskedLM.call.position_ids",description:`<strong>position_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFAlbertForMaskedLM.call.head_mask",description:`<strong>head_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFAlbertForMaskedLM.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFAlbertForMaskedLM.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFAlbertForMaskedLM.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFAlbertForMaskedLM.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFAlbertForMaskedLM.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFAlbertForMaskedLM.call.labels",description:`<strong>labels</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the masked language modeling loss. Indices should be in <code>[-100, 0, ..., config.vocab_size]</code> (see <code>input_ids</code> docstring) Tokens with indices set to <code>-100</code> are ignored (masked), the
loss is only computed for the tokens with labels in <code>[0, ..., config.vocab_size]</code>`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/albert/modeling_tf_albert.py#L987",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_tf_outputs.TFMaskedLMOutput"
>transformers.modeling_tf_outputs.TFMaskedLMOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/albert#transformers.AlbertConfig"
>AlbertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(n,)</code>, <em>optional</em>, where n is the number of non-masked labels, returned when <code>labels</code> is provided) \u2014 Masked language modeling (MLM) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_tf_outputs.TFMaskedLMOutput"
>transformers.modeling_tf_outputs.TFMaskedLMOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),As=new We({props:{$$slots:{default:[FM]},$$scope:{ctx:E}}}),Fs=new Oe({props:{anchor:"transformers.TFAlbertForMaskedLM.call.example",$$slots:{default:[xM]},$$scope:{ctx:E}}}),xs=new Oe({props:{anchor:"transformers.TFAlbertForMaskedLM.call.example-2",$$slots:{default:[EM]},$$scope:{ctx:E}}}),fi=new Re({}),gi=new D({props:{name:"class transformers.TFAlbertForSequenceClassification",anchor:"transformers.TFAlbertForSequenceClassification",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFAlbertForSequenceClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/albert#transformers.AlbertConfig">AlbertConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/albert/modeling_tf_albert.py#L1083"}}),Ms=new We({props:{$$slots:{default:[MM]},$$scope:{ctx:E}}}),vi=new D({props:{name:"call",anchor:"transformers.TFAlbertForSequenceClassification.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFAlbertForSequenceClassification.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFAlbertForSequenceClassification.call.attention_mask",description:`<strong>attention_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFAlbertForSequenceClassification.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.TFAlbertForSequenceClassification.call.position_ids",description:`<strong>position_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFAlbertForSequenceClassification.call.head_mask",description:`<strong>head_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFAlbertForSequenceClassification.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFAlbertForSequenceClassification.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFAlbertForSequenceClassification.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFAlbertForSequenceClassification.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFAlbertForSequenceClassification.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFAlbertForSequenceClassification.call.labels",description:`<strong>labels</strong> (<code>tf.Tensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the sequence classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels == 1</code> a regression loss is computed (Mean-Square loss), If
<code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/albert/modeling_tf_albert.py#L1099",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_tf_outputs.TFSequenceClassifierOutput"
>transformers.modeling_tf_outputs.TFSequenceClassifierOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/albert#transformers.AlbertConfig"
>AlbertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, )</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_tf_outputs.TFSequenceClassifierOutput"
>transformers.modeling_tf_outputs.TFSequenceClassifierOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),zs=new We({props:{$$slots:{default:[zM]},$$scope:{ctx:E}}}),js=new Oe({props:{anchor:"transformers.TFAlbertForSequenceClassification.call.example",$$slots:{default:[jM]},$$scope:{ctx:E}}}),qs=new Oe({props:{anchor:"transformers.TFAlbertForSequenceClassification.call.example-2",$$slots:{default:[qM]},$$scope:{ctx:E}}}),yi=new Re({}),Ti=new D({props:{name:"class transformers.TFAlbertForMultipleChoice",anchor:"transformers.TFAlbertForMultipleChoice",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFAlbertForMultipleChoice.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/albert#transformers.AlbertConfig">AlbertConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/albert/modeling_tf_albert.py#L1366"}}),Cs=new We({props:{$$slots:{default:[PM]},$$scope:{ctx:E}}}),Fi=new D({props:{name:"call",anchor:"transformers.TFAlbertForMultipleChoice.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFAlbertForMultipleChoice.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFAlbertForMultipleChoice.call.attention_mask",description:`<strong>attention_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFAlbertForMultipleChoice.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.TFAlbertForMultipleChoice.call.position_ids",description:`<strong>position_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFAlbertForMultipleChoice.call.head_mask",description:`<strong>head_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFAlbertForMultipleChoice.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, num_choices, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFAlbertForMultipleChoice.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFAlbertForMultipleChoice.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFAlbertForMultipleChoice.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFAlbertForMultipleChoice.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFAlbertForMultipleChoice.call.labels",description:`<strong>labels</strong> (<code>tf.Tensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the multiple choice classification loss. Indices should be in <code>[0, ..., num_choices]</code>
where <code>num_choices</code> is the size of the second dimension of the input tensors. (See <code>input_ids</code> above)`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/albert/modeling_tf_albert.py#L1390",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_tf_outputs.TFMultipleChoiceModelOutput"
>transformers.modeling_tf_outputs.TFMultipleChoiceModelOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/albert#transformers.AlbertConfig"
>AlbertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <em>(batch_size, )</em>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, num_choices)</code>) \u2014 <em>num_choices</em> is the second dimension of the input tensors. (see <em>input_ids</em> above).</p>
<p>Classification scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_tf_outputs.TFMultipleChoiceModelOutput"
>transformers.modeling_tf_outputs.TFMultipleChoiceModelOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),Ls=new We({props:{$$slots:{default:[CM]},$$scope:{ctx:E}}}),Os=new Oe({props:{anchor:"transformers.TFAlbertForMultipleChoice.call.example",$$slots:{default:[LM]},$$scope:{ctx:E}}}),xi=new Re({}),Ei=new D({props:{name:"class transformers.TFAlbertForTokenClassification",anchor:"transformers.TFAlbertForTokenClassification",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFAlbertForTokenClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/albert#transformers.AlbertConfig">AlbertConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/albert/modeling_tf_albert.py#L1172"}}),Ns=new We({props:{$$slots:{default:[OM]},$$scope:{ctx:E}}}),qi=new D({props:{name:"call",anchor:"transformers.TFAlbertForTokenClassification.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFAlbertForTokenClassification.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFAlbertForTokenClassification.call.attention_mask",description:`<strong>attention_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFAlbertForTokenClassification.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.TFAlbertForTokenClassification.call.position_ids",description:`<strong>position_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFAlbertForTokenClassification.call.head_mask",description:`<strong>head_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFAlbertForTokenClassification.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFAlbertForTokenClassification.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFAlbertForTokenClassification.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFAlbertForTokenClassification.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFAlbertForTokenClassification.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFAlbertForTokenClassification.call.labels",description:`<strong>labels</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the token classification loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>.`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/albert/modeling_tf_albert.py#L1193",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_tf_outputs.TFTokenClassifierOutput"
>transformers.modeling_tf_outputs.TFTokenClassifierOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/albert#transformers.AlbertConfig"
>AlbertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(n,)</code>, <em>optional</em>, where n is the number of unmasked labels, returned when <code>labels</code> is provided)  \u2014 Classification loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, config.num_labels)</code>) \u2014 Classification scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_tf_outputs.TFTokenClassifierOutput"
>transformers.modeling_tf_outputs.TFTokenClassifierOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),Ds=new We({props:{$$slots:{default:[IM]},$$scope:{ctx:E}}}),Ss=new Oe({props:{anchor:"transformers.TFAlbertForTokenClassification.call.example",$$slots:{default:[NM]},$$scope:{ctx:E}}}),Ws=new Oe({props:{anchor:"transformers.TFAlbertForTokenClassification.call.example-2",$$slots:{default:[DM]},$$scope:{ctx:E}}}),Pi=new Re({}),Ci=new D({props:{name:"class transformers.TFAlbertForQuestionAnswering",anchor:"transformers.TFAlbertForQuestionAnswering",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFAlbertForQuestionAnswering.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/albert#transformers.AlbertConfig">AlbertConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/albert/modeling_tf_albert.py#L1262"}}),Bs=new We({props:{$$slots:{default:[SM]},$$scope:{ctx:E}}}),Ni=new D({props:{name:"call",anchor:"transformers.TFAlbertForQuestionAnswering.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"start_positions",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"end_positions",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFAlbertForQuestionAnswering.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFAlbertForQuestionAnswering.call.attention_mask",description:`<strong>attention_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFAlbertForQuestionAnswering.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.TFAlbertForQuestionAnswering.call.position_ids",description:`<strong>position_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFAlbertForQuestionAnswering.call.head_mask",description:`<strong>head_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFAlbertForQuestionAnswering.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFAlbertForQuestionAnswering.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFAlbertForQuestionAnswering.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFAlbertForQuestionAnswering.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFAlbertForQuestionAnswering.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFAlbertForQuestionAnswering.call.start_positions",description:`<strong>start_positions</strong> (<code>tf.Tensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for position (index) of the start of the labelled span for computing the token classification loss.
Positions are clamped to the length of the sequence (<code>sequence_length</code>). Position outside of the sequence
are not taken into account for computing the loss.`,name:"start_positions"},{anchor:"transformers.TFAlbertForQuestionAnswering.call.end_positions",description:`<strong>end_positions</strong> (<code>tf.Tensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for position (index) of the end of the labelled span for computing the token classification loss.
Positions are clamped to the length of the sequence (<code>sequence_length</code>). Position outside of the sequence
are not taken into account for computing the loss.`,name:"end_positions"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/albert/modeling_tf_albert.py#L1276",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_tf_outputs.TFQuestionAnsweringModelOutput"
>transformers.modeling_tf_outputs.TFQuestionAnsweringModelOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/albert#transformers.AlbertConfig"
>AlbertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, )</code>, <em>optional</em>, returned when <code>start_positions</code> and <code>end_positions</code> are provided) \u2014 Total span extraction loss is the sum of a Cross-Entropy for the start and end positions.</p>
</li>
<li>
<p><strong>start_logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-start scores (before SoftMax).</p>
</li>
<li>
<p><strong>end_logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-end scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_tf_outputs.TFQuestionAnsweringModelOutput"
>transformers.modeling_tf_outputs.TFQuestionAnsweringModelOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),Rs=new We({props:{$$slots:{default:[WM]},$$scope:{ctx:E}}}),Hs=new Oe({props:{anchor:"transformers.TFAlbertForQuestionAnswering.call.example",$$slots:{default:[UM]},$$scope:{ctx:E}}}),Qs=new Oe({props:{anchor:"transformers.TFAlbertForQuestionAnswering.call.example-2",$$slots:{default:[BM]},$$scope:{ctx:E}}}),Di=new Re({}),Si=new D({props:{name:"class transformers.FlaxAlbertModel",anchor:"transformers.FlaxAlbertModel",parameters:[{name:"config",val:": AlbertConfig"},{name:"input_shape",val:": typing.Tuple = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxAlbertModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/albert#transformers.AlbertConfig">AlbertConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"transformers.FlaxAlbertModel.dtype",description:`<strong>dtype</strong> (<code>jax.numpy.dtype</code>, <em>optional</em>, defaults to <code>jax.numpy.float32</code>) &#x2014;
The data type of the computation. Can be one of <code>jax.numpy.float32</code>, <code>jax.numpy.float16</code> (on GPUs) and
<code>jax.numpy.bfloat16</code> (on TPUs).</p>
<p>This can be used to enable mixed-precision training or half-precision inference on GPUs or TPUs. If
specified all the computation will be performed with the given <code>dtype</code>.</p>
<p><strong>Note that this only specifies the dtype of the computation and does not influence the dtype of model
parameters.</strong></p>
<p>If you wish to change the dtype of the model parameters, see <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel.to_fp16">to_fp16()</a> and
<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel.to_bf16">to_bf16()</a>.`,name:"dtype"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/albert/modeling_flax_albert.py#L678"}}),Vi=new D({props:{name:"__call__",anchor:"transformers.FlaxAlbertModel.__call__",parameters:[{name:"input_ids",val:""},{name:"attention_mask",val:" = None"},{name:"token_type_ids",val:" = None"},{name:"position_ids",val:" = None"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.FlaxAlbertModel.__call__.input_ids",description:`<strong>input_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxAlbertModel.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxAlbertModel.__call__.token_type_ids",description:`<strong>token_type_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.FlaxAlbertModel.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxAlbertModel.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/albert/modeling_flax_albert.py#L555",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPooling"
>transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPooling</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/albert#transformers.AlbertConfig"
>AlbertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state of the first token of the sequence (classification token) further processed by a
Linear layer and a Tanh activation function. The Linear layer weights are trained from the next sentence
prediction (classification) objective during pretraining.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPooling"
>transformers.modeling_flax_outputs.FlaxBaseModelOutputWithPooling</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Vs=new We({props:{$$slots:{default:[RM]},$$scope:{ctx:E}}}),Js=new Oe({props:{anchor:"transformers.FlaxAlbertModel.__call__.example",$$slots:{default:[HM]},$$scope:{ctx:E}}}),Ji=new Re({}),Gi=new D({props:{name:"class transformers.FlaxAlbertForPreTraining",anchor:"transformers.FlaxAlbertForPreTraining",parameters:[{name:"config",val:": AlbertConfig"},{name:"input_shape",val:": typing.Tuple = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxAlbertForPreTraining.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/albert#transformers.AlbertConfig">AlbertConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"transformers.FlaxAlbertForPreTraining.dtype",description:`<strong>dtype</strong> (<code>jax.numpy.dtype</code>, <em>optional</em>, defaults to <code>jax.numpy.float32</code>) &#x2014;
The data type of the computation. Can be one of <code>jax.numpy.float32</code>, <code>jax.numpy.float16</code> (on GPUs) and
<code>jax.numpy.bfloat16</code> (on TPUs).</p>
<p>This can be used to enable mixed-precision training or half-precision inference on GPUs or TPUs. If
specified all the computation will be performed with the given <code>dtype</code>.</p>
<p><strong>Note that this only specifies the dtype of the computation and does not influence the dtype of model
parameters.</strong></p>
<p>If you wish to change the dtype of the model parameters, see <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel.to_fp16">to_fp16()</a> and
<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel.to_bf16">to_bf16()</a>.`,name:"dtype"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/albert/modeling_flax_albert.py#L747"}}),sl=new D({props:{name:"__call__",anchor:"transformers.FlaxAlbertForPreTraining.__call__",parameters:[{name:"input_ids",val:""},{name:"attention_mask",val:" = None"},{name:"token_type_ids",val:" = None"},{name:"position_ids",val:" = None"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.FlaxAlbertForPreTraining.__call__.input_ids",description:`<strong>input_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxAlbertForPreTraining.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxAlbertForPreTraining.__call__.token_type_ids",description:`<strong>token_type_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.FlaxAlbertForPreTraining.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxAlbertForPreTraining.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/albert/modeling_flax_albert.py#L555",returnDescription:`
<p>A <code>transformers.models.albert.modeling_flax_albert.FlaxAlbertForPreTrainingOutput</code> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/albert#transformers.AlbertConfig"
>AlbertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>prediction_logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>sop_logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, 2)</code>) \u2014 Prediction scores of the next sequence prediction (classification) head (scores of True/False continuation
before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><code>transformers.models.albert.modeling_flax_albert.FlaxAlbertForPreTrainingOutput</code> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Xs=new We({props:{$$slots:{default:[QM]},$$scope:{ctx:E}}}),Ys=new Oe({props:{anchor:"transformers.FlaxAlbertForPreTraining.__call__.example",$$slots:{default:[KM]},$$scope:{ctx:E}}}),rl=new Re({}),al=new D({props:{name:"class transformers.FlaxAlbertForMaskedLM",anchor:"transformers.FlaxAlbertForMaskedLM",parameters:[{name:"config",val:": AlbertConfig"},{name:"input_shape",val:": typing.Tuple = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxAlbertForMaskedLM.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/albert#transformers.AlbertConfig">AlbertConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"transformers.FlaxAlbertForMaskedLM.dtype",description:`<strong>dtype</strong> (<code>jax.numpy.dtype</code>, <em>optional</em>, defaults to <code>jax.numpy.float32</code>) &#x2014;
The data type of the computation. Can be one of <code>jax.numpy.float32</code>, <code>jax.numpy.float16</code> (on GPUs) and
<code>jax.numpy.bfloat16</code> (on TPUs).</p>
<p>This can be used to enable mixed-precision training or half-precision inference on GPUs or TPUs. If
specified all the computation will be performed with the given <code>dtype</code>.</p>
<p><strong>Note that this only specifies the dtype of the computation and does not influence the dtype of model
parameters.</strong></p>
<p>If you wish to change the dtype of the model parameters, see <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel.to_fp16">to_fp16()</a> and
<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel.to_bf16">to_bf16()</a>.`,name:"dtype"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/albert/modeling_flax_albert.py#L830"}}),fl=new D({props:{name:"__call__",anchor:"transformers.FlaxAlbertForMaskedLM.__call__",parameters:[{name:"input_ids",val:""},{name:"attention_mask",val:" = None"},{name:"token_type_ids",val:" = None"},{name:"position_ids",val:" = None"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.FlaxAlbertForMaskedLM.__call__.input_ids",description:`<strong>input_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxAlbertForMaskedLM.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxAlbertForMaskedLM.__call__.token_type_ids",description:`<strong>token_type_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.FlaxAlbertForMaskedLM.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxAlbertForMaskedLM.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/albert/modeling_flax_albert.py#L555",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_flax_outputs.FlaxMaskedLMOutput"
>transformers.modeling_flax_outputs.FlaxMaskedLMOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/albert#transformers.AlbertConfig"
>AlbertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_flax_outputs.FlaxMaskedLMOutput"
>transformers.modeling_flax_outputs.FlaxMaskedLMOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),er=new We({props:{$$slots:{default:[VM]},$$scope:{ctx:E}}}),tr=new Oe({props:{anchor:"transformers.FlaxAlbertForMaskedLM.__call__.example",$$slots:{default:[JM]},$$scope:{ctx:E}}}),gl=new Re({}),_l=new D({props:{name:"class transformers.FlaxAlbertForSequenceClassification",anchor:"transformers.FlaxAlbertForSequenceClassification",parameters:[{name:"config",val:": AlbertConfig"},{name:"input_shape",val:": typing.Tuple = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxAlbertForSequenceClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/albert#transformers.AlbertConfig">AlbertConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"transformers.FlaxAlbertForSequenceClassification.dtype",description:`<strong>dtype</strong> (<code>jax.numpy.dtype</code>, <em>optional</em>, defaults to <code>jax.numpy.float32</code>) &#x2014;
The data type of the computation. Can be one of <code>jax.numpy.float32</code>, <code>jax.numpy.float16</code> (on GPUs) and
<code>jax.numpy.bfloat16</code> (on TPUs).</p>
<p>This can be used to enable mixed-precision training or half-precision inference on GPUs or TPUs. If
specified all the computation will be performed with the given <code>dtype</code>.</p>
<p><strong>Note that this only specifies the dtype of the computation and does not influence the dtype of model
parameters.</strong></p>
<p>If you wish to change the dtype of the model parameters, see <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel.to_fp16">to_fp16()</a> and
<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel.to_bf16">to_bf16()</a>.`,name:"dtype"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/albert/modeling_flax_albert.py#L898"}}),Al=new D({props:{name:"__call__",anchor:"transformers.FlaxAlbertForSequenceClassification.__call__",parameters:[{name:"input_ids",val:""},{name:"attention_mask",val:" = None"},{name:"token_type_ids",val:" = None"},{name:"position_ids",val:" = None"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.FlaxAlbertForSequenceClassification.__call__.input_ids",description:`<strong>input_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxAlbertForSequenceClassification.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxAlbertForSequenceClassification.__call__.token_type_ids",description:`<strong>token_type_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.FlaxAlbertForSequenceClassification.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxAlbertForSequenceClassification.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/albert/modeling_flax_albert.py#L555",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSequenceClassifierOutput"
>transformers.modeling_flax_outputs.FlaxSequenceClassifierOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/albert#transformers.AlbertConfig"
>AlbertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSequenceClassifierOutput"
>transformers.modeling_flax_outputs.FlaxSequenceClassifierOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),nr=new We({props:{$$slots:{default:[GM]},$$scope:{ctx:E}}}),sr=new Oe({props:{anchor:"transformers.FlaxAlbertForSequenceClassification.__call__.example",$$slots:{default:[XM]},$$scope:{ctx:E}}}),Fl=new Re({}),xl=new D({props:{name:"class transformers.FlaxAlbertForMultipleChoice",anchor:"transformers.FlaxAlbertForMultipleChoice",parameters:[{name:"config",val:": AlbertConfig"},{name:"input_shape",val:": typing.Tuple = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxAlbertForMultipleChoice.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/albert#transformers.AlbertConfig">AlbertConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"transformers.FlaxAlbertForMultipleChoice.dtype",description:`<strong>dtype</strong> (<code>jax.numpy.dtype</code>, <em>optional</em>, defaults to <code>jax.numpy.float32</code>) &#x2014;
The data type of the computation. Can be one of <code>jax.numpy.float32</code>, <code>jax.numpy.float16</code> (on GPUs) and
<code>jax.numpy.bfloat16</code> (on TPUs).</p>
<p>This can be used to enable mixed-precision training or half-precision inference on GPUs or TPUs. If
specified all the computation will be performed with the given <code>dtype</code>.</p>
<p><strong>Note that this only specifies the dtype of the computation and does not influence the dtype of model
parameters.</strong></p>
<p>If you wish to change the dtype of the model parameters, see <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel.to_fp16">to_fp16()</a> and
<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel.to_bf16">to_bf16()</a>.`,name:"dtype"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/albert/modeling_flax_albert.py#L971"}}),Ll=new D({props:{name:"__call__",anchor:"transformers.FlaxAlbertForMultipleChoice.__call__",parameters:[{name:"input_ids",val:""},{name:"attention_mask",val:" = None"},{name:"token_type_ids",val:" = None"},{name:"position_ids",val:" = None"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.FlaxAlbertForMultipleChoice.__call__.input_ids",description:`<strong>input_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, num_choices, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxAlbertForMultipleChoice.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxAlbertForMultipleChoice.__call__.token_type_ids",description:`<strong>token_type_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.FlaxAlbertForMultipleChoice.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxAlbertForMultipleChoice.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/albert/modeling_flax_albert.py#L555",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_flax_outputs.FlaxMultipleChoiceModelOutput"
>transformers.modeling_flax_outputs.FlaxMultipleChoiceModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/albert#transformers.AlbertConfig"
>AlbertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, num_choices)</code>) \u2014 <em>num_choices</em> is the second dimension of the input tensors. (see <em>input_ids</em> above).</p>
<p>Classification scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_flax_outputs.FlaxMultipleChoiceModelOutput"
>transformers.modeling_flax_outputs.FlaxMultipleChoiceModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),ar=new We({props:{$$slots:{default:[YM]},$$scope:{ctx:E}}}),ir=new Oe({props:{anchor:"transformers.FlaxAlbertForMultipleChoice.__call__.example",$$slots:{default:[ZM]},$$scope:{ctx:E}}}),Ol=new Re({}),Il=new D({props:{name:"class transformers.FlaxAlbertForTokenClassification",anchor:"transformers.FlaxAlbertForTokenClassification",parameters:[{name:"config",val:": AlbertConfig"},{name:"input_shape",val:": typing.Tuple = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxAlbertForTokenClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/albert#transformers.AlbertConfig">AlbertConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"transformers.FlaxAlbertForTokenClassification.dtype",description:`<strong>dtype</strong> (<code>jax.numpy.dtype</code>, <em>optional</em>, defaults to <code>jax.numpy.float32</code>) &#x2014;
The data type of the computation. Can be one of <code>jax.numpy.float32</code>, <code>jax.numpy.float16</code> (on GPUs) and
<code>jax.numpy.bfloat16</code> (on TPUs).</p>
<p>This can be used to enable mixed-precision training or half-precision inference on GPUs or TPUs. If
specified all the computation will be performed with the given <code>dtype</code>.</p>
<p><strong>Note that this only specifies the dtype of the computation and does not influence the dtype of model
parameters.</strong></p>
<p>If you wish to change the dtype of the model parameters, see <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel.to_fp16">to_fp16()</a> and
<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel.to_bf16">to_bf16()</a>.`,name:"dtype"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/albert/modeling_flax_albert.py#L1044"}}),Hl=new D({props:{name:"__call__",anchor:"transformers.FlaxAlbertForTokenClassification.__call__",parameters:[{name:"input_ids",val:""},{name:"attention_mask",val:" = None"},{name:"token_type_ids",val:" = None"},{name:"position_ids",val:" = None"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.FlaxAlbertForTokenClassification.__call__.input_ids",description:`<strong>input_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxAlbertForTokenClassification.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxAlbertForTokenClassification.__call__.token_type_ids",description:`<strong>token_type_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.FlaxAlbertForTokenClassification.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxAlbertForTokenClassification.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/albert/modeling_flax_albert.py#L555",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_flax_outputs.FlaxTokenClassifierOutput"
>transformers.modeling_flax_outputs.FlaxTokenClassifierOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/albert#transformers.AlbertConfig"
>AlbertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, config.num_labels)</code>) \u2014 Classification scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_flax_outputs.FlaxTokenClassifierOutput"
>transformers.modeling_flax_outputs.FlaxTokenClassifierOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),dr=new We({props:{$$slots:{default:[ez]},$$scope:{ctx:E}}}),cr=new Oe({props:{anchor:"transformers.FlaxAlbertForTokenClassification.__call__.example",$$slots:{default:[tz]},$$scope:{ctx:E}}}),Ql=new Re({}),Kl=new D({props:{name:"class transformers.FlaxAlbertForQuestionAnswering",anchor:"transformers.FlaxAlbertForQuestionAnswering",parameters:[{name:"config",val:": AlbertConfig"},{name:"input_shape",val:": typing.Tuple = (1, 1)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxAlbertForQuestionAnswering.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/albert#transformers.AlbertConfig">AlbertConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"transformers.FlaxAlbertForQuestionAnswering.dtype",description:`<strong>dtype</strong> (<code>jax.numpy.dtype</code>, <em>optional</em>, defaults to <code>jax.numpy.float32</code>) &#x2014;
The data type of the computation. Can be one of <code>jax.numpy.float32</code>, <code>jax.numpy.float16</code> (on GPUs) and
<code>jax.numpy.bfloat16</code> (on TPUs).</p>
<p>This can be used to enable mixed-precision training or half-precision inference on GPUs or TPUs. If
specified all the computation will be performed with the given <code>dtype</code>.</p>
<p><strong>Note that this only specifies the dtype of the computation and does not influence the dtype of model
parameters.</strong></p>
<p>If you wish to change the dtype of the model parameters, see <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel.to_fp16">to_fp16()</a> and
<a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel.to_bf16">to_bf16()</a>.`,name:"dtype"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/albert/modeling_flax_albert.py#L1112"}}),td=new D({props:{name:"__call__",anchor:"transformers.FlaxAlbertForQuestionAnswering.__call__",parameters:[{name:"input_ids",val:""},{name:"attention_mask",val:" = None"},{name:"token_type_ids",val:" = None"},{name:"position_ids",val:" = None"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"},{name:"train",val:": bool = False"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.FlaxAlbertForQuestionAnswering.__call__.input_ids",description:`<strong>input_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.FlaxAlbertForQuestionAnswering.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.FlaxAlbertForQuestionAnswering.__call__.token_type_ids",description:`<strong>token_type_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.FlaxAlbertForQuestionAnswering.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"position_ids"},{anchor:"transformers.FlaxAlbertForQuestionAnswering.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/albert/modeling_flax_albert.py#L555",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_flax_outputs.FlaxQuestionAnsweringModelOutput"
>transformers.modeling_flax_outputs.FlaxQuestionAnsweringModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/albert#transformers.AlbertConfig"
>AlbertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>start_logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-start scores (before SoftMax).</p>
</li>
<li>
<p><strong>end_logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-end scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_flax_outputs.FlaxQuestionAnsweringModelOutput"
>transformers.modeling_flax_outputs.FlaxQuestionAnsweringModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),hr=new We({props:{$$slots:{default:[oz]},$$scope:{ctx:E}}}),mr=new Oe({props:{anchor:"transformers.FlaxAlbertForQuestionAnswering.__call__.example",$$slots:{default:[nz]},$$scope:{ctx:E}}}),{c(){d=r("meta"),b=p(),m=r("h1"),f=r("a"),_=r("span"),y(l.$$.fragment),c=p(),M=r("span"),be=o("ALBERT"),me=p(),W=r("h2"),se=r("a"),te=r("span"),y(x.$$.fragment),ke=p(),Q=r("span"),ve=o("Overview"),ue=p(),U=r("p"),ye=o("The ALBERT model was proposed in "),ae=r("a"),G=o("ALBERT: A Lite BERT for Self-supervised Learning of Language Representations"),Te=o(` by Zhenzhong Lan, Mingda Chen, Sebastian Goodman, Kevin Gimpel, Piyush Sharma,
Radu Soricut. It presents two parameter-reduction techniques to lower memory consumption and increase the training
speed of BERT:`),fe=p(),B=r("ul"),ce=r("li"),we=o("Splitting the embedding matrix into two smaller matrices."),X=p(),pe=r("li"),$e=o("Using repeating layers split among groups."),oe=p(),q=r("p"),L=o("The abstract from the paper is the following:"),ge=p(),H=r("p"),he=r("em"),Ae=o(`Increasing model size when pretraining natural language representations often results in improved performance on
downstream tasks. However, at some point further model increases become harder due to GPU/TPU memory limitations,
longer training times, and unexpected model degradation. To address these problems, we present two parameter-reduction
techniques to lower memory consumption and increase the training speed of BERT. Comprehensive empirical evidence shows
that our proposed methods lead to models that scale much better compared to the original BERT. We also use a
self-supervised loss that focuses on modeling inter-sentence coherence, and show it consistently helps downstream tasks
with multi-sentence inputs. As a result, our best model establishes new state-of-the-art results on the GLUE, RACE, and
SQuAD benchmarks while having fewer parameters compared to BERT-large.`),J=p(),le=r("p"),Fe=o("Tips:"),C=p(),re=r("ul"),K=r("li"),xe=o(`ALBERT is a model with absolute position embeddings so it\u2019s usually advised to pad the inputs on the right rather
than the left.`),Ee=p(),V=r("li"),Me=o(`ALBERT uses repeating layers which results in a small memory footprint, however the computational cost remains
similar to a BERT-like architecture with the same number of hidden layers as it has to iterate through the same
number of (repeating) layers.`),_e=p(),O=r("p"),ze=o("This model was contributed by "),R=r("a"),je=o("lysandre"),ne=o(`. This model jax version was contributed by
`),P=r("a"),qe=o("kamalkraj"),I=o(". The original code can be found "),ie=r("a"),Pe=o("here"),v=o("."),z=p(),Le=r("h2"),Z=r("a"),He=r("span"),y(De.$$.fragment),j=p(),Qe=r("span"),Ve=o("AlbertConfig"),Ke=p(),de=r("div"),y(Se.$$.fragment),S=p(),N=r("p"),Je=o("This is the configuration class to store the configuration of a "),Ue=r("a"),Y=o("AlbertModel"),Ge=o(" or a "),Be=r("a"),Ce=o("TFAlbertModel"),Xe=o(`. It is used
to instantiate an ALBERT model according to the specified arguments, defining the model architecture. Instantiating
a configuration with the defaults will yield a similar configuration to that of the ALBERT
`),ee=r("a"),Ye=o("albert-xxlarge-v2"),wg=o(" architecture."),$g=p(),Co=r("p"),Ag=o("Configuration objects inherit from "),ud=r("a"),Fg=o("PretrainedConfig"),xg=o(` and can be used to control the model outputs. Read the
documentation from `),fd=r("a"),Eg=o("PretrainedConfig"),Mg=o(" for more information."),zg=p(),y(Dn.$$.fragment),iu=p(),Lo=r("h2"),Sn=r("a"),Oc=r("span"),y(Dr.$$.fragment),jg=p(),Ic=r("span"),qg=o("AlbertTokenizer"),lu=p(),Ze=r("div"),y(Sr.$$.fragment),Pg=p(),Wr=r("p"),Cg=o("Construct an ALBERT tokenizer. Based on "),Ur=r("a"),Lg=o("SentencePiece"),Og=o("."),Ig=p(),Br=r("p"),Ng=o("This tokenizer inherits from "),gd=r("a"),Dg=o("PreTrainedTokenizer"),Sg=o(` which contains most of the main methods. Users should refer to
this superclass for more information regarding those methods.`),Wg=p(),ko=r("div"),y(Rr.$$.fragment),Ug=p(),Nc=r("p"),Bg=o(`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. An ALBERT sequence has the following format:`),Rg=p(),Hr=r("ul"),_d=r("li"),Hg=o("single sequence: "),Dc=r("code"),Qg=o("[CLS] X [SEP]"),Kg=p(),bd=r("li"),Vg=o("pair of sequences: "),Sc=r("code"),Jg=o("[CLS] A [SEP] B [SEP]"),Gg=p(),Wn=r("div"),y(Qr.$$.fragment),Xg=p(),Kr=r("p"),Yg=o(`Retrieve sequence ids from a token list that has no special tokens added. This method is called when adding
special tokens using the tokenizer `),Wc=r("code"),Zg=o("prepare_for_model"),e_=o(" method."),t_=p(),Ot=r("div"),y(Vr.$$.fragment),o_=p(),Uc=r("p"),n_=o("Create a mask from the two sequences passed to be used in a sequence-pair classification task. An ALBERT"),s_=p(),y(Un.$$.fragment),r_=p(),Oo=r("p"),a_=o("If "),Bc=r("code"),i_=o("token_ids_1"),l_=o(" is "),Rc=r("code"),d_=o("None"),c_=o(", this method only returns the first portion of the mask (0s)."),p_=p(),kd=r("div"),y(Jr.$$.fragment),du=p(),Io=r("h2"),Bn=r("a"),Hc=r("span"),y(Gr.$$.fragment),h_=p(),Qc=r("span"),m_=o("AlbertTokenizerFast"),cu=p(),Lt=r("div"),y(Xr.$$.fragment),u_=p(),ao=r("p"),f_=o("Construct a \u201Cfast\u201D ALBERT tokenizer (backed by HuggingFace\u2019s "),Kc=r("em"),g_=o("tokenizers"),__=o(` library). Based on
`),Yr=r("a"),b_=o("Unigram"),k_=o(`. This
tokenizer inherits from `),vd=r("a"),v_=o("PreTrainedTokenizerFast"),y_=o(` which contains most of the main methods. Users should refer to
this superclass for more information regarding those methods`),T_=p(),vo=r("div"),y(Zr.$$.fragment),w_=p(),Vc=r("p"),$_=o(`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. An ALBERT sequence has the following format:`),A_=p(),ea=r("ul"),yd=r("li"),F_=o("single sequence: "),Jc=r("code"),x_=o("[CLS] X [SEP]"),E_=p(),Td=r("li"),M_=o("pair of sequences: "),Gc=r("code"),z_=o("[CLS] A [SEP] B [SEP]"),j_=p(),It=r("div"),y(ta.$$.fragment),q_=p(),Xc=r("p"),P_=o("Creates a mask from the two sequences passed to be used in a sequence-pair classification task. An ALBERT"),C_=p(),y(Rn.$$.fragment),L_=p(),Yc=r("p"),O_=o("if token_ids_1 is None, only returns the first portion of the mask (0s)."),pu=p(),No=r("h2"),Hn=r("a"),Zc=r("span"),y(oa.$$.fragment),I_=p(),ep=r("span"),N_=o("Albert specific outputs"),hu=p(),Do=r("div"),y(na.$$.fragment),D_=p(),sa=r("p"),S_=o("Output type of "),wd=r("a"),W_=o("AlbertForPreTraining"),U_=o("."),mu=p(),So=r("div"),y(ra.$$.fragment),B_=p(),aa=r("p"),R_=o("Output type of "),$d=r("a"),H_=o("TFAlbertForPreTraining"),Q_=o("."),uu=p(),Wo=r("h2"),Qn=r("a"),tp=r("span"),y(ia.$$.fragment),K_=p(),op=r("span"),V_=o("AlbertModel"),fu=p(),ft=r("div"),y(la.$$.fragment),J_=p(),np=r("p"),G_=o("The bare ALBERT Model transformer outputting raw hidden-states without any specific head on top."),X_=p(),da=r("p"),Y_=o("This model inherits from "),Ad=r("a"),Z_=o("PreTrainedModel"),eb=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),tb=p(),ca=r("p"),ob=o("This model is also a PyTorch "),pa=r("a"),nb=o("torch.nn.Module"),sb=o(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),rb=p(),Nt=r("div"),y(ha.$$.fragment),ab=p(),Uo=r("p"),ib=o("The "),Fd=r("a"),lb=o("AlbertModel"),db=o(" forward method, overrides the "),sp=r("code"),cb=o("__call__"),pb=o(" special method."),hb=p(),y(Kn.$$.fragment),mb=p(),y(Vn.$$.fragment),gu=p(),Bo=r("h2"),Jn=r("a"),rp=r("span"),y(ma.$$.fragment),ub=p(),ap=r("span"),fb=o("AlbertForPreTraining"),_u=p(),gt=r("div"),y(ua.$$.fragment),gb=p(),Ro=r("p"),_b=o("Albert Model with two heads on top as done during the pretraining: a "),ip=r("code"),bb=o("masked language modeling"),kb=o(` head and a
`),lp=r("code"),vb=o("sentence order prediction (classification)"),yb=o(" head."),Tb=p(),fa=r("p"),wb=o("This model inherits from "),xd=r("a"),$b=o("PreTrainedModel"),Ab=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Fb=p(),ga=r("p"),xb=o("This model is also a PyTorch "),_a=r("a"),Eb=o("torch.nn.Module"),Mb=o(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),zb=p(),Dt=r("div"),y(ba.$$.fragment),jb=p(),Ho=r("p"),qb=o("The "),Ed=r("a"),Pb=o("AlbertForPreTraining"),Cb=o(" forward method, overrides the "),dp=r("code"),Lb=o("__call__"),Ob=o(" special method."),Ib=p(),y(Gn.$$.fragment),Nb=p(),y(Xn.$$.fragment),bu=p(),Qo=r("h2"),Yn=r("a"),cp=r("span"),y(ka.$$.fragment),Db=p(),pp=r("span"),Sb=o("AlbertForMaskedLM"),ku=p(),_t=r("div"),y(va.$$.fragment),Wb=p(),ya=r("p"),Ub=o("Albert Model with a "),hp=r("code"),Bb=o("language modeling"),Rb=o(" head on top."),Hb=p(),Ta=r("p"),Qb=o("This model inherits from "),Md=r("a"),Kb=o("PreTrainedModel"),Vb=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Jb=p(),wa=r("p"),Gb=o("This model is also a PyTorch "),$a=r("a"),Xb=o("torch.nn.Module"),Yb=o(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Zb=p(),Tt=r("div"),y(Aa.$$.fragment),ek=p(),Ko=r("p"),tk=o("The "),zd=r("a"),ok=o("AlbertForMaskedLM"),nk=o(" forward method, overrides the "),mp=r("code"),sk=o("__call__"),rk=o(" special method."),ak=p(),y(Zn.$$.fragment),ik=p(),y(es.$$.fragment),lk=p(),y(ts.$$.fragment),vu=p(),Vo=r("h2"),os=r("a"),up=r("span"),y(Fa.$$.fragment),dk=p(),fp=r("span"),ck=o("AlbertForSequenceClassification"),yu=p(),bt=r("div"),y(xa.$$.fragment),pk=p(),gp=r("p"),hk=o(`Albert Model transformer with a sequence classification/regression head on top (a linear layer on top of the pooled
output) e.g. for GLUE tasks.`),mk=p(),Ea=r("p"),uk=o("This model inherits from "),jd=r("a"),fk=o("PreTrainedModel"),gk=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),_k=p(),Ma=r("p"),bk=o("This model is also a PyTorch "),za=r("a"),kk=o("torch.nn.Module"),vk=o(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),yk=p(),wt=r("div"),y(ja.$$.fragment),Tk=p(),Jo=r("p"),wk=o("The "),qd=r("a"),$k=o("AlbertForSequenceClassification"),Ak=o(" forward method, overrides the "),_p=r("code"),Fk=o("__call__"),xk=o(" special method."),Ek=p(),y(ns.$$.fragment),Mk=p(),y(ss.$$.fragment),zk=p(),y(rs.$$.fragment),Tu=p(),Go=r("h2"),as=r("a"),bp=r("span"),y(qa.$$.fragment),jk=p(),kp=r("span"),qk=o("AlbertForMultipleChoice"),wu=p(),kt=r("div"),y(Pa.$$.fragment),Pk=p(),vp=r("p"),Ck=o(`Albert Model with a multiple choice classification head on top (a linear layer on top of the pooled output and a
softmax) e.g. for RocStories/SWAG tasks.`),Lk=p(),Ca=r("p"),Ok=o("This model inherits from "),Pd=r("a"),Ik=o("PreTrainedModel"),Nk=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Dk=p(),La=r("p"),Sk=o("This model is also a PyTorch "),Oa=r("a"),Wk=o("torch.nn.Module"),Uk=o(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Bk=p(),St=r("div"),y(Ia.$$.fragment),Rk=p(),Xo=r("p"),Hk=o("The "),Cd=r("a"),Qk=o("AlbertForMultipleChoice"),Kk=o(" forward method, overrides the "),yp=r("code"),Vk=o("__call__"),Jk=o(" special method."),Gk=p(),y(is.$$.fragment),Xk=p(),y(ls.$$.fragment),$u=p(),Yo=r("h2"),ds=r("a"),Tp=r("span"),y(Na.$$.fragment),Yk=p(),wp=r("span"),Zk=o("AlbertForTokenClassification"),Au=p(),vt=r("div"),y(Da.$$.fragment),ev=p(),$p=r("p"),tv=o(`Albert Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g. for
Named-Entity-Recognition (NER) tasks.`),ov=p(),Sa=r("p"),nv=o("This model inherits from "),Ld=r("a"),sv=o("PreTrainedModel"),rv=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),av=p(),Wa=r("p"),iv=o("This model is also a PyTorch "),Ua=r("a"),lv=o("torch.nn.Module"),dv=o(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),cv=p(),Wt=r("div"),y(Ba.$$.fragment),pv=p(),Zo=r("p"),hv=o("The "),Od=r("a"),mv=o("AlbertForTokenClassification"),uv=o(" forward method, overrides the "),Ap=r("code"),fv=o("__call__"),gv=o(" special method."),_v=p(),y(cs.$$.fragment),bv=p(),y(ps.$$.fragment),Fu=p(),en=r("h2"),hs=r("a"),Fp=r("span"),y(Ra.$$.fragment),kv=p(),xp=r("span"),vv=o("AlbertForQuestionAnswering"),xu=p(),yt=r("div"),y(Ha.$$.fragment),yv=p(),tn=r("p"),Tv=o(`Albert Model with a span classification head on top for extractive question-answering tasks like SQuAD (a linear
layers on top of the hidden-states output to compute `),Ep=r("code"),wv=o("span start logits"),$v=o(" and "),Mp=r("code"),Av=o("span end logits"),Fv=o(")."),xv=p(),Qa=r("p"),Ev=o("This model inherits from "),Id=r("a"),Mv=o("PreTrainedModel"),zv=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),jv=p(),Ka=r("p"),qv=o("This model is also a PyTorch "),Va=r("a"),Pv=o("torch.nn.Module"),Cv=o(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Lv=p(),Ut=r("div"),y(Ja.$$.fragment),Ov=p(),on=r("p"),Iv=o("The "),Nd=r("a"),Nv=o("AlbertForQuestionAnswering"),Dv=o(" forward method, overrides the "),zp=r("code"),Sv=o("__call__"),Wv=o(" special method."),Uv=p(),y(ms.$$.fragment),Bv=p(),y(us.$$.fragment),Eu=p(),nn=r("h2"),fs=r("a"),jp=r("span"),y(Ga.$$.fragment),Rv=p(),qp=r("span"),Hv=o("TFAlbertModel"),Mu=p(),it=r("div"),y(Xa.$$.fragment),Qv=p(),Pp=r("p"),Kv=o("The bare Albert Model transformer outputting raw hidden-states without any specific head on top."),Vv=p(),Ya=r("p"),Jv=o("This model inherits from "),Dd=r("a"),Gv=o("TFPreTrainedModel"),Xv=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Yv=p(),Za=r("p"),Zv=o("This model is also a "),ei=r("a"),ey=o("tf.keras.Model"),ty=o(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),oy=p(),y(gs.$$.fragment),ny=p(),Bt=r("div"),y(ti.$$.fragment),sy=p(),sn=r("p"),ry=o("The "),Sd=r("a"),ay=o("TFAlbertModel"),iy=o(" forward method, overrides the "),Cp=r("code"),ly=o("__call__"),dy=o(" special method."),cy=p(),y(_s.$$.fragment),py=p(),y(bs.$$.fragment),zu=p(),rn=r("h2"),ks=r("a"),Lp=r("span"),y(oi.$$.fragment),hy=p(),Op=r("span"),my=o("TFAlbertForPreTraining"),ju=p(),lt=r("div"),y(ni.$$.fragment),uy=p(),an=r("p"),fy=o("Albert Model with two heads on top for pretraining: a "),Ip=r("code"),gy=o("masked language modeling"),_y=o(" head and a "),Np=r("code"),by=o("sentence order prediction"),ky=o(" (classification) head."),vy=p(),si=r("p"),yy=o("This model inherits from "),Wd=r("a"),Ty=o("TFPreTrainedModel"),wy=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),$y=p(),ri=r("p"),Ay=o("This model is also a "),ai=r("a"),Fy=o("tf.keras.Model"),xy=o(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Ey=p(),y(vs.$$.fragment),My=p(),Rt=r("div"),y(ii.$$.fragment),zy=p(),ln=r("p"),jy=o("The "),Ud=r("a"),qy=o("TFAlbertForPreTraining"),Py=o(" forward method, overrides the "),Dp=r("code"),Cy=o("__call__"),Ly=o(" special method."),Oy=p(),y(ys.$$.fragment),Iy=p(),y(Ts.$$.fragment),qu=p(),dn=r("h2"),ws=r("a"),Sp=r("span"),y(li.$$.fragment),Ny=p(),Wp=r("span"),Dy=o("TFAlbertForMaskedLM"),Pu=p(),dt=r("div"),y(di.$$.fragment),Sy=p(),ci=r("p"),Wy=o("Albert Model with a "),Up=r("code"),Uy=o("language modeling"),By=o(" head on top."),Ry=p(),pi=r("p"),Hy=o("This model inherits from "),Bd=r("a"),Qy=o("TFPreTrainedModel"),Ky=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Vy=p(),hi=r("p"),Jy=o("This model is also a "),mi=r("a"),Gy=o("tf.keras.Model"),Xy=o(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Yy=p(),y($s.$$.fragment),Zy=p(),$t=r("div"),y(ui.$$.fragment),eT=p(),cn=r("p"),tT=o("The "),Rd=r("a"),oT=o("TFAlbertForMaskedLM"),nT=o(" forward method, overrides the "),Bp=r("code"),sT=o("__call__"),rT=o(" special method."),aT=p(),y(As.$$.fragment),iT=p(),y(Fs.$$.fragment),lT=p(),y(xs.$$.fragment),Cu=p(),pn=r("h2"),Es=r("a"),Rp=r("span"),y(fi.$$.fragment),dT=p(),Hp=r("span"),cT=o("TFAlbertForSequenceClassification"),Lu=p(),ct=r("div"),y(gi.$$.fragment),pT=p(),Qp=r("p"),hT=o(`Albert Model transformer with a sequence classification/regression head on top (a linear layer on top of the pooled
output) e.g. for GLUE tasks.`),mT=p(),_i=r("p"),uT=o("This model inherits from "),Hd=r("a"),fT=o("TFPreTrainedModel"),gT=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),_T=p(),bi=r("p"),bT=o("This model is also a "),ki=r("a"),kT=o("tf.keras.Model"),vT=o(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),yT=p(),y(Ms.$$.fragment),TT=p(),At=r("div"),y(vi.$$.fragment),wT=p(),hn=r("p"),$T=o("The "),Qd=r("a"),AT=o("TFAlbertForSequenceClassification"),FT=o(" forward method, overrides the "),Kp=r("code"),xT=o("__call__"),ET=o(" special method."),MT=p(),y(zs.$$.fragment),zT=p(),y(js.$$.fragment),jT=p(),y(qs.$$.fragment),Ou=p(),mn=r("h2"),Ps=r("a"),Vp=r("span"),y(yi.$$.fragment),qT=p(),Jp=r("span"),PT=o("TFAlbertForMultipleChoice"),Iu=p(),pt=r("div"),y(Ti.$$.fragment),CT=p(),Gp=r("p"),LT=o(`Albert Model with a multiple choice classification head on top (a linear layer on top of the pooled output and a
softmax) e.g. for RocStories/SWAG tasks.`),OT=p(),wi=r("p"),IT=o("This model inherits from "),Kd=r("a"),NT=o("TFPreTrainedModel"),DT=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),ST=p(),$i=r("p"),WT=o("This model is also a "),Ai=r("a"),UT=o("tf.keras.Model"),BT=o(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),RT=p(),y(Cs.$$.fragment),HT=p(),Ht=r("div"),y(Fi.$$.fragment),QT=p(),un=r("p"),KT=o("The "),Vd=r("a"),VT=o("TFAlbertForMultipleChoice"),JT=o(" forward method, overrides the "),Xp=r("code"),GT=o("__call__"),XT=o(" special method."),YT=p(),y(Ls.$$.fragment),ZT=p(),y(Os.$$.fragment),Nu=p(),fn=r("h2"),Is=r("a"),Yp=r("span"),y(xi.$$.fragment),ew=p(),Zp=r("span"),tw=o("TFAlbertForTokenClassification"),Du=p(),ht=r("div"),y(Ei.$$.fragment),ow=p(),eh=r("p"),nw=o(`Albert Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g. for
Named-Entity-Recognition (NER) tasks.`),sw=p(),Mi=r("p"),rw=o("This model inherits from "),Jd=r("a"),aw=o("TFPreTrainedModel"),iw=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),lw=p(),zi=r("p"),dw=o("This model is also a "),ji=r("a"),cw=o("tf.keras.Model"),pw=o(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),hw=p(),y(Ns.$$.fragment),mw=p(),Ft=r("div"),y(qi.$$.fragment),uw=p(),gn=r("p"),fw=o("The "),Gd=r("a"),gw=o("TFAlbertForTokenClassification"),_w=o(" forward method, overrides the "),th=r("code"),bw=o("__call__"),kw=o(" special method."),vw=p(),y(Ds.$$.fragment),yw=p(),y(Ss.$$.fragment),Tw=p(),y(Ws.$$.fragment),Su=p(),_n=r("h2"),Us=r("a"),oh=r("span"),y(Pi.$$.fragment),ww=p(),nh=r("span"),$w=o("TFAlbertForQuestionAnswering"),Wu=p(),mt=r("div"),y(Ci.$$.fragment),Aw=p(),bn=r("p"),Fw=o(`Albert Model with a span classification head on top for extractive question-answering tasks like SQuAD (a linear
layer on top of the hidden-states output to compute `),sh=r("code"),xw=o("span start logits"),Ew=o(" and "),rh=r("code"),Mw=o("span end logits"),zw=o(")."),jw=p(),Li=r("p"),qw=o("This model inherits from "),Xd=r("a"),Pw=o("TFPreTrainedModel"),Cw=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Lw=p(),Oi=r("p"),Ow=o("This model is also a "),Ii=r("a"),Iw=o("tf.keras.Model"),Nw=o(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Dw=p(),y(Bs.$$.fragment),Sw=p(),xt=r("div"),y(Ni.$$.fragment),Ww=p(),kn=r("p"),Uw=o("The "),Yd=r("a"),Bw=o("TFAlbertForQuestionAnswering"),Rw=o(" forward method, overrides the "),ah=r("code"),Hw=o("__call__"),Qw=o(" special method."),Kw=p(),y(Rs.$$.fragment),Vw=p(),y(Hs.$$.fragment),Jw=p(),y(Qs.$$.fragment),Uu=p(),vn=r("h2"),Ks=r("a"),ih=r("span"),y(Di.$$.fragment),Gw=p(),lh=r("span"),Xw=o("FlaxAlbertModel"),Bu=p(),et=r("div"),y(Si.$$.fragment),Yw=p(),dh=r("p"),Zw=o("The bare Albert Model transformer outputting raw hidden-states without any specific head on top."),e2=p(),Wi=r("p"),t2=o("This model inherits from "),Zd=r("a"),o2=o("FlaxPreTrainedModel"),n2=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),s2=p(),Ui=r("p"),r2=o("This model is also a Flax Linen "),Bi=r("a"),a2=o("flax.linen.Module"),i2=o(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),l2=p(),ch=r("p"),d2=o("Finally, this model supports inherent JAX features such as:"),c2=p(),io=r("ul"),ph=r("li"),Ri=r("a"),p2=o("Just-In-Time (JIT) compilation"),h2=p(),hh=r("li"),Hi=r("a"),m2=o("Automatic Differentiation"),u2=p(),mh=r("li"),Qi=r("a"),f2=o("Vectorization"),g2=p(),uh=r("li"),Ki=r("a"),_2=o("Parallelization"),b2=p(),Qt=r("div"),y(Vi.$$.fragment),k2=p(),yn=r("p"),v2=o("The "),fh=r("code"),y2=o("FlaxAlbertPreTrainedModel"),T2=o(" forward method, overrides the "),gh=r("code"),w2=o("__call__"),$2=o(" special method."),A2=p(),y(Vs.$$.fragment),F2=p(),y(Js.$$.fragment),Ru=p(),Tn=r("h2"),Gs=r("a"),_h=r("span"),y(Ji.$$.fragment),x2=p(),bh=r("span"),E2=o("FlaxAlbertForPreTraining"),Hu=p(),tt=r("div"),y(Gi.$$.fragment),M2=p(),wn=r("p"),z2=o("Albert Model with two heads on top as done during the pretraining: a "),kh=r("code"),j2=o("masked language modeling"),q2=o(` head and a
`),vh=r("code"),P2=o("sentence order prediction (classification)"),C2=o(" head."),L2=p(),Xi=r("p"),O2=o("This model inherits from "),ec=r("a"),I2=o("FlaxPreTrainedModel"),N2=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),D2=p(),Yi=r("p"),S2=o("This model is also a Flax Linen "),Zi=r("a"),W2=o("flax.linen.Module"),U2=o(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),B2=p(),yh=r("p"),R2=o("Finally, this model supports inherent JAX features such as:"),H2=p(),lo=r("ul"),Th=r("li"),el=r("a"),Q2=o("Just-In-Time (JIT) compilation"),K2=p(),wh=r("li"),tl=r("a"),V2=o("Automatic Differentiation"),J2=p(),$h=r("li"),ol=r("a"),G2=o("Vectorization"),X2=p(),Ah=r("li"),nl=r("a"),Y2=o("Parallelization"),Z2=p(),Kt=r("div"),y(sl.$$.fragment),e$=p(),$n=r("p"),t$=o("The "),Fh=r("code"),o$=o("FlaxAlbertPreTrainedModel"),n$=o(" forward method, overrides the "),xh=r("code"),s$=o("__call__"),r$=o(" special method."),a$=p(),y(Xs.$$.fragment),i$=p(),y(Ys.$$.fragment),Qu=p(),An=r("h2"),Zs=r("a"),Eh=r("span"),y(rl.$$.fragment),l$=p(),Mh=r("span"),d$=o("FlaxAlbertForMaskedLM"),Ku=p(),ot=r("div"),y(al.$$.fragment),c$=p(),il=r("p"),p$=o("Albert Model with a "),zh=r("code"),h$=o("language modeling"),m$=o(" head on top."),u$=p(),ll=r("p"),f$=o("This model inherits from "),tc=r("a"),g$=o("FlaxPreTrainedModel"),_$=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),b$=p(),dl=r("p"),k$=o("This model is also a Flax Linen "),cl=r("a"),v$=o("flax.linen.Module"),y$=o(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),T$=p(),jh=r("p"),w$=o("Finally, this model supports inherent JAX features such as:"),$$=p(),co=r("ul"),qh=r("li"),pl=r("a"),A$=o("Just-In-Time (JIT) compilation"),F$=p(),Ph=r("li"),hl=r("a"),x$=o("Automatic Differentiation"),E$=p(),Ch=r("li"),ml=r("a"),M$=o("Vectorization"),z$=p(),Lh=r("li"),ul=r("a"),j$=o("Parallelization"),q$=p(),Vt=r("div"),y(fl.$$.fragment),P$=p(),Fn=r("p"),C$=o("The "),Oh=r("code"),L$=o("FlaxAlbertPreTrainedModel"),O$=o(" forward method, overrides the "),Ih=r("code"),I$=o("__call__"),N$=o(" special method."),D$=p(),y(er.$$.fragment),S$=p(),y(tr.$$.fragment),Vu=p(),xn=r("h2"),or=r("a"),Nh=r("span"),y(gl.$$.fragment),W$=p(),Dh=r("span"),U$=o("FlaxAlbertForSequenceClassification"),Ju=p(),nt=r("div"),y(_l.$$.fragment),B$=p(),Sh=r("p"),R$=o(`Albert Model transformer with a sequence classification/regression head on top (a linear layer on top of the pooled
output) e.g. for GLUE tasks.`),H$=p(),bl=r("p"),Q$=o("This model inherits from "),oc=r("a"),K$=o("FlaxPreTrainedModel"),V$=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),J$=p(),kl=r("p"),G$=o("This model is also a Flax Linen "),vl=r("a"),X$=o("flax.linen.Module"),Y$=o(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),Z$=p(),Wh=r("p"),e1=o("Finally, this model supports inherent JAX features such as:"),t1=p(),po=r("ul"),Uh=r("li"),yl=r("a"),o1=o("Just-In-Time (JIT) compilation"),n1=p(),Bh=r("li"),Tl=r("a"),s1=o("Automatic Differentiation"),r1=p(),Rh=r("li"),wl=r("a"),a1=o("Vectorization"),i1=p(),Hh=r("li"),$l=r("a"),l1=o("Parallelization"),d1=p(),Jt=r("div"),y(Al.$$.fragment),c1=p(),En=r("p"),p1=o("The "),Qh=r("code"),h1=o("FlaxAlbertPreTrainedModel"),m1=o(" forward method, overrides the "),Kh=r("code"),u1=o("__call__"),f1=o(" special method."),g1=p(),y(nr.$$.fragment),_1=p(),y(sr.$$.fragment),Gu=p(),Mn=r("h2"),rr=r("a"),Vh=r("span"),y(Fl.$$.fragment),b1=p(),Jh=r("span"),k1=o("FlaxAlbertForMultipleChoice"),Xu=p(),st=r("div"),y(xl.$$.fragment),v1=p(),Gh=r("p"),y1=o(`Albert Model with a multiple choice classification head on top (a linear layer on top of the pooled output and a
softmax) e.g. for RocStories/SWAG tasks.`),T1=p(),El=r("p"),w1=o("This model inherits from "),nc=r("a"),$1=o("FlaxPreTrainedModel"),A1=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),F1=p(),Ml=r("p"),x1=o("This model is also a Flax Linen "),zl=r("a"),E1=o("flax.linen.Module"),M1=o(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),z1=p(),Xh=r("p"),j1=o("Finally, this model supports inherent JAX features such as:"),q1=p(),ho=r("ul"),Yh=r("li"),jl=r("a"),P1=o("Just-In-Time (JIT) compilation"),C1=p(),Zh=r("li"),ql=r("a"),L1=o("Automatic Differentiation"),O1=p(),em=r("li"),Pl=r("a"),I1=o("Vectorization"),N1=p(),tm=r("li"),Cl=r("a"),D1=o("Parallelization"),S1=p(),Gt=r("div"),y(Ll.$$.fragment),W1=p(),zn=r("p"),U1=o("The "),om=r("code"),B1=o("FlaxAlbertPreTrainedModel"),R1=o(" forward method, overrides the "),nm=r("code"),H1=o("__call__"),Q1=o(" special method."),K1=p(),y(ar.$$.fragment),V1=p(),y(ir.$$.fragment),Yu=p(),jn=r("h2"),lr=r("a"),sm=r("span"),y(Ol.$$.fragment),J1=p(),rm=r("span"),G1=o("FlaxAlbertForTokenClassification"),Zu=p(),rt=r("div"),y(Il.$$.fragment),X1=p(),am=r("p"),Y1=o(`Albert Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g. for
Named-Entity-Recognition (NER) tasks.`),Z1=p(),Nl=r("p"),e0=o("This model inherits from "),sc=r("a"),t0=o("FlaxPreTrainedModel"),o0=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),n0=p(),Dl=r("p"),s0=o("This model is also a Flax Linen "),Sl=r("a"),r0=o("flax.linen.Module"),a0=o(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),i0=p(),im=r("p"),l0=o("Finally, this model supports inherent JAX features such as:"),d0=p(),mo=r("ul"),lm=r("li"),Wl=r("a"),c0=o("Just-In-Time (JIT) compilation"),p0=p(),dm=r("li"),Ul=r("a"),h0=o("Automatic Differentiation"),m0=p(),cm=r("li"),Bl=r("a"),u0=o("Vectorization"),f0=p(),pm=r("li"),Rl=r("a"),g0=o("Parallelization"),_0=p(),Xt=r("div"),y(Hl.$$.fragment),b0=p(),qn=r("p"),k0=o("The "),hm=r("code"),v0=o("FlaxAlbertPreTrainedModel"),y0=o(" forward method, overrides the "),mm=r("code"),T0=o("__call__"),w0=o(" special method."),$0=p(),y(dr.$$.fragment),A0=p(),y(cr.$$.fragment),ef=p(),Pn=r("h2"),pr=r("a"),um=r("span"),y(Ql.$$.fragment),F0=p(),fm=r("span"),x0=o("FlaxAlbertForQuestionAnswering"),tf=p(),at=r("div"),y(Kl.$$.fragment),E0=p(),Cn=r("p"),M0=o(`Albert Model with a span classification head on top for extractive question-answering tasks like SQuAD (a linear
layers on top of the hidden-states output to compute `),gm=r("code"),z0=o("span start logits"),j0=o(" and "),_m=r("code"),q0=o("span end logits"),P0=o(")."),C0=p(),Vl=r("p"),L0=o("This model inherits from "),rc=r("a"),O0=o("FlaxPreTrainedModel"),I0=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),N0=p(),Jl=r("p"),D0=o("This model is also a Flax Linen "),Gl=r("a"),S0=o("flax.linen.Module"),W0=o(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),U0=p(),bm=r("p"),B0=o("Finally, this model supports inherent JAX features such as:"),R0=p(),uo=r("ul"),km=r("li"),Xl=r("a"),H0=o("Just-In-Time (JIT) compilation"),Q0=p(),vm=r("li"),Yl=r("a"),K0=o("Automatic Differentiation"),V0=p(),ym=r("li"),Zl=r("a"),J0=o("Vectorization"),G0=p(),Tm=r("li"),ed=r("a"),X0=o("Parallelization"),Y0=p(),Yt=r("div"),y(td.$$.fragment),Z0=p(),Ln=r("p"),eA=o("The "),wm=r("code"),tA=o("FlaxAlbertPreTrainedModel"),oA=o(" forward method, overrides the "),$m=r("code"),nA=o("__call__"),sA=o(" special method."),rA=p(),y(hr.$$.fragment),aA=p(),y(mr.$$.fragment),this.h()},l(s){const k=YE('[data-svelte="svelte-1phssyn"]',document.head);d=a(k,"META",{name:!0,content:!0}),k.forEach(t),b=h(s),m=a(s,"H1",{class:!0});var od=i(m);f=a(od,"A",{id:!0,class:!0,href:!0});var Am=i(f);_=a(Am,"SPAN",{});var Fm=i(_);T(l.$$.fragment,Fm),Fm.forEach(t),Am.forEach(t),c=h(od),M=a(od,"SPAN",{});var xm=i(M);be=n(xm,"ALBERT"),xm.forEach(t),od.forEach(t),me=h(s),W=a(s,"H2",{class:!0});var nd=i(W);se=a(nd,"A",{id:!0,class:!0,href:!0});var Em=i(se);te=a(Em,"SPAN",{});var Mm=i(te);T(x.$$.fragment,Mm),Mm.forEach(t),Em.forEach(t),ke=h(nd),Q=a(nd,"SPAN",{});var zm=i(Q);ve=n(zm,"Overview"),zm.forEach(t),nd.forEach(t),ue=h(s),U=a(s,"P",{});var sd=i(U);ye=n(sd,"The ALBERT model was proposed in "),ae=a(sd,"A",{href:!0,rel:!0});var jm=i(ae);G=n(jm,"ALBERT: A Lite BERT for Self-supervised Learning of Language Representations"),jm.forEach(t),Te=n(sd,` by Zhenzhong Lan, Mingda Chen, Sebastian Goodman, Kevin Gimpel, Piyush Sharma,
Radu Soricut. It presents two parameter-reduction techniques to lower memory consumption and increase the training
speed of BERT:`),sd.forEach(t),fe=h(s),B=a(s,"UL",{});var rd=i(B);ce=a(rd,"LI",{});var qm=i(ce);we=n(qm,"Splitting the embedding matrix into two smaller matrices."),qm.forEach(t),X=h(rd),pe=a(rd,"LI",{});var Pm=i(pe);$e=n(Pm,"Using repeating layers split among groups."),Pm.forEach(t),rd.forEach(t),oe=h(s),q=a(s,"P",{});var Cm=i(q);L=n(Cm,"The abstract from the paper is the following:"),Cm.forEach(t),ge=h(s),H=a(s,"P",{});var Lm=i(H);he=a(Lm,"EM",{});var Om=i(he);Ae=n(Om,`Increasing model size when pretraining natural language representations often results in improved performance on
downstream tasks. However, at some point further model increases become harder due to GPU/TPU memory limitations,
longer training times, and unexpected model degradation. To address these problems, we present two parameter-reduction
techniques to lower memory consumption and increase the training speed of BERT. Comprehensive empirical evidence shows
that our proposed methods lead to models that scale much better compared to the original BERT. We also use a
self-supervised loss that focuses on modeling inter-sentence coherence, and show it consistently helps downstream tasks
with multi-sentence inputs. As a result, our best model establishes new state-of-the-art results on the GLUE, RACE, and
SQuAD benchmarks while having fewer parameters compared to BERT-large.`),Om.forEach(t),Lm.forEach(t),J=h(s),le=a(s,"P",{});var Im=i(le);Fe=n(Im,"Tips:"),Im.forEach(t),C=h(s),re=a(s,"UL",{});var ad=i(re);K=a(ad,"LI",{});var Nm=i(K);xe=n(Nm,`ALBERT is a model with absolute position embeddings so it\u2019s usually advised to pad the inputs on the right rather
than the left.`),Nm.forEach(t),Ee=h(ad),V=a(ad,"LI",{});var Dm=i(V);Me=n(Dm,`ALBERT uses repeating layers which results in a small memory footprint, however the computational cost remains
similar to a BERT-like architecture with the same number of hidden layers as it has to iterate through the same
number of (repeating) layers.`),Dm.forEach(t),ad.forEach(t),_e=h(s),O=a(s,"P",{});var fo=i(O);ze=n(fo,"This model was contributed by "),R=a(fo,"A",{href:!0,rel:!0});var Sm=i(R);je=n(Sm,"lysandre"),Sm.forEach(t),ne=n(fo,`. This model jax version was contributed by
`),P=a(fo,"A",{href:!0,rel:!0});var Wm=i(P);qe=n(Wm,"kamalkraj"),Wm.forEach(t),I=n(fo,". The original code can be found "),ie=a(fo,"A",{href:!0,rel:!0});var Um=i(ie);Pe=n(Um,"here"),Um.forEach(t),v=n(fo,"."),fo.forEach(t),z=h(s),Le=a(s,"H2",{class:!0});var id=i(Le);Z=a(id,"A",{id:!0,class:!0,href:!0});var Bm=i(Z);He=a(Bm,"SPAN",{});var Rm=i(He);T(De.$$.fragment,Rm),Rm.forEach(t),Bm.forEach(t),j=h(id),Qe=a(id,"SPAN",{});var Hm=i(Qe);Ve=n(Hm,"AlbertConfig"),Hm.forEach(t),id.forEach(t),Ke=h(s),de=a(s,"DIV",{class:!0});var go=i(de);T(Se.$$.fragment,go),S=h(go),N=a(go,"P",{});var _o=i(N);Je=n(_o,"This is the configuration class to store the configuration of a "),Ue=a(_o,"A",{href:!0});var Qm=i(Ue);Y=n(Qm,"AlbertModel"),Qm.forEach(t),Ge=n(_o," or a "),Be=a(_o,"A",{href:!0});var Km=i(Be);Ce=n(Km,"TFAlbertModel"),Km.forEach(t),Xe=n(_o,`. It is used
to instantiate an ALBERT model according to the specified arguments, defining the model architecture. Instantiating
a configuration with the defaults will yield a similar configuration to that of the ALBERT
`),ee=a(_o,"A",{href:!0,rel:!0});var Vm=i(ee);Ye=n(Vm,"albert-xxlarge-v2"),Vm.forEach(t),wg=n(_o," architecture."),_o.forEach(t),$g=h(go),Co=a(go,"P",{});var On=i(Co);Ag=n(On,"Configuration objects inherit from "),ud=a(On,"A",{href:!0});var Jm=i(ud);Fg=n(Jm,"PretrainedConfig"),Jm.forEach(t),xg=n(On,` and can be used to control the model outputs. Read the
documentation from `),fd=a(On,"A",{href:!0});var Gm=i(fd);Eg=n(Gm,"PretrainedConfig"),Gm.forEach(t),Mg=n(On," for more information."),On.forEach(t),zg=h(go),T(Dn.$$.fragment,go),go.forEach(t),iu=h(s),Lo=a(s,"H2",{class:!0});var ld=i(Lo);Sn=a(ld,"A",{id:!0,class:!0,href:!0});var Xm=i(Sn);Oc=a(Xm,"SPAN",{});var Ym=i(Oc);T(Dr.$$.fragment,Ym),Ym.forEach(t),Xm.forEach(t),jg=h(ld),Ic=a(ld,"SPAN",{});var Zm=i(Ic);qg=n(Zm,"AlbertTokenizer"),Zm.forEach(t),ld.forEach(t),lu=h(s),Ze=a(s,"DIV",{class:!0});var ut=i(Ze);T(Sr.$$.fragment,ut),Pg=h(ut),Wr=a(ut,"P",{});var dd=i(Wr);Cg=n(dd,"Construct an ALBERT tokenizer. Based on "),Ur=a(dd,"A",{href:!0,rel:!0});var eu=i(Ur);Lg=n(eu,"SentencePiece"),eu.forEach(t),Og=n(dd,"."),dd.forEach(t),Ig=h(ut),Br=a(ut,"P",{});var cd=i(Br);Ng=n(cd,"This tokenizer inherits from "),gd=a(cd,"A",{href:!0});var tu=i(gd);Dg=n(tu,"PreTrainedTokenizer"),tu.forEach(t),Sg=n(cd,` which contains most of the main methods. Users should refer to
this superclass for more information regarding those methods.`),cd.forEach(t),Wg=h(ut),ko=a(ut,"DIV",{class:!0});var In=i(ko);T(Rr.$$.fragment,In),Ug=h(In),Nc=a(In,"P",{});var ou=i(Nc);Bg=n(ou,`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. An ALBERT sequence has the following format:`),ou.forEach(t),Rg=h(In),Hr=a(In,"UL",{});var pd=i(Hr);_d=a(pd,"LI",{});var ac=i(_d);Hg=n(ac,"single sequence: "),Dc=a(ac,"CODE",{});var nu=i(Dc);Qg=n(nu,"[CLS] X [SEP]"),nu.forEach(t),ac.forEach(t),Kg=h(pd),bd=a(pd,"LI",{});var ic=i(bd);Vg=n(ic,"pair of sequences: "),Sc=a(ic,"CODE",{});var su=i(Sc);Jg=n(su,"[CLS] A [SEP] B [SEP]"),su.forEach(t),ic.forEach(t),pd.forEach(t),In.forEach(t),Gg=h(ut),Wn=a(ut,"DIV",{class:!0});var hd=i(Wn);T(Qr.$$.fragment,hd),Xg=h(hd),Kr=a(hd,"P",{});var md=i(Kr);Yg=n(md,`Retrieve sequence ids from a token list that has no special tokens added. This method is called when adding
special tokens using the tokenizer `),Wc=a(md,"CODE",{});var ru=i(Wc);Zg=n(ru,"prepare_for_model"),ru.forEach(t),e_=n(md," method."),md.forEach(t),hd.forEach(t),t_=h(ut),Ot=a(ut,"DIV",{class:!0});var bo=i(Ot);T(Vr.$$.fragment,bo),o_=h(bo),Uc=a(bo,"P",{});var au=i(Uc);n_=n(au,"Create a mask from the two sequences passed to be used in a sequence-pair classification task. An ALBERT"),au.forEach(t),s_=h(bo),T(Un.$$.fragment,bo),r_=h(bo),Oo=a(bo,"P",{});var Nn=i(Oo);a_=n(Nn,"If "),Bc=a(Nn,"CODE",{});var dA=i(Bc);i_=n(dA,"token_ids_1"),dA.forEach(t),l_=n(Nn," is "),Rc=a(Nn,"CODE",{});var cA=i(Rc);d_=n(cA,"None"),cA.forEach(t),c_=n(Nn,", this method only returns the first portion of the mask (0s)."),Nn.forEach(t),bo.forEach(t),p_=h(ut),kd=a(ut,"DIV",{class:!0});var pA=i(kd);T(Jr.$$.fragment,pA),pA.forEach(t),ut.forEach(t),du=h(s),Io=a(s,"H2",{class:!0});var nf=i(Io);Bn=a(nf,"A",{id:!0,class:!0,href:!0});var hA=i(Bn);Hc=a(hA,"SPAN",{});var mA=i(Hc);T(Gr.$$.fragment,mA),mA.forEach(t),hA.forEach(t),h_=h(nf),Qc=a(nf,"SPAN",{});var uA=i(Qc);m_=n(uA,"AlbertTokenizerFast"),uA.forEach(t),nf.forEach(t),cu=h(s),Lt=a(s,"DIV",{class:!0});var ur=i(Lt);T(Xr.$$.fragment,ur),u_=h(ur),ao=a(ur,"P",{});var fr=i(ao);f_=n(fr,"Construct a \u201Cfast\u201D ALBERT tokenizer (backed by HuggingFace\u2019s "),Kc=a(fr,"EM",{});var fA=i(Kc);g_=n(fA,"tokenizers"),fA.forEach(t),__=n(fr,` library). Based on
`),Yr=a(fr,"A",{href:!0,rel:!0});var gA=i(Yr);b_=n(gA,"Unigram"),gA.forEach(t),k_=n(fr,`. This
tokenizer inherits from `),vd=a(fr,"A",{href:!0});var _A=i(vd);v_=n(_A,"PreTrainedTokenizerFast"),_A.forEach(t),y_=n(fr,` which contains most of the main methods. Users should refer to
this superclass for more information regarding those methods`),fr.forEach(t),T_=h(ur),vo=a(ur,"DIV",{class:!0});var lc=i(vo);T(Zr.$$.fragment,lc),w_=h(lc),Vc=a(lc,"P",{});var bA=i(Vc);$_=n(bA,`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. An ALBERT sequence has the following format:`),bA.forEach(t),A_=h(lc),ea=a(lc,"UL",{});var sf=i(ea);yd=a(sf,"LI",{});var iA=i(yd);F_=n(iA,"single sequence: "),Jc=a(iA,"CODE",{});var kA=i(Jc);x_=n(kA,"[CLS] X [SEP]"),kA.forEach(t),iA.forEach(t),E_=h(sf),Td=a(sf,"LI",{});var lA=i(Td);M_=n(lA,"pair of sequences: "),Gc=a(lA,"CODE",{});var vA=i(Gc);z_=n(vA,"[CLS] A [SEP] B [SEP]"),vA.forEach(t),lA.forEach(t),sf.forEach(t),lc.forEach(t),j_=h(ur),It=a(ur,"DIV",{class:!0});var gr=i(It);T(ta.$$.fragment,gr),q_=h(gr),Xc=a(gr,"P",{});var yA=i(Xc);P_=n(yA,"Creates a mask from the two sequences passed to be used in a sequence-pair classification task. An ALBERT"),yA.forEach(t),C_=h(gr),T(Rn.$$.fragment,gr),L_=h(gr),Yc=a(gr,"P",{});var TA=i(Yc);O_=n(TA,"if token_ids_1 is None, only returns the first portion of the mask (0s)."),TA.forEach(t),gr.forEach(t),ur.forEach(t),pu=h(s),No=a(s,"H2",{class:!0});var rf=i(No);Hn=a(rf,"A",{id:!0,class:!0,href:!0});var wA=i(Hn);Zc=a(wA,"SPAN",{});var $A=i(Zc);T(oa.$$.fragment,$A),$A.forEach(t),wA.forEach(t),I_=h(rf),ep=a(rf,"SPAN",{});var AA=i(ep);N_=n(AA,"Albert specific outputs"),AA.forEach(t),rf.forEach(t),hu=h(s),Do=a(s,"DIV",{class:!0});var af=i(Do);T(na.$$.fragment,af),D_=h(af),sa=a(af,"P",{});var lf=i(sa);S_=n(lf,"Output type of "),wd=a(lf,"A",{href:!0});var FA=i(wd);W_=n(FA,"AlbertForPreTraining"),FA.forEach(t),U_=n(lf,"."),lf.forEach(t),af.forEach(t),mu=h(s),So=a(s,"DIV",{class:!0});var df=i(So);T(ra.$$.fragment,df),B_=h(df),aa=a(df,"P",{});var cf=i(aa);R_=n(cf,"Output type of "),$d=a(cf,"A",{href:!0});var xA=i($d);H_=n(xA,"TFAlbertForPreTraining"),xA.forEach(t),Q_=n(cf,"."),cf.forEach(t),df.forEach(t),uu=h(s),Wo=a(s,"H2",{class:!0});var pf=i(Wo);Qn=a(pf,"A",{id:!0,class:!0,href:!0});var EA=i(Qn);tp=a(EA,"SPAN",{});var MA=i(tp);T(ia.$$.fragment,MA),MA.forEach(t),EA.forEach(t),K_=h(pf),op=a(pf,"SPAN",{});var zA=i(op);V_=n(zA,"AlbertModel"),zA.forEach(t),pf.forEach(t),fu=h(s),ft=a(s,"DIV",{class:!0});var yo=i(ft);T(la.$$.fragment,yo),J_=h(yo),np=a(yo,"P",{});var jA=i(np);G_=n(jA,"The bare ALBERT Model transformer outputting raw hidden-states without any specific head on top."),jA.forEach(t),X_=h(yo),da=a(yo,"P",{});var hf=i(da);Y_=n(hf,"This model inherits from "),Ad=a(hf,"A",{href:!0});var qA=i(Ad);Z_=n(qA,"PreTrainedModel"),qA.forEach(t),eb=n(hf,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),hf.forEach(t),tb=h(yo),ca=a(yo,"P",{});var mf=i(ca);ob=n(mf,"This model is also a PyTorch "),pa=a(mf,"A",{href:!0,rel:!0});var PA=i(pa);nb=n(PA,"torch.nn.Module"),PA.forEach(t),sb=n(mf,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),mf.forEach(t),rb=h(yo),Nt=a(yo,"DIV",{class:!0});var _r=i(Nt);T(ha.$$.fragment,_r),ab=h(_r),Uo=a(_r,"P",{});var dc=i(Uo);ib=n(dc,"The "),Fd=a(dc,"A",{href:!0});var CA=i(Fd);lb=n(CA,"AlbertModel"),CA.forEach(t),db=n(dc," forward method, overrides the "),sp=a(dc,"CODE",{});var LA=i(sp);cb=n(LA,"__call__"),LA.forEach(t),pb=n(dc," special method."),dc.forEach(t),hb=h(_r),T(Kn.$$.fragment,_r),mb=h(_r),T(Vn.$$.fragment,_r),_r.forEach(t),yo.forEach(t),gu=h(s),Bo=a(s,"H2",{class:!0});var uf=i(Bo);Jn=a(uf,"A",{id:!0,class:!0,href:!0});var OA=i(Jn);rp=a(OA,"SPAN",{});var IA=i(rp);T(ma.$$.fragment,IA),IA.forEach(t),OA.forEach(t),ub=h(uf),ap=a(uf,"SPAN",{});var NA=i(ap);fb=n(NA,"AlbertForPreTraining"),NA.forEach(t),uf.forEach(t),_u=h(s),gt=a(s,"DIV",{class:!0});var To=i(gt);T(ua.$$.fragment,To),gb=h(To),Ro=a(To,"P",{});var cc=i(Ro);_b=n(cc,"Albert Model with two heads on top as done during the pretraining: a "),ip=a(cc,"CODE",{});var DA=i(ip);bb=n(DA,"masked language modeling"),DA.forEach(t),kb=n(cc,` head and a
`),lp=a(cc,"CODE",{});var SA=i(lp);vb=n(SA,"sentence order prediction (classification)"),SA.forEach(t),yb=n(cc," head."),cc.forEach(t),Tb=h(To),fa=a(To,"P",{});var ff=i(fa);wb=n(ff,"This model inherits from "),xd=a(ff,"A",{href:!0});var WA=i(xd);$b=n(WA,"PreTrainedModel"),WA.forEach(t),Ab=n(ff,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),ff.forEach(t),Fb=h(To),ga=a(To,"P",{});var gf=i(ga);xb=n(gf,"This model is also a PyTorch "),_a=a(gf,"A",{href:!0,rel:!0});var UA=i(_a);Eb=n(UA,"torch.nn.Module"),UA.forEach(t),Mb=n(gf,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),gf.forEach(t),zb=h(To),Dt=a(To,"DIV",{class:!0});var br=i(Dt);T(ba.$$.fragment,br),jb=h(br),Ho=a(br,"P",{});var pc=i(Ho);qb=n(pc,"The "),Ed=a(pc,"A",{href:!0});var BA=i(Ed);Pb=n(BA,"AlbertForPreTraining"),BA.forEach(t),Cb=n(pc," forward method, overrides the "),dp=a(pc,"CODE",{});var RA=i(dp);Lb=n(RA,"__call__"),RA.forEach(t),Ob=n(pc," special method."),pc.forEach(t),Ib=h(br),T(Gn.$$.fragment,br),Nb=h(br),T(Xn.$$.fragment,br),br.forEach(t),To.forEach(t),bu=h(s),Qo=a(s,"H2",{class:!0});var _f=i(Qo);Yn=a(_f,"A",{id:!0,class:!0,href:!0});var HA=i(Yn);cp=a(HA,"SPAN",{});var QA=i(cp);T(ka.$$.fragment,QA),QA.forEach(t),HA.forEach(t),Db=h(_f),pp=a(_f,"SPAN",{});var KA=i(pp);Sb=n(KA,"AlbertForMaskedLM"),KA.forEach(t),_f.forEach(t),ku=h(s),_t=a(s,"DIV",{class:!0});var wo=i(_t);T(va.$$.fragment,wo),Wb=h(wo),ya=a(wo,"P",{});var bf=i(ya);Ub=n(bf,"Albert Model with a "),hp=a(bf,"CODE",{});var VA=i(hp);Bb=n(VA,"language modeling"),VA.forEach(t),Rb=n(bf," head on top."),bf.forEach(t),Hb=h(wo),Ta=a(wo,"P",{});var kf=i(Ta);Qb=n(kf,"This model inherits from "),Md=a(kf,"A",{href:!0});var JA=i(Md);Kb=n(JA,"PreTrainedModel"),JA.forEach(t),Vb=n(kf,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),kf.forEach(t),Jb=h(wo),wa=a(wo,"P",{});var vf=i(wa);Gb=n(vf,"This model is also a PyTorch "),$a=a(vf,"A",{href:!0,rel:!0});var GA=i($a);Xb=n(GA,"torch.nn.Module"),GA.forEach(t),Yb=n(vf,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),vf.forEach(t),Zb=h(wo),Tt=a(wo,"DIV",{class:!0});var $o=i(Tt);T(Aa.$$.fragment,$o),ek=h($o),Ko=a($o,"P",{});var hc=i(Ko);tk=n(hc,"The "),zd=a(hc,"A",{href:!0});var XA=i(zd);ok=n(XA,"AlbertForMaskedLM"),XA.forEach(t),nk=n(hc," forward method, overrides the "),mp=a(hc,"CODE",{});var YA=i(mp);sk=n(YA,"__call__"),YA.forEach(t),rk=n(hc," special method."),hc.forEach(t),ak=h($o),T(Zn.$$.fragment,$o),ik=h($o),T(es.$$.fragment,$o),lk=h($o),T(ts.$$.fragment,$o),$o.forEach(t),wo.forEach(t),vu=h(s),Vo=a(s,"H2",{class:!0});var yf=i(Vo);os=a(yf,"A",{id:!0,class:!0,href:!0});var ZA=i(os);up=a(ZA,"SPAN",{});var eF=i(up);T(Fa.$$.fragment,eF),eF.forEach(t),ZA.forEach(t),dk=h(yf),fp=a(yf,"SPAN",{});var tF=i(fp);ck=n(tF,"AlbertForSequenceClassification"),tF.forEach(t),yf.forEach(t),yu=h(s),bt=a(s,"DIV",{class:!0});var Ao=i(bt);T(xa.$$.fragment,Ao),pk=h(Ao),gp=a(Ao,"P",{});var oF=i(gp);hk=n(oF,`Albert Model transformer with a sequence classification/regression head on top (a linear layer on top of the pooled
output) e.g. for GLUE tasks.`),oF.forEach(t),mk=h(Ao),Ea=a(Ao,"P",{});var Tf=i(Ea);uk=n(Tf,"This model inherits from "),jd=a(Tf,"A",{href:!0});var nF=i(jd);fk=n(nF,"PreTrainedModel"),nF.forEach(t),gk=n(Tf,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Tf.forEach(t),_k=h(Ao),Ma=a(Ao,"P",{});var wf=i(Ma);bk=n(wf,"This model is also a PyTorch "),za=a(wf,"A",{href:!0,rel:!0});var sF=i(za);kk=n(sF,"torch.nn.Module"),sF.forEach(t),vk=n(wf,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),wf.forEach(t),yk=h(Ao),wt=a(Ao,"DIV",{class:!0});var Fo=i(wt);T(ja.$$.fragment,Fo),Tk=h(Fo),Jo=a(Fo,"P",{});var mc=i(Jo);wk=n(mc,"The "),qd=a(mc,"A",{href:!0});var rF=i(qd);$k=n(rF,"AlbertForSequenceClassification"),rF.forEach(t),Ak=n(mc," forward method, overrides the "),_p=a(mc,"CODE",{});var aF=i(_p);Fk=n(aF,"__call__"),aF.forEach(t),xk=n(mc," special method."),mc.forEach(t),Ek=h(Fo),T(ns.$$.fragment,Fo),Mk=h(Fo),T(ss.$$.fragment,Fo),zk=h(Fo),T(rs.$$.fragment,Fo),Fo.forEach(t),Ao.forEach(t),Tu=h(s),Go=a(s,"H2",{class:!0});var $f=i(Go);as=a($f,"A",{id:!0,class:!0,href:!0});var iF=i(as);bp=a(iF,"SPAN",{});var lF=i(bp);T(qa.$$.fragment,lF),lF.forEach(t),iF.forEach(t),jk=h($f),kp=a($f,"SPAN",{});var dF=i(kp);qk=n(dF,"AlbertForMultipleChoice"),dF.forEach(t),$f.forEach(t),wu=h(s),kt=a(s,"DIV",{class:!0});var xo=i(kt);T(Pa.$$.fragment,xo),Pk=h(xo),vp=a(xo,"P",{});var cF=i(vp);Ck=n(cF,`Albert Model with a multiple choice classification head on top (a linear layer on top of the pooled output and a
softmax) e.g. for RocStories/SWAG tasks.`),cF.forEach(t),Lk=h(xo),Ca=a(xo,"P",{});var Af=i(Ca);Ok=n(Af,"This model inherits from "),Pd=a(Af,"A",{href:!0});var pF=i(Pd);Ik=n(pF,"PreTrainedModel"),pF.forEach(t),Nk=n(Af,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Af.forEach(t),Dk=h(xo),La=a(xo,"P",{});var Ff=i(La);Sk=n(Ff,"This model is also a PyTorch "),Oa=a(Ff,"A",{href:!0,rel:!0});var hF=i(Oa);Wk=n(hF,"torch.nn.Module"),hF.forEach(t),Uk=n(Ff,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Ff.forEach(t),Bk=h(xo),St=a(xo,"DIV",{class:!0});var kr=i(St);T(Ia.$$.fragment,kr),Rk=h(kr),Xo=a(kr,"P",{});var uc=i(Xo);Hk=n(uc,"The "),Cd=a(uc,"A",{href:!0});var mF=i(Cd);Qk=n(mF,"AlbertForMultipleChoice"),mF.forEach(t),Kk=n(uc," forward method, overrides the "),yp=a(uc,"CODE",{});var uF=i(yp);Vk=n(uF,"__call__"),uF.forEach(t),Jk=n(uc," special method."),uc.forEach(t),Gk=h(kr),T(is.$$.fragment,kr),Xk=h(kr),T(ls.$$.fragment,kr),kr.forEach(t),xo.forEach(t),$u=h(s),Yo=a(s,"H2",{class:!0});var xf=i(Yo);ds=a(xf,"A",{id:!0,class:!0,href:!0});var fF=i(ds);Tp=a(fF,"SPAN",{});var gF=i(Tp);T(Na.$$.fragment,gF),gF.forEach(t),fF.forEach(t),Yk=h(xf),wp=a(xf,"SPAN",{});var _F=i(wp);Zk=n(_F,"AlbertForTokenClassification"),_F.forEach(t),xf.forEach(t),Au=h(s),vt=a(s,"DIV",{class:!0});var Eo=i(vt);T(Da.$$.fragment,Eo),ev=h(Eo),$p=a(Eo,"P",{});var bF=i($p);tv=n(bF,`Albert Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g. for
Named-Entity-Recognition (NER) tasks.`),bF.forEach(t),ov=h(Eo),Sa=a(Eo,"P",{});var Ef=i(Sa);nv=n(Ef,"This model inherits from "),Ld=a(Ef,"A",{href:!0});var kF=i(Ld);sv=n(kF,"PreTrainedModel"),kF.forEach(t),rv=n(Ef,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Ef.forEach(t),av=h(Eo),Wa=a(Eo,"P",{});var Mf=i(Wa);iv=n(Mf,"This model is also a PyTorch "),Ua=a(Mf,"A",{href:!0,rel:!0});var vF=i(Ua);lv=n(vF,"torch.nn.Module"),vF.forEach(t),dv=n(Mf,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Mf.forEach(t),cv=h(Eo),Wt=a(Eo,"DIV",{class:!0});var vr=i(Wt);T(Ba.$$.fragment,vr),pv=h(vr),Zo=a(vr,"P",{});var fc=i(Zo);hv=n(fc,"The "),Od=a(fc,"A",{href:!0});var yF=i(Od);mv=n(yF,"AlbertForTokenClassification"),yF.forEach(t),uv=n(fc," forward method, overrides the "),Ap=a(fc,"CODE",{});var TF=i(Ap);fv=n(TF,"__call__"),TF.forEach(t),gv=n(fc," special method."),fc.forEach(t),_v=h(vr),T(cs.$$.fragment,vr),bv=h(vr),T(ps.$$.fragment,vr),vr.forEach(t),Eo.forEach(t),Fu=h(s),en=a(s,"H2",{class:!0});var zf=i(en);hs=a(zf,"A",{id:!0,class:!0,href:!0});var wF=i(hs);Fp=a(wF,"SPAN",{});var $F=i(Fp);T(Ra.$$.fragment,$F),$F.forEach(t),wF.forEach(t),kv=h(zf),xp=a(zf,"SPAN",{});var AF=i(xp);vv=n(AF,"AlbertForQuestionAnswering"),AF.forEach(t),zf.forEach(t),xu=h(s),yt=a(s,"DIV",{class:!0});var Mo=i(yt);T(Ha.$$.fragment,Mo),yv=h(Mo),tn=a(Mo,"P",{});var gc=i(tn);Tv=n(gc,`Albert Model with a span classification head on top for extractive question-answering tasks like SQuAD (a linear
layers on top of the hidden-states output to compute `),Ep=a(gc,"CODE",{});var FF=i(Ep);wv=n(FF,"span start logits"),FF.forEach(t),$v=n(gc," and "),Mp=a(gc,"CODE",{});var xF=i(Mp);Av=n(xF,"span end logits"),xF.forEach(t),Fv=n(gc,")."),gc.forEach(t),xv=h(Mo),Qa=a(Mo,"P",{});var jf=i(Qa);Ev=n(jf,"This model inherits from "),Id=a(jf,"A",{href:!0});var EF=i(Id);Mv=n(EF,"PreTrainedModel"),EF.forEach(t),zv=n(jf,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),jf.forEach(t),jv=h(Mo),Ka=a(Mo,"P",{});var qf=i(Ka);qv=n(qf,"This model is also a PyTorch "),Va=a(qf,"A",{href:!0,rel:!0});var MF=i(Va);Pv=n(MF,"torch.nn.Module"),MF.forEach(t),Cv=n(qf,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),qf.forEach(t),Lv=h(Mo),Ut=a(Mo,"DIV",{class:!0});var yr=i(Ut);T(Ja.$$.fragment,yr),Ov=h(yr),on=a(yr,"P",{});var _c=i(on);Iv=n(_c,"The "),Nd=a(_c,"A",{href:!0});var zF=i(Nd);Nv=n(zF,"AlbertForQuestionAnswering"),zF.forEach(t),Dv=n(_c," forward method, overrides the "),zp=a(_c,"CODE",{});var jF=i(zp);Sv=n(jF,"__call__"),jF.forEach(t),Wv=n(_c," special method."),_c.forEach(t),Uv=h(yr),T(ms.$$.fragment,yr),Bv=h(yr),T(us.$$.fragment,yr),yr.forEach(t),Mo.forEach(t),Eu=h(s),nn=a(s,"H2",{class:!0});var Pf=i(nn);fs=a(Pf,"A",{id:!0,class:!0,href:!0});var qF=i(fs);jp=a(qF,"SPAN",{});var PF=i(jp);T(Ga.$$.fragment,PF),PF.forEach(t),qF.forEach(t),Rv=h(Pf),qp=a(Pf,"SPAN",{});var CF=i(qp);Hv=n(CF,"TFAlbertModel"),CF.forEach(t),Pf.forEach(t),Mu=h(s),it=a(s,"DIV",{class:!0});var Zt=i(it);T(Xa.$$.fragment,Zt),Qv=h(Zt),Pp=a(Zt,"P",{});var LF=i(Pp);Kv=n(LF,"The bare Albert Model transformer outputting raw hidden-states without any specific head on top."),LF.forEach(t),Vv=h(Zt),Ya=a(Zt,"P",{});var Cf=i(Ya);Jv=n(Cf,"This model inherits from "),Dd=a(Cf,"A",{href:!0});var OF=i(Dd);Gv=n(OF,"TFPreTrainedModel"),OF.forEach(t),Xv=n(Cf,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Cf.forEach(t),Yv=h(Zt),Za=a(Zt,"P",{});var Lf=i(Za);Zv=n(Lf,"This model is also a "),ei=a(Lf,"A",{href:!0,rel:!0});var IF=i(ei);ey=n(IF,"tf.keras.Model"),IF.forEach(t),ty=n(Lf,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Lf.forEach(t),oy=h(Zt),T(gs.$$.fragment,Zt),ny=h(Zt),Bt=a(Zt,"DIV",{class:!0});var Tr=i(Bt);T(ti.$$.fragment,Tr),sy=h(Tr),sn=a(Tr,"P",{});var bc=i(sn);ry=n(bc,"The "),Sd=a(bc,"A",{href:!0});var NF=i(Sd);ay=n(NF,"TFAlbertModel"),NF.forEach(t),iy=n(bc," forward method, overrides the "),Cp=a(bc,"CODE",{});var DF=i(Cp);ly=n(DF,"__call__"),DF.forEach(t),dy=n(bc," special method."),bc.forEach(t),cy=h(Tr),T(_s.$$.fragment,Tr),py=h(Tr),T(bs.$$.fragment,Tr),Tr.forEach(t),Zt.forEach(t),zu=h(s),rn=a(s,"H2",{class:!0});var Of=i(rn);ks=a(Of,"A",{id:!0,class:!0,href:!0});var SF=i(ks);Lp=a(SF,"SPAN",{});var WF=i(Lp);T(oi.$$.fragment,WF),WF.forEach(t),SF.forEach(t),hy=h(Of),Op=a(Of,"SPAN",{});var UF=i(Op);my=n(UF,"TFAlbertForPreTraining"),UF.forEach(t),Of.forEach(t),ju=h(s),lt=a(s,"DIV",{class:!0});var eo=i(lt);T(ni.$$.fragment,eo),uy=h(eo),an=a(eo,"P",{});var kc=i(an);fy=n(kc,"Albert Model with two heads on top for pretraining: a "),Ip=a(kc,"CODE",{});var BF=i(Ip);gy=n(BF,"masked language modeling"),BF.forEach(t),_y=n(kc," head and a "),Np=a(kc,"CODE",{});var RF=i(Np);by=n(RF,"sentence order prediction"),RF.forEach(t),ky=n(kc," (classification) head."),kc.forEach(t),vy=h(eo),si=a(eo,"P",{});var If=i(si);yy=n(If,"This model inherits from "),Wd=a(If,"A",{href:!0});var HF=i(Wd);Ty=n(HF,"TFPreTrainedModel"),HF.forEach(t),wy=n(If,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),If.forEach(t),$y=h(eo),ri=a(eo,"P",{});var Nf=i(ri);Ay=n(Nf,"This model is also a "),ai=a(Nf,"A",{href:!0,rel:!0});var QF=i(ai);Fy=n(QF,"tf.keras.Model"),QF.forEach(t),xy=n(Nf,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Nf.forEach(t),Ey=h(eo),T(vs.$$.fragment,eo),My=h(eo),Rt=a(eo,"DIV",{class:!0});var wr=i(Rt);T(ii.$$.fragment,wr),zy=h(wr),ln=a(wr,"P",{});var vc=i(ln);jy=n(vc,"The "),Ud=a(vc,"A",{href:!0});var KF=i(Ud);qy=n(KF,"TFAlbertForPreTraining"),KF.forEach(t),Py=n(vc," forward method, overrides the "),Dp=a(vc,"CODE",{});var VF=i(Dp);Cy=n(VF,"__call__"),VF.forEach(t),Ly=n(vc," special method."),vc.forEach(t),Oy=h(wr),T(ys.$$.fragment,wr),Iy=h(wr),T(Ts.$$.fragment,wr),wr.forEach(t),eo.forEach(t),qu=h(s),dn=a(s,"H2",{class:!0});var Df=i(dn);ws=a(Df,"A",{id:!0,class:!0,href:!0});var JF=i(ws);Sp=a(JF,"SPAN",{});var GF=i(Sp);T(li.$$.fragment,GF),GF.forEach(t),JF.forEach(t),Ny=h(Df),Wp=a(Df,"SPAN",{});var XF=i(Wp);Dy=n(XF,"TFAlbertForMaskedLM"),XF.forEach(t),Df.forEach(t),Pu=h(s),dt=a(s,"DIV",{class:!0});var to=i(dt);T(di.$$.fragment,to),Sy=h(to),ci=a(to,"P",{});var Sf=i(ci);Wy=n(Sf,"Albert Model with a "),Up=a(Sf,"CODE",{});var YF=i(Up);Uy=n(YF,"language modeling"),YF.forEach(t),By=n(Sf," head on top."),Sf.forEach(t),Ry=h(to),pi=a(to,"P",{});var Wf=i(pi);Hy=n(Wf,"This model inherits from "),Bd=a(Wf,"A",{href:!0});var ZF=i(Bd);Qy=n(ZF,"TFPreTrainedModel"),ZF.forEach(t),Ky=n(Wf,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Wf.forEach(t),Vy=h(to),hi=a(to,"P",{});var Uf=i(hi);Jy=n(Uf,"This model is also a "),mi=a(Uf,"A",{href:!0,rel:!0});var ex=i(mi);Gy=n(ex,"tf.keras.Model"),ex.forEach(t),Xy=n(Uf,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Uf.forEach(t),Yy=h(to),T($s.$$.fragment,to),Zy=h(to),$t=a(to,"DIV",{class:!0});var zo=i($t);T(ui.$$.fragment,zo),eT=h(zo),cn=a(zo,"P",{});var yc=i(cn);tT=n(yc,"The "),Rd=a(yc,"A",{href:!0});var tx=i(Rd);oT=n(tx,"TFAlbertForMaskedLM"),tx.forEach(t),nT=n(yc," forward method, overrides the "),Bp=a(yc,"CODE",{});var ox=i(Bp);sT=n(ox,"__call__"),ox.forEach(t),rT=n(yc," special method."),yc.forEach(t),aT=h(zo),T(As.$$.fragment,zo),iT=h(zo),T(Fs.$$.fragment,zo),lT=h(zo),T(xs.$$.fragment,zo),zo.forEach(t),to.forEach(t),Cu=h(s),pn=a(s,"H2",{class:!0});var Bf=i(pn);Es=a(Bf,"A",{id:!0,class:!0,href:!0});var nx=i(Es);Rp=a(nx,"SPAN",{});var sx=i(Rp);T(fi.$$.fragment,sx),sx.forEach(t),nx.forEach(t),dT=h(Bf),Hp=a(Bf,"SPAN",{});var rx=i(Hp);cT=n(rx,"TFAlbertForSequenceClassification"),rx.forEach(t),Bf.forEach(t),Lu=h(s),ct=a(s,"DIV",{class:!0});var oo=i(ct);T(gi.$$.fragment,oo),pT=h(oo),Qp=a(oo,"P",{});var ax=i(Qp);hT=n(ax,`Albert Model transformer with a sequence classification/regression head on top (a linear layer on top of the pooled
output) e.g. for GLUE tasks.`),ax.forEach(t),mT=h(oo),_i=a(oo,"P",{});var Rf=i(_i);uT=n(Rf,"This model inherits from "),Hd=a(Rf,"A",{href:!0});var ix=i(Hd);fT=n(ix,"TFPreTrainedModel"),ix.forEach(t),gT=n(Rf,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Rf.forEach(t),_T=h(oo),bi=a(oo,"P",{});var Hf=i(bi);bT=n(Hf,"This model is also a "),ki=a(Hf,"A",{href:!0,rel:!0});var lx=i(ki);kT=n(lx,"tf.keras.Model"),lx.forEach(t),vT=n(Hf,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Hf.forEach(t),yT=h(oo),T(Ms.$$.fragment,oo),TT=h(oo),At=a(oo,"DIV",{class:!0});var jo=i(At);T(vi.$$.fragment,jo),wT=h(jo),hn=a(jo,"P",{});var Tc=i(hn);$T=n(Tc,"The "),Qd=a(Tc,"A",{href:!0});var dx=i(Qd);AT=n(dx,"TFAlbertForSequenceClassification"),dx.forEach(t),FT=n(Tc," forward method, overrides the "),Kp=a(Tc,"CODE",{});var cx=i(Kp);xT=n(cx,"__call__"),cx.forEach(t),ET=n(Tc," special method."),Tc.forEach(t),MT=h(jo),T(zs.$$.fragment,jo),zT=h(jo),T(js.$$.fragment,jo),jT=h(jo),T(qs.$$.fragment,jo),jo.forEach(t),oo.forEach(t),Ou=h(s),mn=a(s,"H2",{class:!0});var Qf=i(mn);Ps=a(Qf,"A",{id:!0,class:!0,href:!0});var px=i(Ps);Vp=a(px,"SPAN",{});var hx=i(Vp);T(yi.$$.fragment,hx),hx.forEach(t),px.forEach(t),qT=h(Qf),Jp=a(Qf,"SPAN",{});var mx=i(Jp);PT=n(mx,"TFAlbertForMultipleChoice"),mx.forEach(t),Qf.forEach(t),Iu=h(s),pt=a(s,"DIV",{class:!0});var no=i(pt);T(Ti.$$.fragment,no),CT=h(no),Gp=a(no,"P",{});var ux=i(Gp);LT=n(ux,`Albert Model with a multiple choice classification head on top (a linear layer on top of the pooled output and a
softmax) e.g. for RocStories/SWAG tasks.`),ux.forEach(t),OT=h(no),wi=a(no,"P",{});var Kf=i(wi);IT=n(Kf,"This model inherits from "),Kd=a(Kf,"A",{href:!0});var fx=i(Kd);NT=n(fx,"TFPreTrainedModel"),fx.forEach(t),DT=n(Kf,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Kf.forEach(t),ST=h(no),$i=a(no,"P",{});var Vf=i($i);WT=n(Vf,"This model is also a "),Ai=a(Vf,"A",{href:!0,rel:!0});var gx=i(Ai);UT=n(gx,"tf.keras.Model"),gx.forEach(t),BT=n(Vf,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Vf.forEach(t),RT=h(no),T(Cs.$$.fragment,no),HT=h(no),Ht=a(no,"DIV",{class:!0});var $r=i(Ht);T(Fi.$$.fragment,$r),QT=h($r),un=a($r,"P",{});var wc=i(un);KT=n(wc,"The "),Vd=a(wc,"A",{href:!0});var _x=i(Vd);VT=n(_x,"TFAlbertForMultipleChoice"),_x.forEach(t),JT=n(wc," forward method, overrides the "),Xp=a(wc,"CODE",{});var bx=i(Xp);GT=n(bx,"__call__"),bx.forEach(t),XT=n(wc," special method."),wc.forEach(t),YT=h($r),T(Ls.$$.fragment,$r),ZT=h($r),T(Os.$$.fragment,$r),$r.forEach(t),no.forEach(t),Nu=h(s),fn=a(s,"H2",{class:!0});var Jf=i(fn);Is=a(Jf,"A",{id:!0,class:!0,href:!0});var kx=i(Is);Yp=a(kx,"SPAN",{});var vx=i(Yp);T(xi.$$.fragment,vx),vx.forEach(t),kx.forEach(t),ew=h(Jf),Zp=a(Jf,"SPAN",{});var yx=i(Zp);tw=n(yx,"TFAlbertForTokenClassification"),yx.forEach(t),Jf.forEach(t),Du=h(s),ht=a(s,"DIV",{class:!0});var so=i(ht);T(Ei.$$.fragment,so),ow=h(so),eh=a(so,"P",{});var Tx=i(eh);nw=n(Tx,`Albert Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g. for
Named-Entity-Recognition (NER) tasks.`),Tx.forEach(t),sw=h(so),Mi=a(so,"P",{});var Gf=i(Mi);rw=n(Gf,"This model inherits from "),Jd=a(Gf,"A",{href:!0});var wx=i(Jd);aw=n(wx,"TFPreTrainedModel"),wx.forEach(t),iw=n(Gf,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Gf.forEach(t),lw=h(so),zi=a(so,"P",{});var Xf=i(zi);dw=n(Xf,"This model is also a "),ji=a(Xf,"A",{href:!0,rel:!0});var $x=i(ji);cw=n($x,"tf.keras.Model"),$x.forEach(t),pw=n(Xf,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Xf.forEach(t),hw=h(so),T(Ns.$$.fragment,so),mw=h(so),Ft=a(so,"DIV",{class:!0});var qo=i(Ft);T(qi.$$.fragment,qo),uw=h(qo),gn=a(qo,"P",{});var $c=i(gn);fw=n($c,"The "),Gd=a($c,"A",{href:!0});var Ax=i(Gd);gw=n(Ax,"TFAlbertForTokenClassification"),Ax.forEach(t),_w=n($c," forward method, overrides the "),th=a($c,"CODE",{});var Fx=i(th);bw=n(Fx,"__call__"),Fx.forEach(t),kw=n($c," special method."),$c.forEach(t),vw=h(qo),T(Ds.$$.fragment,qo),yw=h(qo),T(Ss.$$.fragment,qo),Tw=h(qo),T(Ws.$$.fragment,qo),qo.forEach(t),so.forEach(t),Su=h(s),_n=a(s,"H2",{class:!0});var Yf=i(_n);Us=a(Yf,"A",{id:!0,class:!0,href:!0});var xx=i(Us);oh=a(xx,"SPAN",{});var Ex=i(oh);T(Pi.$$.fragment,Ex),Ex.forEach(t),xx.forEach(t),ww=h(Yf),nh=a(Yf,"SPAN",{});var Mx=i(nh);$w=n(Mx,"TFAlbertForQuestionAnswering"),Mx.forEach(t),Yf.forEach(t),Wu=h(s),mt=a(s,"DIV",{class:!0});var ro=i(mt);T(Ci.$$.fragment,ro),Aw=h(ro),bn=a(ro,"P",{});var Ac=i(bn);Fw=n(Ac,`Albert Model with a span classification head on top for extractive question-answering tasks like SQuAD (a linear
layer on top of the hidden-states output to compute `),sh=a(Ac,"CODE",{});var zx=i(sh);xw=n(zx,"span start logits"),zx.forEach(t),Ew=n(Ac," and "),rh=a(Ac,"CODE",{});var jx=i(rh);Mw=n(jx,"span end logits"),jx.forEach(t),zw=n(Ac,")."),Ac.forEach(t),jw=h(ro),Li=a(ro,"P",{});var Zf=i(Li);qw=n(Zf,"This model inherits from "),Xd=a(Zf,"A",{href:!0});var qx=i(Xd);Pw=n(qx,"TFPreTrainedModel"),qx.forEach(t),Cw=n(Zf,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Zf.forEach(t),Lw=h(ro),Oi=a(ro,"P",{});var eg=i(Oi);Ow=n(eg,"This model is also a "),Ii=a(eg,"A",{href:!0,rel:!0});var Px=i(Ii);Iw=n(Px,"tf.keras.Model"),Px.forEach(t),Nw=n(eg,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),eg.forEach(t),Dw=h(ro),T(Bs.$$.fragment,ro),Sw=h(ro),xt=a(ro,"DIV",{class:!0});var Po=i(xt);T(Ni.$$.fragment,Po),Ww=h(Po),kn=a(Po,"P",{});var Fc=i(kn);Uw=n(Fc,"The "),Yd=a(Fc,"A",{href:!0});var Cx=i(Yd);Bw=n(Cx,"TFAlbertForQuestionAnswering"),Cx.forEach(t),Rw=n(Fc," forward method, overrides the "),ah=a(Fc,"CODE",{});var Lx=i(ah);Hw=n(Lx,"__call__"),Lx.forEach(t),Qw=n(Fc," special method."),Fc.forEach(t),Kw=h(Po),T(Rs.$$.fragment,Po),Vw=h(Po),T(Hs.$$.fragment,Po),Jw=h(Po),T(Qs.$$.fragment,Po),Po.forEach(t),ro.forEach(t),Uu=h(s),vn=a(s,"H2",{class:!0});var tg=i(vn);Ks=a(tg,"A",{id:!0,class:!0,href:!0});var Ox=i(Ks);ih=a(Ox,"SPAN",{});var Ix=i(ih);T(Di.$$.fragment,Ix),Ix.forEach(t),Ox.forEach(t),Gw=h(tg),lh=a(tg,"SPAN",{});var Nx=i(lh);Xw=n(Nx,"FlaxAlbertModel"),Nx.forEach(t),tg.forEach(t),Bu=h(s),et=a(s,"DIV",{class:!0});var Et=i(et);T(Si.$$.fragment,Et),Yw=h(Et),dh=a(Et,"P",{});var Dx=i(dh);Zw=n(Dx,"The bare Albert Model transformer outputting raw hidden-states without any specific head on top."),Dx.forEach(t),e2=h(Et),Wi=a(Et,"P",{});var og=i(Wi);t2=n(og,"This model inherits from "),Zd=a(og,"A",{href:!0});var Sx=i(Zd);o2=n(Sx,"FlaxPreTrainedModel"),Sx.forEach(t),n2=n(og,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),og.forEach(t),s2=h(Et),Ui=a(Et,"P",{});var ng=i(Ui);r2=n(ng,"This model is also a Flax Linen "),Bi=a(ng,"A",{href:!0,rel:!0});var Wx=i(Bi);a2=n(Wx,"flax.linen.Module"),Wx.forEach(t),i2=n(ng,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),ng.forEach(t),l2=h(Et),ch=a(Et,"P",{});var Ux=i(ch);d2=n(Ux,"Finally, this model supports inherent JAX features such as:"),Ux.forEach(t),c2=h(Et),io=a(Et,"UL",{});var Ar=i(io);ph=a(Ar,"LI",{});var Bx=i(ph);Ri=a(Bx,"A",{href:!0,rel:!0});var Rx=i(Ri);p2=n(Rx,"Just-In-Time (JIT) compilation"),Rx.forEach(t),Bx.forEach(t),h2=h(Ar),hh=a(Ar,"LI",{});var Hx=i(hh);Hi=a(Hx,"A",{href:!0,rel:!0});var Qx=i(Hi);m2=n(Qx,"Automatic Differentiation"),Qx.forEach(t),Hx.forEach(t),u2=h(Ar),mh=a(Ar,"LI",{});var Kx=i(mh);Qi=a(Kx,"A",{href:!0,rel:!0});var Vx=i(Qi);f2=n(Vx,"Vectorization"),Vx.forEach(t),Kx.forEach(t),g2=h(Ar),uh=a(Ar,"LI",{});var Jx=i(uh);Ki=a(Jx,"A",{href:!0,rel:!0});var Gx=i(Ki);_2=n(Gx,"Parallelization"),Gx.forEach(t),Jx.forEach(t),Ar.forEach(t),b2=h(Et),Qt=a(Et,"DIV",{class:!0});var Fr=i(Qt);T(Vi.$$.fragment,Fr),k2=h(Fr),yn=a(Fr,"P",{});var xc=i(yn);v2=n(xc,"The "),fh=a(xc,"CODE",{});var Xx=i(fh);y2=n(Xx,"FlaxAlbertPreTrainedModel"),Xx.forEach(t),T2=n(xc," forward method, overrides the "),gh=a(xc,"CODE",{});var Yx=i(gh);w2=n(Yx,"__call__"),Yx.forEach(t),$2=n(xc," special method."),xc.forEach(t),A2=h(Fr),T(Vs.$$.fragment,Fr),F2=h(Fr),T(Js.$$.fragment,Fr),Fr.forEach(t),Et.forEach(t),Ru=h(s),Tn=a(s,"H2",{class:!0});var sg=i(Tn);Gs=a(sg,"A",{id:!0,class:!0,href:!0});var Zx=i(Gs);_h=a(Zx,"SPAN",{});var e4=i(_h);T(Ji.$$.fragment,e4),e4.forEach(t),Zx.forEach(t),x2=h(sg),bh=a(sg,"SPAN",{});var t4=i(bh);E2=n(t4,"FlaxAlbertForPreTraining"),t4.forEach(t),sg.forEach(t),Hu=h(s),tt=a(s,"DIV",{class:!0});var Mt=i(tt);T(Gi.$$.fragment,Mt),M2=h(Mt),wn=a(Mt,"P",{});var Ec=i(wn);z2=n(Ec,"Albert Model with two heads on top as done during the pretraining: a "),kh=a(Ec,"CODE",{});var o4=i(kh);j2=n(o4,"masked language modeling"),o4.forEach(t),q2=n(Ec,` head and a
`),vh=a(Ec,"CODE",{});var n4=i(vh);P2=n(n4,"sentence order prediction (classification)"),n4.forEach(t),C2=n(Ec," head."),Ec.forEach(t),L2=h(Mt),Xi=a(Mt,"P",{});var rg=i(Xi);O2=n(rg,"This model inherits from "),ec=a(rg,"A",{href:!0});var s4=i(ec);I2=n(s4,"FlaxPreTrainedModel"),s4.forEach(t),N2=n(rg,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),rg.forEach(t),D2=h(Mt),Yi=a(Mt,"P",{});var ag=i(Yi);S2=n(ag,"This model is also a Flax Linen "),Zi=a(ag,"A",{href:!0,rel:!0});var r4=i(Zi);W2=n(r4,"flax.linen.Module"),r4.forEach(t),U2=n(ag,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),ag.forEach(t),B2=h(Mt),yh=a(Mt,"P",{});var a4=i(yh);R2=n(a4,"Finally, this model supports inherent JAX features such as:"),a4.forEach(t),H2=h(Mt),lo=a(Mt,"UL",{});var xr=i(lo);Th=a(xr,"LI",{});var i4=i(Th);el=a(i4,"A",{href:!0,rel:!0});var l4=i(el);Q2=n(l4,"Just-In-Time (JIT) compilation"),l4.forEach(t),i4.forEach(t),K2=h(xr),wh=a(xr,"LI",{});var d4=i(wh);tl=a(d4,"A",{href:!0,rel:!0});var c4=i(tl);V2=n(c4,"Automatic Differentiation"),c4.forEach(t),d4.forEach(t),J2=h(xr),$h=a(xr,"LI",{});var p4=i($h);ol=a(p4,"A",{href:!0,rel:!0});var h4=i(ol);G2=n(h4,"Vectorization"),h4.forEach(t),p4.forEach(t),X2=h(xr),Ah=a(xr,"LI",{});var m4=i(Ah);nl=a(m4,"A",{href:!0,rel:!0});var u4=i(nl);Y2=n(u4,"Parallelization"),u4.forEach(t),m4.forEach(t),xr.forEach(t),Z2=h(Mt),Kt=a(Mt,"DIV",{class:!0});var Er=i(Kt);T(sl.$$.fragment,Er),e$=h(Er),$n=a(Er,"P",{});var Mc=i($n);t$=n(Mc,"The "),Fh=a(Mc,"CODE",{});var f4=i(Fh);o$=n(f4,"FlaxAlbertPreTrainedModel"),f4.forEach(t),n$=n(Mc," forward method, overrides the "),xh=a(Mc,"CODE",{});var g4=i(xh);s$=n(g4,"__call__"),g4.forEach(t),r$=n(Mc," special method."),Mc.forEach(t),a$=h(Er),T(Xs.$$.fragment,Er),i$=h(Er),T(Ys.$$.fragment,Er),Er.forEach(t),Mt.forEach(t),Qu=h(s),An=a(s,"H2",{class:!0});var ig=i(An);Zs=a(ig,"A",{id:!0,class:!0,href:!0});var _4=i(Zs);Eh=a(_4,"SPAN",{});var b4=i(Eh);T(rl.$$.fragment,b4),b4.forEach(t),_4.forEach(t),l$=h(ig),Mh=a(ig,"SPAN",{});var k4=i(Mh);d$=n(k4,"FlaxAlbertForMaskedLM"),k4.forEach(t),ig.forEach(t),Ku=h(s),ot=a(s,"DIV",{class:!0});var zt=i(ot);T(al.$$.fragment,zt),c$=h(zt),il=a(zt,"P",{});var lg=i(il);p$=n(lg,"Albert Model with a "),zh=a(lg,"CODE",{});var v4=i(zh);h$=n(v4,"language modeling"),v4.forEach(t),m$=n(lg," head on top."),lg.forEach(t),u$=h(zt),ll=a(zt,"P",{});var dg=i(ll);f$=n(dg,"This model inherits from "),tc=a(dg,"A",{href:!0});var y4=i(tc);g$=n(y4,"FlaxPreTrainedModel"),y4.forEach(t),_$=n(dg,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),dg.forEach(t),b$=h(zt),dl=a(zt,"P",{});var cg=i(dl);k$=n(cg,"This model is also a Flax Linen "),cl=a(cg,"A",{href:!0,rel:!0});var T4=i(cl);v$=n(T4,"flax.linen.Module"),T4.forEach(t),y$=n(cg,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),cg.forEach(t),T$=h(zt),jh=a(zt,"P",{});var w4=i(jh);w$=n(w4,"Finally, this model supports inherent JAX features such as:"),w4.forEach(t),$$=h(zt),co=a(zt,"UL",{});var Mr=i(co);qh=a(Mr,"LI",{});var $4=i(qh);pl=a($4,"A",{href:!0,rel:!0});var A4=i(pl);A$=n(A4,"Just-In-Time (JIT) compilation"),A4.forEach(t),$4.forEach(t),F$=h(Mr),Ph=a(Mr,"LI",{});var F4=i(Ph);hl=a(F4,"A",{href:!0,rel:!0});var x4=i(hl);x$=n(x4,"Automatic Differentiation"),x4.forEach(t),F4.forEach(t),E$=h(Mr),Ch=a(Mr,"LI",{});var E4=i(Ch);ml=a(E4,"A",{href:!0,rel:!0});var M4=i(ml);M$=n(M4,"Vectorization"),M4.forEach(t),E4.forEach(t),z$=h(Mr),Lh=a(Mr,"LI",{});var z4=i(Lh);ul=a(z4,"A",{href:!0,rel:!0});var j4=i(ul);j$=n(j4,"Parallelization"),j4.forEach(t),z4.forEach(t),Mr.forEach(t),q$=h(zt),Vt=a(zt,"DIV",{class:!0});var zr=i(Vt);T(fl.$$.fragment,zr),P$=h(zr),Fn=a(zr,"P",{});var zc=i(Fn);C$=n(zc,"The "),Oh=a(zc,"CODE",{});var q4=i(Oh);L$=n(q4,"FlaxAlbertPreTrainedModel"),q4.forEach(t),O$=n(zc," forward method, overrides the "),Ih=a(zc,"CODE",{});var P4=i(Ih);I$=n(P4,"__call__"),P4.forEach(t),N$=n(zc," special method."),zc.forEach(t),D$=h(zr),T(er.$$.fragment,zr),S$=h(zr),T(tr.$$.fragment,zr),zr.forEach(t),zt.forEach(t),Vu=h(s),xn=a(s,"H2",{class:!0});var pg=i(xn);or=a(pg,"A",{id:!0,class:!0,href:!0});var C4=i(or);Nh=a(C4,"SPAN",{});var L4=i(Nh);T(gl.$$.fragment,L4),L4.forEach(t),C4.forEach(t),W$=h(pg),Dh=a(pg,"SPAN",{});var O4=i(Dh);U$=n(O4,"FlaxAlbertForSequenceClassification"),O4.forEach(t),pg.forEach(t),Ju=h(s),nt=a(s,"DIV",{class:!0});var jt=i(nt);T(_l.$$.fragment,jt),B$=h(jt),Sh=a(jt,"P",{});var I4=i(Sh);R$=n(I4,`Albert Model transformer with a sequence classification/regression head on top (a linear layer on top of the pooled
output) e.g. for GLUE tasks.`),I4.forEach(t),H$=h(jt),bl=a(jt,"P",{});var hg=i(bl);Q$=n(hg,"This model inherits from "),oc=a(hg,"A",{href:!0});var N4=i(oc);K$=n(N4,"FlaxPreTrainedModel"),N4.forEach(t),V$=n(hg,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),hg.forEach(t),J$=h(jt),kl=a(jt,"P",{});var mg=i(kl);G$=n(mg,"This model is also a Flax Linen "),vl=a(mg,"A",{href:!0,rel:!0});var D4=i(vl);X$=n(D4,"flax.linen.Module"),D4.forEach(t),Y$=n(mg,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),mg.forEach(t),Z$=h(jt),Wh=a(jt,"P",{});var S4=i(Wh);e1=n(S4,"Finally, this model supports inherent JAX features such as:"),S4.forEach(t),t1=h(jt),po=a(jt,"UL",{});var jr=i(po);Uh=a(jr,"LI",{});var W4=i(Uh);yl=a(W4,"A",{href:!0,rel:!0});var U4=i(yl);o1=n(U4,"Just-In-Time (JIT) compilation"),U4.forEach(t),W4.forEach(t),n1=h(jr),Bh=a(jr,"LI",{});var B4=i(Bh);Tl=a(B4,"A",{href:!0,rel:!0});var R4=i(Tl);s1=n(R4,"Automatic Differentiation"),R4.forEach(t),B4.forEach(t),r1=h(jr),Rh=a(jr,"LI",{});var H4=i(Rh);wl=a(H4,"A",{href:!0,rel:!0});var Q4=i(wl);a1=n(Q4,"Vectorization"),Q4.forEach(t),H4.forEach(t),i1=h(jr),Hh=a(jr,"LI",{});var K4=i(Hh);$l=a(K4,"A",{href:!0,rel:!0});var V4=i($l);l1=n(V4,"Parallelization"),V4.forEach(t),K4.forEach(t),jr.forEach(t),d1=h(jt),Jt=a(jt,"DIV",{class:!0});var qr=i(Jt);T(Al.$$.fragment,qr),c1=h(qr),En=a(qr,"P",{});var jc=i(En);p1=n(jc,"The "),Qh=a(jc,"CODE",{});var J4=i(Qh);h1=n(J4,"FlaxAlbertPreTrainedModel"),J4.forEach(t),m1=n(jc," forward method, overrides the "),Kh=a(jc,"CODE",{});var G4=i(Kh);u1=n(G4,"__call__"),G4.forEach(t),f1=n(jc," special method."),jc.forEach(t),g1=h(qr),T(nr.$$.fragment,qr),_1=h(qr),T(sr.$$.fragment,qr),qr.forEach(t),jt.forEach(t),Gu=h(s),Mn=a(s,"H2",{class:!0});var ug=i(Mn);rr=a(ug,"A",{id:!0,class:!0,href:!0});var X4=i(rr);Vh=a(X4,"SPAN",{});var Y4=i(Vh);T(Fl.$$.fragment,Y4),Y4.forEach(t),X4.forEach(t),b1=h(ug),Jh=a(ug,"SPAN",{});var Z4=i(Jh);k1=n(Z4,"FlaxAlbertForMultipleChoice"),Z4.forEach(t),ug.forEach(t),Xu=h(s),st=a(s,"DIV",{class:!0});var qt=i(st);T(xl.$$.fragment,qt),v1=h(qt),Gh=a(qt,"P",{});var eE=i(Gh);y1=n(eE,`Albert Model with a multiple choice classification head on top (a linear layer on top of the pooled output and a
softmax) e.g. for RocStories/SWAG tasks.`),eE.forEach(t),T1=h(qt),El=a(qt,"P",{});var fg=i(El);w1=n(fg,"This model inherits from "),nc=a(fg,"A",{href:!0});var tE=i(nc);$1=n(tE,"FlaxPreTrainedModel"),tE.forEach(t),A1=n(fg,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),fg.forEach(t),F1=h(qt),Ml=a(qt,"P",{});var gg=i(Ml);x1=n(gg,"This model is also a Flax Linen "),zl=a(gg,"A",{href:!0,rel:!0});var oE=i(zl);E1=n(oE,"flax.linen.Module"),oE.forEach(t),M1=n(gg,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),gg.forEach(t),z1=h(qt),Xh=a(qt,"P",{});var nE=i(Xh);j1=n(nE,"Finally, this model supports inherent JAX features such as:"),nE.forEach(t),q1=h(qt),ho=a(qt,"UL",{});var Pr=i(ho);Yh=a(Pr,"LI",{});var sE=i(Yh);jl=a(sE,"A",{href:!0,rel:!0});var rE=i(jl);P1=n(rE,"Just-In-Time (JIT) compilation"),rE.forEach(t),sE.forEach(t),C1=h(Pr),Zh=a(Pr,"LI",{});var aE=i(Zh);ql=a(aE,"A",{href:!0,rel:!0});var iE=i(ql);L1=n(iE,"Automatic Differentiation"),iE.forEach(t),aE.forEach(t),O1=h(Pr),em=a(Pr,"LI",{});var lE=i(em);Pl=a(lE,"A",{href:!0,rel:!0});var dE=i(Pl);I1=n(dE,"Vectorization"),dE.forEach(t),lE.forEach(t),N1=h(Pr),tm=a(Pr,"LI",{});var cE=i(tm);Cl=a(cE,"A",{href:!0,rel:!0});var pE=i(Cl);D1=n(pE,"Parallelization"),pE.forEach(t),cE.forEach(t),Pr.forEach(t),S1=h(qt),Gt=a(qt,"DIV",{class:!0});var Cr=i(Gt);T(Ll.$$.fragment,Cr),W1=h(Cr),zn=a(Cr,"P",{});var qc=i(zn);U1=n(qc,"The "),om=a(qc,"CODE",{});var hE=i(om);B1=n(hE,"FlaxAlbertPreTrainedModel"),hE.forEach(t),R1=n(qc," forward method, overrides the "),nm=a(qc,"CODE",{});var mE=i(nm);H1=n(mE,"__call__"),mE.forEach(t),Q1=n(qc," special method."),qc.forEach(t),K1=h(Cr),T(ar.$$.fragment,Cr),V1=h(Cr),T(ir.$$.fragment,Cr),Cr.forEach(t),qt.forEach(t),Yu=h(s),jn=a(s,"H2",{class:!0});var _g=i(jn);lr=a(_g,"A",{id:!0,class:!0,href:!0});var uE=i(lr);sm=a(uE,"SPAN",{});var fE=i(sm);T(Ol.$$.fragment,fE),fE.forEach(t),uE.forEach(t),J1=h(_g),rm=a(_g,"SPAN",{});var gE=i(rm);G1=n(gE,"FlaxAlbertForTokenClassification"),gE.forEach(t),_g.forEach(t),Zu=h(s),rt=a(s,"DIV",{class:!0});var Pt=i(rt);T(Il.$$.fragment,Pt),X1=h(Pt),am=a(Pt,"P",{});var _E=i(am);Y1=n(_E,`Albert Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g. for
Named-Entity-Recognition (NER) tasks.`),_E.forEach(t),Z1=h(Pt),Nl=a(Pt,"P",{});var bg=i(Nl);e0=n(bg,"This model inherits from "),sc=a(bg,"A",{href:!0});var bE=i(sc);t0=n(bE,"FlaxPreTrainedModel"),bE.forEach(t),o0=n(bg,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),bg.forEach(t),n0=h(Pt),Dl=a(Pt,"P",{});var kg=i(Dl);s0=n(kg,"This model is also a Flax Linen "),Sl=a(kg,"A",{href:!0,rel:!0});var kE=i(Sl);r0=n(kE,"flax.linen.Module"),kE.forEach(t),a0=n(kg,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),kg.forEach(t),i0=h(Pt),im=a(Pt,"P",{});var vE=i(im);l0=n(vE,"Finally, this model supports inherent JAX features such as:"),vE.forEach(t),d0=h(Pt),mo=a(Pt,"UL",{});var Lr=i(mo);lm=a(Lr,"LI",{});var yE=i(lm);Wl=a(yE,"A",{href:!0,rel:!0});var TE=i(Wl);c0=n(TE,"Just-In-Time (JIT) compilation"),TE.forEach(t),yE.forEach(t),p0=h(Lr),dm=a(Lr,"LI",{});var wE=i(dm);Ul=a(wE,"A",{href:!0,rel:!0});var $E=i(Ul);h0=n($E,"Automatic Differentiation"),$E.forEach(t),wE.forEach(t),m0=h(Lr),cm=a(Lr,"LI",{});var AE=i(cm);Bl=a(AE,"A",{href:!0,rel:!0});var FE=i(Bl);u0=n(FE,"Vectorization"),FE.forEach(t),AE.forEach(t),f0=h(Lr),pm=a(Lr,"LI",{});var xE=i(pm);Rl=a(xE,"A",{href:!0,rel:!0});var EE=i(Rl);g0=n(EE,"Parallelization"),EE.forEach(t),xE.forEach(t),Lr.forEach(t),_0=h(Pt),Xt=a(Pt,"DIV",{class:!0});var Or=i(Xt);T(Hl.$$.fragment,Or),b0=h(Or),qn=a(Or,"P",{});var Pc=i(qn);k0=n(Pc,"The "),hm=a(Pc,"CODE",{});var ME=i(hm);v0=n(ME,"FlaxAlbertPreTrainedModel"),ME.forEach(t),y0=n(Pc," forward method, overrides the "),mm=a(Pc,"CODE",{});var zE=i(mm);T0=n(zE,"__call__"),zE.forEach(t),w0=n(Pc," special method."),Pc.forEach(t),$0=h(Or),T(dr.$$.fragment,Or),A0=h(Or),T(cr.$$.fragment,Or),Or.forEach(t),Pt.forEach(t),ef=h(s),Pn=a(s,"H2",{class:!0});var vg=i(Pn);pr=a(vg,"A",{id:!0,class:!0,href:!0});var jE=i(pr);um=a(jE,"SPAN",{});var qE=i(um);T(Ql.$$.fragment,qE),qE.forEach(t),jE.forEach(t),F0=h(vg),fm=a(vg,"SPAN",{});var PE=i(fm);x0=n(PE,"FlaxAlbertForQuestionAnswering"),PE.forEach(t),vg.forEach(t),tf=h(s),at=a(s,"DIV",{class:!0});var Ct=i(at);T(Kl.$$.fragment,Ct),E0=h(Ct),Cn=a(Ct,"P",{});var Cc=i(Cn);M0=n(Cc,`Albert Model with a span classification head on top for extractive question-answering tasks like SQuAD (a linear
layers on top of the hidden-states output to compute `),gm=a(Cc,"CODE",{});var CE=i(gm);z0=n(CE,"span start logits"),CE.forEach(t),j0=n(Cc," and "),_m=a(Cc,"CODE",{});var LE=i(_m);q0=n(LE,"span end logits"),LE.forEach(t),P0=n(Cc,")."),Cc.forEach(t),C0=h(Ct),Vl=a(Ct,"P",{});var yg=i(Vl);L0=n(yg,"This model inherits from "),rc=a(yg,"A",{href:!0});var OE=i(rc);O0=n(OE,"FlaxPreTrainedModel"),OE.forEach(t),I0=n(yg,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading, saving and converting weights from PyTorch models)`),yg.forEach(t),N0=h(Ct),Jl=a(Ct,"P",{});var Tg=i(Jl);D0=n(Tg,"This model is also a Flax Linen "),Gl=a(Tg,"A",{href:!0,rel:!0});var IE=i(Gl);S0=n(IE,"flax.linen.Module"),IE.forEach(t),W0=n(Tg,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),Tg.forEach(t),U0=h(Ct),bm=a(Ct,"P",{});var NE=i(bm);B0=n(NE,"Finally, this model supports inherent JAX features such as:"),NE.forEach(t),R0=h(Ct),uo=a(Ct,"UL",{});var Ir=i(uo);km=a(Ir,"LI",{});var DE=i(km);Xl=a(DE,"A",{href:!0,rel:!0});var SE=i(Xl);H0=n(SE,"Just-In-Time (JIT) compilation"),SE.forEach(t),DE.forEach(t),Q0=h(Ir),vm=a(Ir,"LI",{});var WE=i(vm);Yl=a(WE,"A",{href:!0,rel:!0});var UE=i(Yl);K0=n(UE,"Automatic Differentiation"),UE.forEach(t),WE.forEach(t),V0=h(Ir),ym=a(Ir,"LI",{});var BE=i(ym);Zl=a(BE,"A",{href:!0,rel:!0});var RE=i(Zl);J0=n(RE,"Vectorization"),RE.forEach(t),BE.forEach(t),G0=h(Ir),Tm=a(Ir,"LI",{});var HE=i(Tm);ed=a(HE,"A",{href:!0,rel:!0});var QE=i(ed);X0=n(QE,"Parallelization"),QE.forEach(t),HE.forEach(t),Ir.forEach(t),Y0=h(Ct),Yt=a(Ct,"DIV",{class:!0});var Nr=i(Yt);T(td.$$.fragment,Nr),Z0=h(Nr),Ln=a(Nr,"P",{});var Lc=i(Ln);eA=n(Lc,"The "),wm=a(Lc,"CODE",{});var KE=i(wm);tA=n(KE,"FlaxAlbertPreTrainedModel"),KE.forEach(t),oA=n(Lc," forward method, overrides the "),$m=a(Lc,"CODE",{});var VE=i($m);nA=n(VE,"__call__"),VE.forEach(t),sA=n(Lc," special method."),Lc.forEach(t),rA=h(Nr),T(hr.$$.fragment,Nr),aA=h(Nr),T(mr.$$.fragment,Nr),Nr.forEach(t),Ct.forEach(t),this.h()},h(){u(d,"name","hf:doc:metadata"),u(d,"content",JSON.stringify(rz)),u(f,"id","albert"),u(f,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(f,"href","#albert"),u(m,"class","relative group"),u(se,"id","overview"),u(se,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(se,"href","#overview"),u(W,"class","relative group"),u(ae,"href","https://arxiv.org/abs/1909.11942"),u(ae,"rel","nofollow"),u(R,"href","https://huggingface.co/lysandre"),u(R,"rel","nofollow"),u(P,"href","https://huggingface.co/kamalkraj"),u(P,"rel","nofollow"),u(ie,"href","https://github.com/google-research/ALBERT"),u(ie,"rel","nofollow"),u(Z,"id","transformers.AlbertConfig"),u(Z,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(Z,"href","#transformers.AlbertConfig"),u(Le,"class","relative group"),u(Ue,"href","/docs/transformers/v4.26.0/en/model_doc/albert#transformers.AlbertModel"),u(Be,"href","/docs/transformers/v4.26.0/en/model_doc/albert#transformers.TFAlbertModel"),u(ee,"href","https://huggingface.co/albert-xxlarge-v2"),u(ee,"rel","nofollow"),u(ud,"href","/docs/transformers/v4.26.0/en/main_classes/configuration#transformers.PretrainedConfig"),u(fd,"href","/docs/transformers/v4.26.0/en/main_classes/configuration#transformers.PretrainedConfig"),u(de,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(Sn,"id","transformers.AlbertTokenizer"),u(Sn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(Sn,"href","#transformers.AlbertTokenizer"),u(Lo,"class","relative group"),u(Ur,"href","https://github.com/google/sentencepiece"),u(Ur,"rel","nofollow"),u(gd,"href","/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.PreTrainedTokenizer"),u(ko,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(Wn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(Ot,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(kd,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(Ze,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(Bn,"id","transformers.AlbertTokenizerFast"),u(Bn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(Bn,"href","#transformers.AlbertTokenizerFast"),u(Io,"class","relative group"),u(Yr,"href","https://huggingface.co/docs/tokenizers/python/latest/components.html?highlight=unigram#models"),u(Yr,"rel","nofollow"),u(vd,"href","/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast"),u(vo,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(It,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(Lt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(Hn,"id","transformers.models.albert.modeling_albert.AlbertForPreTrainingOutput"),u(Hn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(Hn,"href","#transformers.models.albert.modeling_albert.AlbertForPreTrainingOutput"),u(No,"class","relative group"),u(wd,"href","/docs/transformers/v4.26.0/en/model_doc/albert#transformers.AlbertForPreTraining"),u(Do,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u($d,"href","/docs/transformers/v4.26.0/en/model_doc/albert#transformers.TFAlbertForPreTraining"),u(So,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(Qn,"id","transformers.AlbertModel"),u(Qn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(Qn,"href","#transformers.AlbertModel"),u(Wo,"class","relative group"),u(Ad,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel"),u(pa,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),u(pa,"rel","nofollow"),u(Fd,"href","/docs/transformers/v4.26.0/en/model_doc/albert#transformers.AlbertModel"),u(Nt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(ft,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(Jn,"id","transformers.AlbertForPreTraining"),u(Jn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(Jn,"href","#transformers.AlbertForPreTraining"),u(Bo,"class","relative group"),u(xd,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel"),u(_a,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),u(_a,"rel","nofollow"),u(Ed,"href","/docs/transformers/v4.26.0/en/model_doc/albert#transformers.AlbertForPreTraining"),u(Dt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(gt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(Yn,"id","transformers.AlbertForMaskedLM"),u(Yn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(Yn,"href","#transformers.AlbertForMaskedLM"),u(Qo,"class","relative group"),u(Md,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel"),u($a,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),u($a,"rel","nofollow"),u(zd,"href","/docs/transformers/v4.26.0/en/model_doc/albert#transformers.AlbertForMaskedLM"),u(Tt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(_t,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(os,"id","transformers.AlbertForSequenceClassification"),u(os,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(os,"href","#transformers.AlbertForSequenceClassification"),u(Vo,"class","relative group"),u(jd,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel"),u(za,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),u(za,"rel","nofollow"),u(qd,"href","/docs/transformers/v4.26.0/en/model_doc/albert#transformers.AlbertForSequenceClassification"),u(wt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(bt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(as,"id","transformers.AlbertForMultipleChoice"),u(as,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(as,"href","#transformers.AlbertForMultipleChoice"),u(Go,"class","relative group"),u(Pd,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel"),u(Oa,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),u(Oa,"rel","nofollow"),u(Cd,"href","/docs/transformers/v4.26.0/en/model_doc/albert#transformers.AlbertForMultipleChoice"),u(St,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(kt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(ds,"id","transformers.AlbertForTokenClassification"),u(ds,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(ds,"href","#transformers.AlbertForTokenClassification"),u(Yo,"class","relative group"),u(Ld,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel"),u(Ua,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),u(Ua,"rel","nofollow"),u(Od,"href","/docs/transformers/v4.26.0/en/model_doc/albert#transformers.AlbertForTokenClassification"),u(Wt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(vt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(hs,"id","transformers.AlbertForQuestionAnswering"),u(hs,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(hs,"href","#transformers.AlbertForQuestionAnswering"),u(en,"class","relative group"),u(Id,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel"),u(Va,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),u(Va,"rel","nofollow"),u(Nd,"href","/docs/transformers/v4.26.0/en/model_doc/albert#transformers.AlbertForQuestionAnswering"),u(Ut,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(yt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(fs,"id","transformers.TFAlbertModel"),u(fs,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(fs,"href","#transformers.TFAlbertModel"),u(nn,"class","relative group"),u(Dd,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel"),u(ei,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),u(ei,"rel","nofollow"),u(Sd,"href","/docs/transformers/v4.26.0/en/model_doc/albert#transformers.TFAlbertModel"),u(Bt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(it,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(ks,"id","transformers.TFAlbertForPreTraining"),u(ks,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(ks,"href","#transformers.TFAlbertForPreTraining"),u(rn,"class","relative group"),u(Wd,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel"),u(ai,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),u(ai,"rel","nofollow"),u(Ud,"href","/docs/transformers/v4.26.0/en/model_doc/albert#transformers.TFAlbertForPreTraining"),u(Rt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(lt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(ws,"id","transformers.TFAlbertForMaskedLM"),u(ws,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(ws,"href","#transformers.TFAlbertForMaskedLM"),u(dn,"class","relative group"),u(Bd,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel"),u(mi,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),u(mi,"rel","nofollow"),u(Rd,"href","/docs/transformers/v4.26.0/en/model_doc/albert#transformers.TFAlbertForMaskedLM"),u($t,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(dt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(Es,"id","transformers.TFAlbertForSequenceClassification"),u(Es,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(Es,"href","#transformers.TFAlbertForSequenceClassification"),u(pn,"class","relative group"),u(Hd,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel"),u(ki,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),u(ki,"rel","nofollow"),u(Qd,"href","/docs/transformers/v4.26.0/en/model_doc/albert#transformers.TFAlbertForSequenceClassification"),u(At,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(ct,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(Ps,"id","transformers.TFAlbertForMultipleChoice"),u(Ps,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(Ps,"href","#transformers.TFAlbertForMultipleChoice"),u(mn,"class","relative group"),u(Kd,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel"),u(Ai,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),u(Ai,"rel","nofollow"),u(Vd,"href","/docs/transformers/v4.26.0/en/model_doc/albert#transformers.TFAlbertForMultipleChoice"),u(Ht,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(pt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(Is,"id","transformers.TFAlbertForTokenClassification"),u(Is,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(Is,"href","#transformers.TFAlbertForTokenClassification"),u(fn,"class","relative group"),u(Jd,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel"),u(ji,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),u(ji,"rel","nofollow"),u(Gd,"href","/docs/transformers/v4.26.0/en/model_doc/albert#transformers.TFAlbertForTokenClassification"),u(Ft,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(ht,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(Us,"id","transformers.TFAlbertForQuestionAnswering"),u(Us,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(Us,"href","#transformers.TFAlbertForQuestionAnswering"),u(_n,"class","relative group"),u(Xd,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel"),u(Ii,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),u(Ii,"rel","nofollow"),u(Yd,"href","/docs/transformers/v4.26.0/en/model_doc/albert#transformers.TFAlbertForQuestionAnswering"),u(xt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(mt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(Ks,"id","transformers.FlaxAlbertModel"),u(Ks,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(Ks,"href","#transformers.FlaxAlbertModel"),u(vn,"class","relative group"),u(Zd,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel"),u(Bi,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),u(Bi,"rel","nofollow"),u(Ri,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),u(Ri,"rel","nofollow"),u(Hi,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),u(Hi,"rel","nofollow"),u(Qi,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),u(Qi,"rel","nofollow"),u(Ki,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),u(Ki,"rel","nofollow"),u(Qt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(et,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(Gs,"id","transformers.FlaxAlbertForPreTraining"),u(Gs,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(Gs,"href","#transformers.FlaxAlbertForPreTraining"),u(Tn,"class","relative group"),u(ec,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel"),u(Zi,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),u(Zi,"rel","nofollow"),u(el,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),u(el,"rel","nofollow"),u(tl,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),u(tl,"rel","nofollow"),u(ol,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),u(ol,"rel","nofollow"),u(nl,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),u(nl,"rel","nofollow"),u(Kt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(tt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(Zs,"id","transformers.FlaxAlbertForMaskedLM"),u(Zs,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(Zs,"href","#transformers.FlaxAlbertForMaskedLM"),u(An,"class","relative group"),u(tc,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel"),u(cl,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),u(cl,"rel","nofollow"),u(pl,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),u(pl,"rel","nofollow"),u(hl,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),u(hl,"rel","nofollow"),u(ml,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),u(ml,"rel","nofollow"),u(ul,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),u(ul,"rel","nofollow"),u(Vt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(ot,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(or,"id","transformers.FlaxAlbertForSequenceClassification"),u(or,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(or,"href","#transformers.FlaxAlbertForSequenceClassification"),u(xn,"class","relative group"),u(oc,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel"),u(vl,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),u(vl,"rel","nofollow"),u(yl,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),u(yl,"rel","nofollow"),u(Tl,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),u(Tl,"rel","nofollow"),u(wl,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),u(wl,"rel","nofollow"),u($l,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),u($l,"rel","nofollow"),u(Jt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(nt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(rr,"id","transformers.FlaxAlbertForMultipleChoice"),u(rr,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(rr,"href","#transformers.FlaxAlbertForMultipleChoice"),u(Mn,"class","relative group"),u(nc,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel"),u(zl,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),u(zl,"rel","nofollow"),u(jl,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),u(jl,"rel","nofollow"),u(ql,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),u(ql,"rel","nofollow"),u(Pl,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),u(Pl,"rel","nofollow"),u(Cl,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),u(Cl,"rel","nofollow"),u(Gt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(st,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(lr,"id","transformers.FlaxAlbertForTokenClassification"),u(lr,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(lr,"href","#transformers.FlaxAlbertForTokenClassification"),u(jn,"class","relative group"),u(sc,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel"),u(Sl,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),u(Sl,"rel","nofollow"),u(Wl,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),u(Wl,"rel","nofollow"),u(Ul,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),u(Ul,"rel","nofollow"),u(Bl,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),u(Bl,"rel","nofollow"),u(Rl,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),u(Rl,"rel","nofollow"),u(Xt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(rt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(pr,"id","transformers.FlaxAlbertForQuestionAnswering"),u(pr,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),u(pr,"href","#transformers.FlaxAlbertForQuestionAnswering"),u(Pn,"class","relative group"),u(rc,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.FlaxPreTrainedModel"),u(Gl,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),u(Gl,"rel","nofollow"),u(Xl,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),u(Xl,"rel","nofollow"),u(Yl,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),u(Yl,"rel","nofollow"),u(Zl,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),u(Zl,"rel","nofollow"),u(ed,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),u(ed,"rel","nofollow"),u(Yt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),u(at,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(s,k){e(document.head,d),g(s,b,k),g(s,m,k),e(m,f),e(f,_),w(l,_,null),e(m,c),e(m,M),e(M,be),g(s,me,k),g(s,W,k),e(W,se),e(se,te),w(x,te,null),e(W,ke),e(W,Q),e(Q,ve),g(s,ue,k),g(s,U,k),e(U,ye),e(U,ae),e(ae,G),e(U,Te),g(s,fe,k),g(s,B,k),e(B,ce),e(ce,we),e(B,X),e(B,pe),e(pe,$e),g(s,oe,k),g(s,q,k),e(q,L),g(s,ge,k),g(s,H,k),e(H,he),e(he,Ae),g(s,J,k),g(s,le,k),e(le,Fe),g(s,C,k),g(s,re,k),e(re,K),e(K,xe),e(re,Ee),e(re,V),e(V,Me),g(s,_e,k),g(s,O,k),e(O,ze),e(O,R),e(R,je),e(O,ne),e(O,P),e(P,qe),e(O,I),e(O,ie),e(ie,Pe),e(O,v),g(s,z,k),g(s,Le,k),e(Le,Z),e(Z,He),w(De,He,null),e(Le,j),e(Le,Qe),e(Qe,Ve),g(s,Ke,k),g(s,de,k),w(Se,de,null),e(de,S),e(de,N),e(N,Je),e(N,Ue),e(Ue,Y),e(N,Ge),e(N,Be),e(Be,Ce),e(N,Xe),e(N,ee),e(ee,Ye),e(N,wg),e(de,$g),e(de,Co),e(Co,Ag),e(Co,ud),e(ud,Fg),e(Co,xg),e(Co,fd),e(fd,Eg),e(Co,Mg),e(de,zg),w(Dn,de,null),g(s,iu,k),g(s,Lo,k),e(Lo,Sn),e(Sn,Oc),w(Dr,Oc,null),e(Lo,jg),e(Lo,Ic),e(Ic,qg),g(s,lu,k),g(s,Ze,k),w(Sr,Ze,null),e(Ze,Pg),e(Ze,Wr),e(Wr,Cg),e(Wr,Ur),e(Ur,Lg),e(Wr,Og),e(Ze,Ig),e(Ze,Br),e(Br,Ng),e(Br,gd),e(gd,Dg),e(Br,Sg),e(Ze,Wg),e(Ze,ko),w(Rr,ko,null),e(ko,Ug),e(ko,Nc),e(Nc,Bg),e(ko,Rg),e(ko,Hr),e(Hr,_d),e(_d,Hg),e(_d,Dc),e(Dc,Qg),e(Hr,Kg),e(Hr,bd),e(bd,Vg),e(bd,Sc),e(Sc,Jg),e(Ze,Gg),e(Ze,Wn),w(Qr,Wn,null),e(Wn,Xg),e(Wn,Kr),e(Kr,Yg),e(Kr,Wc),e(Wc,Zg),e(Kr,e_),e(Ze,t_),e(Ze,Ot),w(Vr,Ot,null),e(Ot,o_),e(Ot,Uc),e(Uc,n_),e(Ot,s_),w(Un,Ot,null),e(Ot,r_),e(Ot,Oo),e(Oo,a_),e(Oo,Bc),e(Bc,i_),e(Oo,l_),e(Oo,Rc),e(Rc,d_),e(Oo,c_),e(Ze,p_),e(Ze,kd),w(Jr,kd,null),g(s,du,k),g(s,Io,k),e(Io,Bn),e(Bn,Hc),w(Gr,Hc,null),e(Io,h_),e(Io,Qc),e(Qc,m_),g(s,cu,k),g(s,Lt,k),w(Xr,Lt,null),e(Lt,u_),e(Lt,ao),e(ao,f_),e(ao,Kc),e(Kc,g_),e(ao,__),e(ao,Yr),e(Yr,b_),e(ao,k_),e(ao,vd),e(vd,v_),e(ao,y_),e(Lt,T_),e(Lt,vo),w(Zr,vo,null),e(vo,w_),e(vo,Vc),e(Vc,$_),e(vo,A_),e(vo,ea),e(ea,yd),e(yd,F_),e(yd,Jc),e(Jc,x_),e(ea,E_),e(ea,Td),e(Td,M_),e(Td,Gc),e(Gc,z_),e(Lt,j_),e(Lt,It),w(ta,It,null),e(It,q_),e(It,Xc),e(Xc,P_),e(It,C_),w(Rn,It,null),e(It,L_),e(It,Yc),e(Yc,O_),g(s,pu,k),g(s,No,k),e(No,Hn),e(Hn,Zc),w(oa,Zc,null),e(No,I_),e(No,ep),e(ep,N_),g(s,hu,k),g(s,Do,k),w(na,Do,null),e(Do,D_),e(Do,sa),e(sa,S_),e(sa,wd),e(wd,W_),e(sa,U_),g(s,mu,k),g(s,So,k),w(ra,So,null),e(So,B_),e(So,aa),e(aa,R_),e(aa,$d),e($d,H_),e(aa,Q_),g(s,uu,k),g(s,Wo,k),e(Wo,Qn),e(Qn,tp),w(ia,tp,null),e(Wo,K_),e(Wo,op),e(op,V_),g(s,fu,k),g(s,ft,k),w(la,ft,null),e(ft,J_),e(ft,np),e(np,G_),e(ft,X_),e(ft,da),e(da,Y_),e(da,Ad),e(Ad,Z_),e(da,eb),e(ft,tb),e(ft,ca),e(ca,ob),e(ca,pa),e(pa,nb),e(ca,sb),e(ft,rb),e(ft,Nt),w(ha,Nt,null),e(Nt,ab),e(Nt,Uo),e(Uo,ib),e(Uo,Fd),e(Fd,lb),e(Uo,db),e(Uo,sp),e(sp,cb),e(Uo,pb),e(Nt,hb),w(Kn,Nt,null),e(Nt,mb),w(Vn,Nt,null),g(s,gu,k),g(s,Bo,k),e(Bo,Jn),e(Jn,rp),w(ma,rp,null),e(Bo,ub),e(Bo,ap),e(ap,fb),g(s,_u,k),g(s,gt,k),w(ua,gt,null),e(gt,gb),e(gt,Ro),e(Ro,_b),e(Ro,ip),e(ip,bb),e(Ro,kb),e(Ro,lp),e(lp,vb),e(Ro,yb),e(gt,Tb),e(gt,fa),e(fa,wb),e(fa,xd),e(xd,$b),e(fa,Ab),e(gt,Fb),e(gt,ga),e(ga,xb),e(ga,_a),e(_a,Eb),e(ga,Mb),e(gt,zb),e(gt,Dt),w(ba,Dt,null),e(Dt,jb),e(Dt,Ho),e(Ho,qb),e(Ho,Ed),e(Ed,Pb),e(Ho,Cb),e(Ho,dp),e(dp,Lb),e(Ho,Ob),e(Dt,Ib),w(Gn,Dt,null),e(Dt,Nb),w(Xn,Dt,null),g(s,bu,k),g(s,Qo,k),e(Qo,Yn),e(Yn,cp),w(ka,cp,null),e(Qo,Db),e(Qo,pp),e(pp,Sb),g(s,ku,k),g(s,_t,k),w(va,_t,null),e(_t,Wb),e(_t,ya),e(ya,Ub),e(ya,hp),e(hp,Bb),e(ya,Rb),e(_t,Hb),e(_t,Ta),e(Ta,Qb),e(Ta,Md),e(Md,Kb),e(Ta,Vb),e(_t,Jb),e(_t,wa),e(wa,Gb),e(wa,$a),e($a,Xb),e(wa,Yb),e(_t,Zb),e(_t,Tt),w(Aa,Tt,null),e(Tt,ek),e(Tt,Ko),e(Ko,tk),e(Ko,zd),e(zd,ok),e(Ko,nk),e(Ko,mp),e(mp,sk),e(Ko,rk),e(Tt,ak),w(Zn,Tt,null),e(Tt,ik),w(es,Tt,null),e(Tt,lk),w(ts,Tt,null),g(s,vu,k),g(s,Vo,k),e(Vo,os),e(os,up),w(Fa,up,null),e(Vo,dk),e(Vo,fp),e(fp,ck),g(s,yu,k),g(s,bt,k),w(xa,bt,null),e(bt,pk),e(bt,gp),e(gp,hk),e(bt,mk),e(bt,Ea),e(Ea,uk),e(Ea,jd),e(jd,fk),e(Ea,gk),e(bt,_k),e(bt,Ma),e(Ma,bk),e(Ma,za),e(za,kk),e(Ma,vk),e(bt,yk),e(bt,wt),w(ja,wt,null),e(wt,Tk),e(wt,Jo),e(Jo,wk),e(Jo,qd),e(qd,$k),e(Jo,Ak),e(Jo,_p),e(_p,Fk),e(Jo,xk),e(wt,Ek),w(ns,wt,null),e(wt,Mk),w(ss,wt,null),e(wt,zk),w(rs,wt,null),g(s,Tu,k),g(s,Go,k),e(Go,as),e(as,bp),w(qa,bp,null),e(Go,jk),e(Go,kp),e(kp,qk),g(s,wu,k),g(s,kt,k),w(Pa,kt,null),e(kt,Pk),e(kt,vp),e(vp,Ck),e(kt,Lk),e(kt,Ca),e(Ca,Ok),e(Ca,Pd),e(Pd,Ik),e(Ca,Nk),e(kt,Dk),e(kt,La),e(La,Sk),e(La,Oa),e(Oa,Wk),e(La,Uk),e(kt,Bk),e(kt,St),w(Ia,St,null),e(St,Rk),e(St,Xo),e(Xo,Hk),e(Xo,Cd),e(Cd,Qk),e(Xo,Kk),e(Xo,yp),e(yp,Vk),e(Xo,Jk),e(St,Gk),w(is,St,null),e(St,Xk),w(ls,St,null),g(s,$u,k),g(s,Yo,k),e(Yo,ds),e(ds,Tp),w(Na,Tp,null),e(Yo,Yk),e(Yo,wp),e(wp,Zk),g(s,Au,k),g(s,vt,k),w(Da,vt,null),e(vt,ev),e(vt,$p),e($p,tv),e(vt,ov),e(vt,Sa),e(Sa,nv),e(Sa,Ld),e(Ld,sv),e(Sa,rv),e(vt,av),e(vt,Wa),e(Wa,iv),e(Wa,Ua),e(Ua,lv),e(Wa,dv),e(vt,cv),e(vt,Wt),w(Ba,Wt,null),e(Wt,pv),e(Wt,Zo),e(Zo,hv),e(Zo,Od),e(Od,mv),e(Zo,uv),e(Zo,Ap),e(Ap,fv),e(Zo,gv),e(Wt,_v),w(cs,Wt,null),e(Wt,bv),w(ps,Wt,null),g(s,Fu,k),g(s,en,k),e(en,hs),e(hs,Fp),w(Ra,Fp,null),e(en,kv),e(en,xp),e(xp,vv),g(s,xu,k),g(s,yt,k),w(Ha,yt,null),e(yt,yv),e(yt,tn),e(tn,Tv),e(tn,Ep),e(Ep,wv),e(tn,$v),e(tn,Mp),e(Mp,Av),e(tn,Fv),e(yt,xv),e(yt,Qa),e(Qa,Ev),e(Qa,Id),e(Id,Mv),e(Qa,zv),e(yt,jv),e(yt,Ka),e(Ka,qv),e(Ka,Va),e(Va,Pv),e(Ka,Cv),e(yt,Lv),e(yt,Ut),w(Ja,Ut,null),e(Ut,Ov),e(Ut,on),e(on,Iv),e(on,Nd),e(Nd,Nv),e(on,Dv),e(on,zp),e(zp,Sv),e(on,Wv),e(Ut,Uv),w(ms,Ut,null),e(Ut,Bv),w(us,Ut,null),g(s,Eu,k),g(s,nn,k),e(nn,fs),e(fs,jp),w(Ga,jp,null),e(nn,Rv),e(nn,qp),e(qp,Hv),g(s,Mu,k),g(s,it,k),w(Xa,it,null),e(it,Qv),e(it,Pp),e(Pp,Kv),e(it,Vv),e(it,Ya),e(Ya,Jv),e(Ya,Dd),e(Dd,Gv),e(Ya,Xv),e(it,Yv),e(it,Za),e(Za,Zv),e(Za,ei),e(ei,ey),e(Za,ty),e(it,oy),w(gs,it,null),e(it,ny),e(it,Bt),w(ti,Bt,null),e(Bt,sy),e(Bt,sn),e(sn,ry),e(sn,Sd),e(Sd,ay),e(sn,iy),e(sn,Cp),e(Cp,ly),e(sn,dy),e(Bt,cy),w(_s,Bt,null),e(Bt,py),w(bs,Bt,null),g(s,zu,k),g(s,rn,k),e(rn,ks),e(ks,Lp),w(oi,Lp,null),e(rn,hy),e(rn,Op),e(Op,my),g(s,ju,k),g(s,lt,k),w(ni,lt,null),e(lt,uy),e(lt,an),e(an,fy),e(an,Ip),e(Ip,gy),e(an,_y),e(an,Np),e(Np,by),e(an,ky),e(lt,vy),e(lt,si),e(si,yy),e(si,Wd),e(Wd,Ty),e(si,wy),e(lt,$y),e(lt,ri),e(ri,Ay),e(ri,ai),e(ai,Fy),e(ri,xy),e(lt,Ey),w(vs,lt,null),e(lt,My),e(lt,Rt),w(ii,Rt,null),e(Rt,zy),e(Rt,ln),e(ln,jy),e(ln,Ud),e(Ud,qy),e(ln,Py),e(ln,Dp),e(Dp,Cy),e(ln,Ly),e(Rt,Oy),w(ys,Rt,null),e(Rt,Iy),w(Ts,Rt,null),g(s,qu,k),g(s,dn,k),e(dn,ws),e(ws,Sp),w(li,Sp,null),e(dn,Ny),e(dn,Wp),e(Wp,Dy),g(s,Pu,k),g(s,dt,k),w(di,dt,null),e(dt,Sy),e(dt,ci),e(ci,Wy),e(ci,Up),e(Up,Uy),e(ci,By),e(dt,Ry),e(dt,pi),e(pi,Hy),e(pi,Bd),e(Bd,Qy),e(pi,Ky),e(dt,Vy),e(dt,hi),e(hi,Jy),e(hi,mi),e(mi,Gy),e(hi,Xy),e(dt,Yy),w($s,dt,null),e(dt,Zy),e(dt,$t),w(ui,$t,null),e($t,eT),e($t,cn),e(cn,tT),e(cn,Rd),e(Rd,oT),e(cn,nT),e(cn,Bp),e(Bp,sT),e(cn,rT),e($t,aT),w(As,$t,null),e($t,iT),w(Fs,$t,null),e($t,lT),w(xs,$t,null),g(s,Cu,k),g(s,pn,k),e(pn,Es),e(Es,Rp),w(fi,Rp,null),e(pn,dT),e(pn,Hp),e(Hp,cT),g(s,Lu,k),g(s,ct,k),w(gi,ct,null),e(ct,pT),e(ct,Qp),e(Qp,hT),e(ct,mT),e(ct,_i),e(_i,uT),e(_i,Hd),e(Hd,fT),e(_i,gT),e(ct,_T),e(ct,bi),e(bi,bT),e(bi,ki),e(ki,kT),e(bi,vT),e(ct,yT),w(Ms,ct,null),e(ct,TT),e(ct,At),w(vi,At,null),e(At,wT),e(At,hn),e(hn,$T),e(hn,Qd),e(Qd,AT),e(hn,FT),e(hn,Kp),e(Kp,xT),e(hn,ET),e(At,MT),w(zs,At,null),e(At,zT),w(js,At,null),e(At,jT),w(qs,At,null),g(s,Ou,k),g(s,mn,k),e(mn,Ps),e(Ps,Vp),w(yi,Vp,null),e(mn,qT),e(mn,Jp),e(Jp,PT),g(s,Iu,k),g(s,pt,k),w(Ti,pt,null),e(pt,CT),e(pt,Gp),e(Gp,LT),e(pt,OT),e(pt,wi),e(wi,IT),e(wi,Kd),e(Kd,NT),e(wi,DT),e(pt,ST),e(pt,$i),e($i,WT),e($i,Ai),e(Ai,UT),e($i,BT),e(pt,RT),w(Cs,pt,null),e(pt,HT),e(pt,Ht),w(Fi,Ht,null),e(Ht,QT),e(Ht,un),e(un,KT),e(un,Vd),e(Vd,VT),e(un,JT),e(un,Xp),e(Xp,GT),e(un,XT),e(Ht,YT),w(Ls,Ht,null),e(Ht,ZT),w(Os,Ht,null),g(s,Nu,k),g(s,fn,k),e(fn,Is),e(Is,Yp),w(xi,Yp,null),e(fn,ew),e(fn,Zp),e(Zp,tw),g(s,Du,k),g(s,ht,k),w(Ei,ht,null),e(ht,ow),e(ht,eh),e(eh,nw),e(ht,sw),e(ht,Mi),e(Mi,rw),e(Mi,Jd),e(Jd,aw),e(Mi,iw),e(ht,lw),e(ht,zi),e(zi,dw),e(zi,ji),e(ji,cw),e(zi,pw),e(ht,hw),w(Ns,ht,null),e(ht,mw),e(ht,Ft),w(qi,Ft,null),e(Ft,uw),e(Ft,gn),e(gn,fw),e(gn,Gd),e(Gd,gw),e(gn,_w),e(gn,th),e(th,bw),e(gn,kw),e(Ft,vw),w(Ds,Ft,null),e(Ft,yw),w(Ss,Ft,null),e(Ft,Tw),w(Ws,Ft,null),g(s,Su,k),g(s,_n,k),e(_n,Us),e(Us,oh),w(Pi,oh,null),e(_n,ww),e(_n,nh),e(nh,$w),g(s,Wu,k),g(s,mt,k),w(Ci,mt,null),e(mt,Aw),e(mt,bn),e(bn,Fw),e(bn,sh),e(sh,xw),e(bn,Ew),e(bn,rh),e(rh,Mw),e(bn,zw),e(mt,jw),e(mt,Li),e(Li,qw),e(Li,Xd),e(Xd,Pw),e(Li,Cw),e(mt,Lw),e(mt,Oi),e(Oi,Ow),e(Oi,Ii),e(Ii,Iw),e(Oi,Nw),e(mt,Dw),w(Bs,mt,null),e(mt,Sw),e(mt,xt),w(Ni,xt,null),e(xt,Ww),e(xt,kn),e(kn,Uw),e(kn,Yd),e(Yd,Bw),e(kn,Rw),e(kn,ah),e(ah,Hw),e(kn,Qw),e(xt,Kw),w(Rs,xt,null),e(xt,Vw),w(Hs,xt,null),e(xt,Jw),w(Qs,xt,null),g(s,Uu,k),g(s,vn,k),e(vn,Ks),e(Ks,ih),w(Di,ih,null),e(vn,Gw),e(vn,lh),e(lh,Xw),g(s,Bu,k),g(s,et,k),w(Si,et,null),e(et,Yw),e(et,dh),e(dh,Zw),e(et,e2),e(et,Wi),e(Wi,t2),e(Wi,Zd),e(Zd,o2),e(Wi,n2),e(et,s2),e(et,Ui),e(Ui,r2),e(Ui,Bi),e(Bi,a2),e(Ui,i2),e(et,l2),e(et,ch),e(ch,d2),e(et,c2),e(et,io),e(io,ph),e(ph,Ri),e(Ri,p2),e(io,h2),e(io,hh),e(hh,Hi),e(Hi,m2),e(io,u2),e(io,mh),e(mh,Qi),e(Qi,f2),e(io,g2),e(io,uh),e(uh,Ki),e(Ki,_2),e(et,b2),e(et,Qt),w(Vi,Qt,null),e(Qt,k2),e(Qt,yn),e(yn,v2),e(yn,fh),e(fh,y2),e(yn,T2),e(yn,gh),e(gh,w2),e(yn,$2),e(Qt,A2),w(Vs,Qt,null),e(Qt,F2),w(Js,Qt,null),g(s,Ru,k),g(s,Tn,k),e(Tn,Gs),e(Gs,_h),w(Ji,_h,null),e(Tn,x2),e(Tn,bh),e(bh,E2),g(s,Hu,k),g(s,tt,k),w(Gi,tt,null),e(tt,M2),e(tt,wn),e(wn,z2),e(wn,kh),e(kh,j2),e(wn,q2),e(wn,vh),e(vh,P2),e(wn,C2),e(tt,L2),e(tt,Xi),e(Xi,O2),e(Xi,ec),e(ec,I2),e(Xi,N2),e(tt,D2),e(tt,Yi),e(Yi,S2),e(Yi,Zi),e(Zi,W2),e(Yi,U2),e(tt,B2),e(tt,yh),e(yh,R2),e(tt,H2),e(tt,lo),e(lo,Th),e(Th,el),e(el,Q2),e(lo,K2),e(lo,wh),e(wh,tl),e(tl,V2),e(lo,J2),e(lo,$h),e($h,ol),e(ol,G2),e(lo,X2),e(lo,Ah),e(Ah,nl),e(nl,Y2),e(tt,Z2),e(tt,Kt),w(sl,Kt,null),e(Kt,e$),e(Kt,$n),e($n,t$),e($n,Fh),e(Fh,o$),e($n,n$),e($n,xh),e(xh,s$),e($n,r$),e(Kt,a$),w(Xs,Kt,null),e(Kt,i$),w(Ys,Kt,null),g(s,Qu,k),g(s,An,k),e(An,Zs),e(Zs,Eh),w(rl,Eh,null),e(An,l$),e(An,Mh),e(Mh,d$),g(s,Ku,k),g(s,ot,k),w(al,ot,null),e(ot,c$),e(ot,il),e(il,p$),e(il,zh),e(zh,h$),e(il,m$),e(ot,u$),e(ot,ll),e(ll,f$),e(ll,tc),e(tc,g$),e(ll,_$),e(ot,b$),e(ot,dl),e(dl,k$),e(dl,cl),e(cl,v$),e(dl,y$),e(ot,T$),e(ot,jh),e(jh,w$),e(ot,$$),e(ot,co),e(co,qh),e(qh,pl),e(pl,A$),e(co,F$),e(co,Ph),e(Ph,hl),e(hl,x$),e(co,E$),e(co,Ch),e(Ch,ml),e(ml,M$),e(co,z$),e(co,Lh),e(Lh,ul),e(ul,j$),e(ot,q$),e(ot,Vt),w(fl,Vt,null),e(Vt,P$),e(Vt,Fn),e(Fn,C$),e(Fn,Oh),e(Oh,L$),e(Fn,O$),e(Fn,Ih),e(Ih,I$),e(Fn,N$),e(Vt,D$),w(er,Vt,null),e(Vt,S$),w(tr,Vt,null),g(s,Vu,k),g(s,xn,k),e(xn,or),e(or,Nh),w(gl,Nh,null),e(xn,W$),e(xn,Dh),e(Dh,U$),g(s,Ju,k),g(s,nt,k),w(_l,nt,null),e(nt,B$),e(nt,Sh),e(Sh,R$),e(nt,H$),e(nt,bl),e(bl,Q$),e(bl,oc),e(oc,K$),e(bl,V$),e(nt,J$),e(nt,kl),e(kl,G$),e(kl,vl),e(vl,X$),e(kl,Y$),e(nt,Z$),e(nt,Wh),e(Wh,e1),e(nt,t1),e(nt,po),e(po,Uh),e(Uh,yl),e(yl,o1),e(po,n1),e(po,Bh),e(Bh,Tl),e(Tl,s1),e(po,r1),e(po,Rh),e(Rh,wl),e(wl,a1),e(po,i1),e(po,Hh),e(Hh,$l),e($l,l1),e(nt,d1),e(nt,Jt),w(Al,Jt,null),e(Jt,c1),e(Jt,En),e(En,p1),e(En,Qh),e(Qh,h1),e(En,m1),e(En,Kh),e(Kh,u1),e(En,f1),e(Jt,g1),w(nr,Jt,null),e(Jt,_1),w(sr,Jt,null),g(s,Gu,k),g(s,Mn,k),e(Mn,rr),e(rr,Vh),w(Fl,Vh,null),e(Mn,b1),e(Mn,Jh),e(Jh,k1),g(s,Xu,k),g(s,st,k),w(xl,st,null),e(st,v1),e(st,Gh),e(Gh,y1),e(st,T1),e(st,El),e(El,w1),e(El,nc),e(nc,$1),e(El,A1),e(st,F1),e(st,Ml),e(Ml,x1),e(Ml,zl),e(zl,E1),e(Ml,M1),e(st,z1),e(st,Xh),e(Xh,j1),e(st,q1),e(st,ho),e(ho,Yh),e(Yh,jl),e(jl,P1),e(ho,C1),e(ho,Zh),e(Zh,ql),e(ql,L1),e(ho,O1),e(ho,em),e(em,Pl),e(Pl,I1),e(ho,N1),e(ho,tm),e(tm,Cl),e(Cl,D1),e(st,S1),e(st,Gt),w(Ll,Gt,null),e(Gt,W1),e(Gt,zn),e(zn,U1),e(zn,om),e(om,B1),e(zn,R1),e(zn,nm),e(nm,H1),e(zn,Q1),e(Gt,K1),w(ar,Gt,null),e(Gt,V1),w(ir,Gt,null),g(s,Yu,k),g(s,jn,k),e(jn,lr),e(lr,sm),w(Ol,sm,null),e(jn,J1),e(jn,rm),e(rm,G1),g(s,Zu,k),g(s,rt,k),w(Il,rt,null),e(rt,X1),e(rt,am),e(am,Y1),e(rt,Z1),e(rt,Nl),e(Nl,e0),e(Nl,sc),e(sc,t0),e(Nl,o0),e(rt,n0),e(rt,Dl),e(Dl,s0),e(Dl,Sl),e(Sl,r0),e(Dl,a0),e(rt,i0),e(rt,im),e(im,l0),e(rt,d0),e(rt,mo),e(mo,lm),e(lm,Wl),e(Wl,c0),e(mo,p0),e(mo,dm),e(dm,Ul),e(Ul,h0),e(mo,m0),e(mo,cm),e(cm,Bl),e(Bl,u0),e(mo,f0),e(mo,pm),e(pm,Rl),e(Rl,g0),e(rt,_0),e(rt,Xt),w(Hl,Xt,null),e(Xt,b0),e(Xt,qn),e(qn,k0),e(qn,hm),e(hm,v0),e(qn,y0),e(qn,mm),e(mm,T0),e(qn,w0),e(Xt,$0),w(dr,Xt,null),e(Xt,A0),w(cr,Xt,null),g(s,ef,k),g(s,Pn,k),e(Pn,pr),e(pr,um),w(Ql,um,null),e(Pn,F0),e(Pn,fm),e(fm,x0),g(s,tf,k),g(s,at,k),w(Kl,at,null),e(at,E0),e(at,Cn),e(Cn,M0),e(Cn,gm),e(gm,z0),e(Cn,j0),e(Cn,_m),e(_m,q0),e(Cn,P0),e(at,C0),e(at,Vl),e(Vl,L0),e(Vl,rc),e(rc,O0),e(Vl,I0),e(at,N0),e(at,Jl),e(Jl,D0),e(Jl,Gl),e(Gl,S0),e(Jl,W0),e(at,U0),e(at,bm),e(bm,B0),e(at,R0),e(at,uo),e(uo,km),e(km,Xl),e(Xl,H0),e(uo,Q0),e(uo,vm),e(vm,Yl),e(Yl,K0),e(uo,V0),e(uo,ym),e(ym,Zl),e(Zl,J0),e(uo,G0),e(uo,Tm),e(Tm,ed),e(ed,X0),e(at,Y0),e(at,Yt),w(td,Yt,null),e(Yt,Z0),e(Yt,Ln),e(Ln,eA),e(Ln,wm),e(wm,tA),e(Ln,oA),e(Ln,$m),e($m,nA),e(Ln,sA),e(Yt,rA),w(hr,Yt,null),e(Yt,aA),w(mr,Yt,null),of=!0},p(s,[k]){const od={};k&2&&(od.$$scope={dirty:k,ctx:s}),Dn.$set(od);const Am={};k&2&&(Am.$$scope={dirty:k,ctx:s}),Un.$set(Am);const Fm={};k&2&&(Fm.$$scope={dirty:k,ctx:s}),Rn.$set(Fm);const xm={};k&2&&(xm.$$scope={dirty:k,ctx:s}),Kn.$set(xm);const nd={};k&2&&(nd.$$scope={dirty:k,ctx:s}),Vn.$set(nd);const Em={};k&2&&(Em.$$scope={dirty:k,ctx:s}),Gn.$set(Em);const Mm={};k&2&&(Mm.$$scope={dirty:k,ctx:s}),Xn.$set(Mm);const zm={};k&2&&(zm.$$scope={dirty:k,ctx:s}),Zn.$set(zm);const sd={};k&2&&(sd.$$scope={dirty:k,ctx:s}),es.$set(sd);const jm={};k&2&&(jm.$$scope={dirty:k,ctx:s}),ts.$set(jm);const rd={};k&2&&(rd.$$scope={dirty:k,ctx:s}),ns.$set(rd);const qm={};k&2&&(qm.$$scope={dirty:k,ctx:s}),ss.$set(qm);const Pm={};k&2&&(Pm.$$scope={dirty:k,ctx:s}),rs.$set(Pm);const Cm={};k&2&&(Cm.$$scope={dirty:k,ctx:s}),is.$set(Cm);const Lm={};k&2&&(Lm.$$scope={dirty:k,ctx:s}),ls.$set(Lm);const Om={};k&2&&(Om.$$scope={dirty:k,ctx:s}),cs.$set(Om);const Im={};k&2&&(Im.$$scope={dirty:k,ctx:s}),ps.$set(Im);const ad={};k&2&&(ad.$$scope={dirty:k,ctx:s}),ms.$set(ad);const Nm={};k&2&&(Nm.$$scope={dirty:k,ctx:s}),us.$set(Nm);const Dm={};k&2&&(Dm.$$scope={dirty:k,ctx:s}),gs.$set(Dm);const fo={};k&2&&(fo.$$scope={dirty:k,ctx:s}),_s.$set(fo);const Sm={};k&2&&(Sm.$$scope={dirty:k,ctx:s}),bs.$set(Sm);const Wm={};k&2&&(Wm.$$scope={dirty:k,ctx:s}),vs.$set(Wm);const Um={};k&2&&(Um.$$scope={dirty:k,ctx:s}),ys.$set(Um);const id={};k&2&&(id.$$scope={dirty:k,ctx:s}),Ts.$set(id);const Bm={};k&2&&(Bm.$$scope={dirty:k,ctx:s}),$s.$set(Bm);const Rm={};k&2&&(Rm.$$scope={dirty:k,ctx:s}),As.$set(Rm);const Hm={};k&2&&(Hm.$$scope={dirty:k,ctx:s}),Fs.$set(Hm);const go={};k&2&&(go.$$scope={dirty:k,ctx:s}),xs.$set(go);const _o={};k&2&&(_o.$$scope={dirty:k,ctx:s}),Ms.$set(_o);const Qm={};k&2&&(Qm.$$scope={dirty:k,ctx:s}),zs.$set(Qm);const Km={};k&2&&(Km.$$scope={dirty:k,ctx:s}),js.$set(Km);const Vm={};k&2&&(Vm.$$scope={dirty:k,ctx:s}),qs.$set(Vm);const On={};k&2&&(On.$$scope={dirty:k,ctx:s}),Cs.$set(On);const Jm={};k&2&&(Jm.$$scope={dirty:k,ctx:s}),Ls.$set(Jm);const Gm={};k&2&&(Gm.$$scope={dirty:k,ctx:s}),Os.$set(Gm);const ld={};k&2&&(ld.$$scope={dirty:k,ctx:s}),Ns.$set(ld);const Xm={};k&2&&(Xm.$$scope={dirty:k,ctx:s}),Ds.$set(Xm);const Ym={};k&2&&(Ym.$$scope={dirty:k,ctx:s}),Ss.$set(Ym);const Zm={};k&2&&(Zm.$$scope={dirty:k,ctx:s}),Ws.$set(Zm);const ut={};k&2&&(ut.$$scope={dirty:k,ctx:s}),Bs.$set(ut);const dd={};k&2&&(dd.$$scope={dirty:k,ctx:s}),Rs.$set(dd);const eu={};k&2&&(eu.$$scope={dirty:k,ctx:s}),Hs.$set(eu);const cd={};k&2&&(cd.$$scope={dirty:k,ctx:s}),Qs.$set(cd);const tu={};k&2&&(tu.$$scope={dirty:k,ctx:s}),Vs.$set(tu);const In={};k&2&&(In.$$scope={dirty:k,ctx:s}),Js.$set(In);const ou={};k&2&&(ou.$$scope={dirty:k,ctx:s}),Xs.$set(ou);const pd={};k&2&&(pd.$$scope={dirty:k,ctx:s}),Ys.$set(pd);const ac={};k&2&&(ac.$$scope={dirty:k,ctx:s}),er.$set(ac);const nu={};k&2&&(nu.$$scope={dirty:k,ctx:s}),tr.$set(nu);const ic={};k&2&&(ic.$$scope={dirty:k,ctx:s}),nr.$set(ic);const su={};k&2&&(su.$$scope={dirty:k,ctx:s}),sr.$set(su);const hd={};k&2&&(hd.$$scope={dirty:k,ctx:s}),ar.$set(hd);const md={};k&2&&(md.$$scope={dirty:k,ctx:s}),ir.$set(md);const ru={};k&2&&(ru.$$scope={dirty:k,ctx:s}),dr.$set(ru);const bo={};k&2&&(bo.$$scope={dirty:k,ctx:s}),cr.$set(bo);const au={};k&2&&(au.$$scope={dirty:k,ctx:s}),hr.$set(au);const Nn={};k&2&&(Nn.$$scope={dirty:k,ctx:s}),mr.$set(Nn)},i(s){of||($(l.$$.fragment,s),$(x.$$.fragment,s),$(De.$$.fragment,s),$(Se.$$.fragment,s),$(Dn.$$.fragment,s),$(Dr.$$.fragment,s),$(Sr.$$.fragment,s),$(Rr.$$.fragment,s),$(Qr.$$.fragment,s),$(Vr.$$.fragment,s),$(Un.$$.fragment,s),$(Jr.$$.fragment,s),$(Gr.$$.fragment,s),$(Xr.$$.fragment,s),$(Zr.$$.fragment,s),$(ta.$$.fragment,s),$(Rn.$$.fragment,s),$(oa.$$.fragment,s),$(na.$$.fragment,s),$(ra.$$.fragment,s),$(ia.$$.fragment,s),$(la.$$.fragment,s),$(ha.$$.fragment,s),$(Kn.$$.fragment,s),$(Vn.$$.fragment,s),$(ma.$$.fragment,s),$(ua.$$.fragment,s),$(ba.$$.fragment,s),$(Gn.$$.fragment,s),$(Xn.$$.fragment,s),$(ka.$$.fragment,s),$(va.$$.fragment,s),$(Aa.$$.fragment,s),$(Zn.$$.fragment,s),$(es.$$.fragment,s),$(ts.$$.fragment,s),$(Fa.$$.fragment,s),$(xa.$$.fragment,s),$(ja.$$.fragment,s),$(ns.$$.fragment,s),$(ss.$$.fragment,s),$(rs.$$.fragment,s),$(qa.$$.fragment,s),$(Pa.$$.fragment,s),$(Ia.$$.fragment,s),$(is.$$.fragment,s),$(ls.$$.fragment,s),$(Na.$$.fragment,s),$(Da.$$.fragment,s),$(Ba.$$.fragment,s),$(cs.$$.fragment,s),$(ps.$$.fragment,s),$(Ra.$$.fragment,s),$(Ha.$$.fragment,s),$(Ja.$$.fragment,s),$(ms.$$.fragment,s),$(us.$$.fragment,s),$(Ga.$$.fragment,s),$(Xa.$$.fragment,s),$(gs.$$.fragment,s),$(ti.$$.fragment,s),$(_s.$$.fragment,s),$(bs.$$.fragment,s),$(oi.$$.fragment,s),$(ni.$$.fragment,s),$(vs.$$.fragment,s),$(ii.$$.fragment,s),$(ys.$$.fragment,s),$(Ts.$$.fragment,s),$(li.$$.fragment,s),$(di.$$.fragment,s),$($s.$$.fragment,s),$(ui.$$.fragment,s),$(As.$$.fragment,s),$(Fs.$$.fragment,s),$(xs.$$.fragment,s),$(fi.$$.fragment,s),$(gi.$$.fragment,s),$(Ms.$$.fragment,s),$(vi.$$.fragment,s),$(zs.$$.fragment,s),$(js.$$.fragment,s),$(qs.$$.fragment,s),$(yi.$$.fragment,s),$(Ti.$$.fragment,s),$(Cs.$$.fragment,s),$(Fi.$$.fragment,s),$(Ls.$$.fragment,s),$(Os.$$.fragment,s),$(xi.$$.fragment,s),$(Ei.$$.fragment,s),$(Ns.$$.fragment,s),$(qi.$$.fragment,s),$(Ds.$$.fragment,s),$(Ss.$$.fragment,s),$(Ws.$$.fragment,s),$(Pi.$$.fragment,s),$(Ci.$$.fragment,s),$(Bs.$$.fragment,s),$(Ni.$$.fragment,s),$(Rs.$$.fragment,s),$(Hs.$$.fragment,s),$(Qs.$$.fragment,s),$(Di.$$.fragment,s),$(Si.$$.fragment,s),$(Vi.$$.fragment,s),$(Vs.$$.fragment,s),$(Js.$$.fragment,s),$(Ji.$$.fragment,s),$(Gi.$$.fragment,s),$(sl.$$.fragment,s),$(Xs.$$.fragment,s),$(Ys.$$.fragment,s),$(rl.$$.fragment,s),$(al.$$.fragment,s),$(fl.$$.fragment,s),$(er.$$.fragment,s),$(tr.$$.fragment,s),$(gl.$$.fragment,s),$(_l.$$.fragment,s),$(Al.$$.fragment,s),$(nr.$$.fragment,s),$(sr.$$.fragment,s),$(Fl.$$.fragment,s),$(xl.$$.fragment,s),$(Ll.$$.fragment,s),$(ar.$$.fragment,s),$(ir.$$.fragment,s),$(Ol.$$.fragment,s),$(Il.$$.fragment,s),$(Hl.$$.fragment,s),$(dr.$$.fragment,s),$(cr.$$.fragment,s),$(Ql.$$.fragment,s),$(Kl.$$.fragment,s),$(td.$$.fragment,s),$(hr.$$.fragment,s),$(mr.$$.fragment,s),of=!0)},o(s){A(l.$$.fragment,s),A(x.$$.fragment,s),A(De.$$.fragment,s),A(Se.$$.fragment,s),A(Dn.$$.fragment,s),A(Dr.$$.fragment,s),A(Sr.$$.fragment,s),A(Rr.$$.fragment,s),A(Qr.$$.fragment,s),A(Vr.$$.fragment,s),A(Un.$$.fragment,s),A(Jr.$$.fragment,s),A(Gr.$$.fragment,s),A(Xr.$$.fragment,s),A(Zr.$$.fragment,s),A(ta.$$.fragment,s),A(Rn.$$.fragment,s),A(oa.$$.fragment,s),A(na.$$.fragment,s),A(ra.$$.fragment,s),A(ia.$$.fragment,s),A(la.$$.fragment,s),A(ha.$$.fragment,s),A(Kn.$$.fragment,s),A(Vn.$$.fragment,s),A(ma.$$.fragment,s),A(ua.$$.fragment,s),A(ba.$$.fragment,s),A(Gn.$$.fragment,s),A(Xn.$$.fragment,s),A(ka.$$.fragment,s),A(va.$$.fragment,s),A(Aa.$$.fragment,s),A(Zn.$$.fragment,s),A(es.$$.fragment,s),A(ts.$$.fragment,s),A(Fa.$$.fragment,s),A(xa.$$.fragment,s),A(ja.$$.fragment,s),A(ns.$$.fragment,s),A(ss.$$.fragment,s),A(rs.$$.fragment,s),A(qa.$$.fragment,s),A(Pa.$$.fragment,s),A(Ia.$$.fragment,s),A(is.$$.fragment,s),A(ls.$$.fragment,s),A(Na.$$.fragment,s),A(Da.$$.fragment,s),A(Ba.$$.fragment,s),A(cs.$$.fragment,s),A(ps.$$.fragment,s),A(Ra.$$.fragment,s),A(Ha.$$.fragment,s),A(Ja.$$.fragment,s),A(ms.$$.fragment,s),A(us.$$.fragment,s),A(Ga.$$.fragment,s),A(Xa.$$.fragment,s),A(gs.$$.fragment,s),A(ti.$$.fragment,s),A(_s.$$.fragment,s),A(bs.$$.fragment,s),A(oi.$$.fragment,s),A(ni.$$.fragment,s),A(vs.$$.fragment,s),A(ii.$$.fragment,s),A(ys.$$.fragment,s),A(Ts.$$.fragment,s),A(li.$$.fragment,s),A(di.$$.fragment,s),A($s.$$.fragment,s),A(ui.$$.fragment,s),A(As.$$.fragment,s),A(Fs.$$.fragment,s),A(xs.$$.fragment,s),A(fi.$$.fragment,s),A(gi.$$.fragment,s),A(Ms.$$.fragment,s),A(vi.$$.fragment,s),A(zs.$$.fragment,s),A(js.$$.fragment,s),A(qs.$$.fragment,s),A(yi.$$.fragment,s),A(Ti.$$.fragment,s),A(Cs.$$.fragment,s),A(Fi.$$.fragment,s),A(Ls.$$.fragment,s),A(Os.$$.fragment,s),A(xi.$$.fragment,s),A(Ei.$$.fragment,s),A(Ns.$$.fragment,s),A(qi.$$.fragment,s),A(Ds.$$.fragment,s),A(Ss.$$.fragment,s),A(Ws.$$.fragment,s),A(Pi.$$.fragment,s),A(Ci.$$.fragment,s),A(Bs.$$.fragment,s),A(Ni.$$.fragment,s),A(Rs.$$.fragment,s),A(Hs.$$.fragment,s),A(Qs.$$.fragment,s),A(Di.$$.fragment,s),A(Si.$$.fragment,s),A(Vi.$$.fragment,s),A(Vs.$$.fragment,s),A(Js.$$.fragment,s),A(Ji.$$.fragment,s),A(Gi.$$.fragment,s),A(sl.$$.fragment,s),A(Xs.$$.fragment,s),A(Ys.$$.fragment,s),A(rl.$$.fragment,s),A(al.$$.fragment,s),A(fl.$$.fragment,s),A(er.$$.fragment,s),A(tr.$$.fragment,s),A(gl.$$.fragment,s),A(_l.$$.fragment,s),A(Al.$$.fragment,s),A(nr.$$.fragment,s),A(sr.$$.fragment,s),A(Fl.$$.fragment,s),A(xl.$$.fragment,s),A(Ll.$$.fragment,s),A(ar.$$.fragment,s),A(ir.$$.fragment,s),A(Ol.$$.fragment,s),A(Il.$$.fragment,s),A(Hl.$$.fragment,s),A(dr.$$.fragment,s),A(cr.$$.fragment,s),A(Ql.$$.fragment,s),A(Kl.$$.fragment,s),A(td.$$.fragment,s),A(hr.$$.fragment,s),A(mr.$$.fragment,s),of=!1},d(s){t(d),s&&t(b),s&&t(m),F(l),s&&t(me),s&&t(W),F(x),s&&t(ue),s&&t(U),s&&t(fe),s&&t(B),s&&t(oe),s&&t(q),s&&t(ge),s&&t(H),s&&t(J),s&&t(le),s&&t(C),s&&t(re),s&&t(_e),s&&t(O),s&&t(z),s&&t(Le),F(De),s&&t(Ke),s&&t(de),F(Se),F(Dn),s&&t(iu),s&&t(Lo),F(Dr),s&&t(lu),s&&t(Ze),F(Sr),F(Rr),F(Qr),F(Vr),F(Un),F(Jr),s&&t(du),s&&t(Io),F(Gr),s&&t(cu),s&&t(Lt),F(Xr),F(Zr),F(ta),F(Rn),s&&t(pu),s&&t(No),F(oa),s&&t(hu),s&&t(Do),F(na),s&&t(mu),s&&t(So),F(ra),s&&t(uu),s&&t(Wo),F(ia),s&&t(fu),s&&t(ft),F(la),F(ha),F(Kn),F(Vn),s&&t(gu),s&&t(Bo),F(ma),s&&t(_u),s&&t(gt),F(ua),F(ba),F(Gn),F(Xn),s&&t(bu),s&&t(Qo),F(ka),s&&t(ku),s&&t(_t),F(va),F(Aa),F(Zn),F(es),F(ts),s&&t(vu),s&&t(Vo),F(Fa),s&&t(yu),s&&t(bt),F(xa),F(ja),F(ns),F(ss),F(rs),s&&t(Tu),s&&t(Go),F(qa),s&&t(wu),s&&t(kt),F(Pa),F(Ia),F(is),F(ls),s&&t($u),s&&t(Yo),F(Na),s&&t(Au),s&&t(vt),F(Da),F(Ba),F(cs),F(ps),s&&t(Fu),s&&t(en),F(Ra),s&&t(xu),s&&t(yt),F(Ha),F(Ja),F(ms),F(us),s&&t(Eu),s&&t(nn),F(Ga),s&&t(Mu),s&&t(it),F(Xa),F(gs),F(ti),F(_s),F(bs),s&&t(zu),s&&t(rn),F(oi),s&&t(ju),s&&t(lt),F(ni),F(vs),F(ii),F(ys),F(Ts),s&&t(qu),s&&t(dn),F(li),s&&t(Pu),s&&t(dt),F(di),F($s),F(ui),F(As),F(Fs),F(xs),s&&t(Cu),s&&t(pn),F(fi),s&&t(Lu),s&&t(ct),F(gi),F(Ms),F(vi),F(zs),F(js),F(qs),s&&t(Ou),s&&t(mn),F(yi),s&&t(Iu),s&&t(pt),F(Ti),F(Cs),F(Fi),F(Ls),F(Os),s&&t(Nu),s&&t(fn),F(xi),s&&t(Du),s&&t(ht),F(Ei),F(Ns),F(qi),F(Ds),F(Ss),F(Ws),s&&t(Su),s&&t(_n),F(Pi),s&&t(Wu),s&&t(mt),F(Ci),F(Bs),F(Ni),F(Rs),F(Hs),F(Qs),s&&t(Uu),s&&t(vn),F(Di),s&&t(Bu),s&&t(et),F(Si),F(Vi),F(Vs),F(Js),s&&t(Ru),s&&t(Tn),F(Ji),s&&t(Hu),s&&t(tt),F(Gi),F(sl),F(Xs),F(Ys),s&&t(Qu),s&&t(An),F(rl),s&&t(Ku),s&&t(ot),F(al),F(fl),F(er),F(tr),s&&t(Vu),s&&t(xn),F(gl),s&&t(Ju),s&&t(nt),F(_l),F(Al),F(nr),F(sr),s&&t(Gu),s&&t(Mn),F(Fl),s&&t(Xu),s&&t(st),F(xl),F(Ll),F(ar),F(ir),s&&t(Yu),s&&t(jn),F(Ol),s&&t(Zu),s&&t(rt),F(Il),F(Hl),F(dr),F(cr),s&&t(ef),s&&t(Pn),F(Ql),s&&t(tf),s&&t(at),F(Kl),F(td),F(hr),F(mr)}}}const rz={local:"albert",sections:[{local:"overview",title:"Overview"},{local:"transformers.AlbertConfig",title:"AlbertConfig"},{local:"transformers.AlbertTokenizer",title:"AlbertTokenizer"},{local:"transformers.AlbertTokenizerFast",title:"AlbertTokenizerFast"},{local:"transformers.models.albert.modeling_albert.AlbertForPreTrainingOutput",title:"Albert specific outputs"},{local:"transformers.AlbertModel",title:"AlbertModel"},{local:"transformers.AlbertForPreTraining",title:"AlbertForPreTraining"},{local:"transformers.AlbertForMaskedLM",title:"AlbertForMaskedLM"},{local:"transformers.AlbertForSequenceClassification",title:"AlbertForSequenceClassification"},{local:"transformers.AlbertForMultipleChoice",title:"AlbertForMultipleChoice"},{local:"transformers.AlbertForTokenClassification",title:"AlbertForTokenClassification"},{local:"transformers.AlbertForQuestionAnswering",title:"AlbertForQuestionAnswering"},{local:"transformers.TFAlbertModel",title:"TFAlbertModel"},{local:"transformers.TFAlbertForPreTraining",title:"TFAlbertForPreTraining"},{local:"transformers.TFAlbertForMaskedLM",title:"TFAlbertForMaskedLM"},{local:"transformers.TFAlbertForSequenceClassification",title:"TFAlbertForSequenceClassification"},{local:"transformers.TFAlbertForMultipleChoice",title:"TFAlbertForMultipleChoice"},{local:"transformers.TFAlbertForTokenClassification",title:"TFAlbertForTokenClassification"},{local:"transformers.TFAlbertForQuestionAnswering",title:"TFAlbertForQuestionAnswering"},{local:"transformers.FlaxAlbertModel",title:"FlaxAlbertModel"},{local:"transformers.FlaxAlbertForPreTraining",title:"FlaxAlbertForPreTraining"},{local:"transformers.FlaxAlbertForMaskedLM",title:"FlaxAlbertForMaskedLM"},{local:"transformers.FlaxAlbertForSequenceClassification",title:"FlaxAlbertForSequenceClassification"},{local:"transformers.FlaxAlbertForMultipleChoice",title:"FlaxAlbertForMultipleChoice"},{local:"transformers.FlaxAlbertForTokenClassification",title:"FlaxAlbertForTokenClassification"},{local:"transformers.FlaxAlbertForQuestionAnswering",title:"FlaxAlbertForQuestionAnswering"}],title:"ALBERT"};function az(E){return ZE(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class mz extends JE{constructor(d){super();GE(this,d,az,sz,XE,{})}}export{mz as default,rz as metadata};
